/* RsyncTask.c generated by valac 0.40.7, the Vala compiler
 * generated from RsyncTask.vala, do not modify */

/*
 * RsyncTask.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>
#include <gee.h>
#include <glib/gi18n-lib.h>


#define TYPE_ASYNC_TASK (async_task_get_type ())
#define ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ASYNC_TASK, AsyncTask))
#define ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ASYNC_TASK, AsyncTaskClass))
#define IS_ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ASYNC_TASK))
#define IS_ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ASYNC_TASK))
#define ASYNC_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ASYNC_TASK, AsyncTaskClass))

typedef struct _AsyncTask AsyncTask;
typedef struct _AsyncTaskClass AsyncTaskClass;
typedef struct _AsyncTaskPrivate AsyncTaskPrivate;

#define TYPE_APP_STATUS (app_status_get_type ())

#define TYPE_RSYNC_TASK (rsync_task_get_type ())
#define RSYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_RSYNC_TASK, RsyncTask))
#define RSYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_RSYNC_TASK, RsyncTaskClass))
#define IS_RSYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_RSYNC_TASK))
#define IS_RSYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_RSYNC_TASK))
#define RSYNC_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_RSYNC_TASK, RsyncTaskClass))

typedef struct _RsyncTask RsyncTask;
typedef struct _RsyncTaskClass RsyncTaskClass;
typedef struct _RsyncTaskPrivate RsyncTaskPrivate;
enum  {
	RSYNC_TASK_0_PROPERTY,
	RSYNC_TASK_NUM_PROPERTIES
};
static GParamSpec* rsync_task_properties[RSYNC_TASK_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define TYPE_FILE_ITEM (file_item_get_type ())
#define FILE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_FILE_ITEM, FileItem))
#define FILE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_FILE_ITEM, FileItemClass))
#define IS_FILE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_FILE_ITEM))
#define IS_FILE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_FILE_ITEM))
#define FILE_ITEM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_FILE_ITEM, FileItemClass))

typedef struct _FileItem FileItem;
typedef struct _FileItemClass FileItemClass;
#define _g_match_info_unref0(var) ((var == NULL) ? NULL : (var = (g_match_info_unref (var), NULL)))
typedef struct _FileItemPrivate FileItemPrivate;

typedef enum  {
	APP_STATUS_NOT_STARTED,
	APP_STATUS_RUNNING,
	APP_STATUS_PAUSED,
	APP_STATUS_FINISHED,
	APP_STATUS_CANCELLED,
	APP_STATUS_PASSWORD_REQUIRED
} AppStatus;

struct _AsyncTask {
	GObject parent_instance;
	AsyncTaskPrivate * priv;
	GDataOutputStream* dos_log;
	gboolean is_terminated;
	GPid child_pid;
	gchar* script_file;
	gchar* working_dir;
	gchar* log_file;
	gboolean background_mode;
	AppStatus status;
	gchar* status_line;
	gint exit_code;
	gchar* error_msg;
	GTimer* timer;
	gdouble progress;
	gdouble percent;
	gint64 prg_count;
	gint64 prg_count_total;
	gint64 prg_bytes;
	gint64 prg_bytes_total;
	gchar* eta;
};

struct _AsyncTaskClass {
	GObjectClass parent_class;
	void (*parse_stdout_line) (AsyncTask* self, const gchar* out_line);
	void (*parse_stderr_line) (AsyncTask* self, const gchar* err_line);
	void (*finish_task) (AsyncTask* self);
};

struct _RsyncTask {
	AsyncTask parent_instance;
	RsyncTaskPrivate * priv;
	gboolean delete_extra;
	gboolean delete_after;
	gboolean delete_excluded;
	gboolean relative;
	gchar* rsync_log_file;
	gchar* exclude_from_file;
	gchar* link_from_path;
	gchar* source_path;
	gchar* dest_path;
	gboolean verbose;
	gboolean io_nice;
	gboolean dry_run;
	GQueue* status_lines;
	gint64 status_line_count;
	gint64 total_size;
	gint64 count_created;
	gint64 count_deleted;
	gint64 count_modified;
	gint64 count_checksum;
	gint64 count_size;
	gint64 count_timestamp;
	gint64 count_permissions;
	gint64 count_owner;
	gint64 count_group;
	gint64 count_unchanged;
	GString* log;
};

struct _RsyncTaskClass {
	AsyncTaskClass parent_class;
};

struct _RsyncTaskPrivate {
	GeeHashMap* regex_list;
};

struct _FileItem {
	GObject parent_instance;
	FileItemPrivate * priv;
	gchar* file_name;
	gchar* file_location;
	gchar* file_path;
	gchar* file_path_prefix;
	GFileType file_type;
	GDateTime* modified;
	gchar* permissions;
	gchar* owner_user;
	gchar* owner_group;
	gchar* content_type;
	gchar* file_status;
	gboolean is_selected;
	gboolean is_symlink;
	gchar* symlink_target;
	gboolean is_archive;
	gboolean is_stale;
	FileItem* parent;
	GeeHashMap* children;
	FileItem* source_archive;
	GObject* tag;
	glong file_count;
	glong dir_count;
	glong file_count_total;
	glong dir_count_total;
	GIcon* icon;
	gboolean is_dummy;
};

struct _FileItemClass {
	GObjectClass parent_class;
};


static gpointer rsync_task_parent_class = NULL;

GType async_task_get_type (void) G_GNUC_CONST;
GType app_status_get_type (void) G_GNUC_CONST;
GType rsync_task_get_type (void) G_GNUC_CONST;
#define RSYNC_TASK_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_RSYNC_TASK, RsyncTaskPrivate))
static void _g_free0_ (gpointer var);
static inline void _g_queue_free__g_free0_ (GQueue* self);
RsyncTask* rsync_task_new (void);
RsyncTask* rsync_task_construct (GType object_type);
AsyncTask* async_task_construct (GType object_type);
static void rsync_task_init_regular_expressions (RsyncTask* self);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);
void rsync_task_prepare (RsyncTask* self);
static gchar* rsync_task_build_script (RsyncTask* self);
void tee_jee_logging_log_debug (const gchar* message);
gchar* tee_jee_process_helper_save_bash_script_temp (const gchar* commands,
                                                     const gchar* script_path,
                                                     gboolean force_locale,
                                                     gboolean supress_errors);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gchar* tee_jee_file_system_remove_trailing_slash (const gchar* path);
GType file_item_get_type (void) G_GNUC_CONST;
GeeArrayList* rsync_task_parse_log (RsyncTask* self,
                                    const gchar* log_file_path);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
gint64 tee_jee_file_system_file_line_count (const gchar* file_path);
gchar* tee_jee_file_system_path_combine (const gchar* path1,
                                         const gchar* path2);
gchar* tee_jee_file_system_file_parent (const gchar* file_path);
FileItem* file_item_new_from_disk_path_with_basic_info (const gchar* _file_path);
FileItem* file_item_construct_from_disk_path_with_basic_info (GType object_type,
                                                              const gchar* _file_path);
void tee_jee_logging_log_msg (const gchar* message,
                              gboolean highlight);
gboolean tee_jee_file_system_file_gzip (const gchar* src_file);
void rsync_task_execute (RsyncTask* self);
gboolean async_task_begin (AsyncTask* self);
static void rsync_task_real_parse_stdout_line (AsyncTask* base,
                                        const gchar* out_line);
gboolean rsync_task_update_progress_parse_console_output (RsyncTask* self,
                                                          const gchar* line);
static void rsync_task_real_parse_stderr_line (AsyncTask* base,
                                        const gchar* err_line);
static void rsync_task_real_finish_task (AsyncTask* base);
gboolean tee_jee_file_system_file_write (const gchar* file_path,
                                         const gchar* contents);
gint rsync_task_read_status (RsyncTask* self);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
static void rsync_task_finalize (GObject * obj);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static void
_g_free0_ (gpointer var)
{
#line 52 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	var = (g_free (var), NULL);
#line 267 "RsyncTask.c"
}


static inline void
_g_queue_free__g_free0_ (GQueue* self)
{
#line 52 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_queue_free_full (self, (GDestroyNotify) _g_free0_);
#line 276 "RsyncTask.c"
}


RsyncTask*
rsync_task_construct (GType object_type)
{
	RsyncTask * self = NULL;
	GQueue* _tmp0_;
#line 69 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) async_task_construct (object_type);
#line 70 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	rsync_task_init_regular_expressions (self);
#line 71 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp0_ = g_queue_new ();
#line 71 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	(self->status_lines == NULL) ? NULL : (self->status_lines = (_g_queue_free__g_free0_ (self->status_lines), NULL));
#line 71 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->status_lines = _tmp0_;
#line 69 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	return self;
#line 297 "RsyncTask.c"
}


RsyncTask*
rsync_task_new (void)
{
#line 69 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	return rsync_task_construct (TYPE_RSYNC_TASK);
#line 306 "RsyncTask.c"
}


static void
rsync_task_init_regular_expressions (RsyncTask* self)
{
	GeeHashMap* _tmp0_;
	GeeHashMap* _tmp1_;
	GError * _inner_error_ = NULL;
#line 74 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 75 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp0_ = self->priv->regex_list;
#line 75 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp0_ != NULL) {
#line 76 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		return;
#line 324 "RsyncTask.c"
	}
#line 79 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp1_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_REGEX, (GBoxedCopyFunc) g_regex_ref, (GDestroyNotify) g_regex_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 79 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_object_unref0 (self->priv->regex_list);
#line 79 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->priv->regex_list = _tmp1_;
#line 332 "RsyncTask.c"
	{
		GRegex* _tmp2_ = NULL;
		GRegex* _tmp3_;
		GeeHashMap* _tmp4_;
		GRegex* _tmp5_ = NULL;
		GRegex* _tmp6_;
		GeeHashMap* _tmp7_;
		GRegex* _tmp8_ = NULL;
		GRegex* _tmp9_;
		GeeHashMap* _tmp10_;
		GRegex* _tmp11_ = NULL;
		GRegex* _tmp12_;
		GeeHashMap* _tmp13_;
		GRegex* _tmp14_ = NULL;
		GRegex* _tmp15_;
		GeeHashMap* _tmp16_;
		GRegex* _tmp17_ = NULL;
		GRegex* _tmp18_;
		GeeHashMap* _tmp19_;
		GRegex* _tmp20_ = NULL;
		GRegex* _tmp21_;
		GeeHashMap* _tmp22_;
		GRegex* _tmp23_ = NULL;
		GRegex* _tmp24_;
		GeeHashMap* _tmp25_;
		GRegex* _tmp26_ = NULL;
		GRegex* _tmp27_;
		GeeHashMap* _tmp28_;
		GRegex* _tmp29_ = NULL;
		GRegex* _tmp30_;
		GeeHashMap* _tmp31_;
#line 113 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp3_ = g_regex_new ("([<>ch.*])([.fdLDS])(c|\\+|\\.| )(s|\\+|\\.| )(t|\\+|\\.| )(p|\\+|\\.|" \
" )(o|\\+|\\.| )(g|\\+|\\.| )(u|\\+|\\.| )(a|\\+|\\.| )(x|\\+|\\.| ) (." \
"*)", 0, 0, &_inner_error_);
#line 113 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp2_ = _tmp3_;
#line 113 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 370 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 113 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp4_ = self->priv->regex_list;
#line 113 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp4_, "status", _tmp2_);
#line 116 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp6_ = g_regex_new ("([<>ch.*])([.fdLDS])[+]{9} (.*)", 0, 0, &_inner_error_);
#line 116 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp5_ = _tmp6_;
#line 116 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 116 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 385 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 116 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp7_ = self->priv->regex_list;
#line 116 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp7_, "created", _tmp5_);
#line 119 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp9_ = g_regex_new ("[0-9\\/]+ [0-9:.]+ \\[[0-9]+\\] ([<>ch.*])([.fdLDS])[+]{9} (.*)", 0, 0, &_inner_error_);
#line 119 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp8_ = _tmp9_;
#line 119 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 119 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 119 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 402 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 119 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp10_ = self->priv->regex_list;
#line 119 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp10_, "log-created", _tmp8_);
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp12_ = g_regex_new ("\\*deleting[ \\t]+(.*)", 0, 0, &_inner_error_);
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp11_ = _tmp12_;
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 421 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp13_ = self->priv->regex_list;
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp13_, "deleted", _tmp11_);
#line 125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp15_ = g_regex_new ("[0-9\\/]+ [0-9:.]+ \\[[0-9]+\\] \\*deleting[ \\t]+(.*)", 0, 0, &_inner_error_);
#line 125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp14_ = _tmp15_;
#line 125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 442 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp16_ = self->priv->regex_list;
#line 125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp16_, "log-deleted", _tmp14_);
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp18_ = g_regex_new ("([<>ch.])([.fdLDS])(c|\\+|\\.| )(s|\\+|\\.| )(t|\\+|\\.| )(p|\\+|\\.| " \
")(o|\\+|\\.| )(g|\\+|\\.| )(u|\\+|\\.| )(a|\\+|\\.| )(x|\\+|\\.) (.*)", 0, 0, &_inner_error_);
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp17_ = _tmp18_;
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 465 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp19_ = self->priv->regex_list;
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp19_, "modified", _tmp17_);
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp21_ = g_regex_new ("[0-9\\/]+ [0-9:.]+ \\[[0-9]+\\] ([<>ch.])([.fdLDS])(c|\\+|\\.| )(s|\\+" \
"|\\.| )(t|\\+|\\.| )(p|\\+|\\.| )(o|\\+|\\.| )(g|\\+|\\.| )(u|\\+|\\.|" \
" )(a|\\+|\\.| )(x|\\+|\\.) (.*)", 0, 0, &_inner_error_);
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp20_ = _tmp21_;
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 490 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp22_ = self->priv->regex_list;
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp22_, "log-modified", _tmp20_);
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp24_ = g_regex_new ("([.h])([.fdLDS])[ ]{9} (.*)", 0, 0, &_inner_error_);
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp23_ = _tmp24_;
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp20_);
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 517 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp25_ = self->priv->regex_list;
#line 134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp25_, "unchanged", _tmp23_);
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp27_ = g_regex_new ("[0-9\\/]+ [0-9:.]+ \\[[0-9]+\\] ([.h])([.fdLDS])[ ]{9} (.*)", 0, 0, &_inner_error_);
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp26_ = _tmp27_;
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp23_);
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp20_);
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 546 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp28_ = self->priv->regex_list;
#line 137 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp28_, "log-unchanged", _tmp26_);
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp30_ = g_regex_new ("total size is ([0-9,]+)[ \\t]+speedup is [0-9.]+", 0, 0, &_inner_error_);
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp29_ = _tmp30_;
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp26_);
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp23_);
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp20_);
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 577 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp31_ = self->priv->regex_list;
#line 140 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp31_, "total-size", _tmp29_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp29_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp26_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp23_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp20_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp17_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp14_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp11_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp8_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp5_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp2_);
#line 604 "RsyncTask.c"
	}
	goto __finally60;
	__catch60_g_error:
	{
		GError* e = NULL;
		GError* _tmp32_;
		const gchar* _tmp33_;
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		e = _inner_error_;
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_inner_error_ = NULL;
#line 145 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp32_ = e;
#line 145 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp33_ = _tmp32_->message;
#line 145 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		tee_jee_logging_log_error (_tmp33_, FALSE, FALSE);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_error_free0 (e);
#line 624 "RsyncTask.c"
	}
	__finally60:
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		g_clear_error (&_inner_error_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		return;
#line 635 "RsyncTask.c"
	}
}


void
rsync_task_prepare (RsyncTask* self)
{
	gchar* script_text = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	GString* _tmp7_;
#line 149 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 150 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp0_ = rsync_task_build_script (self);
#line 150 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	script_text = _tmp0_;
#line 152 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug (script_text);
#line 154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp1_ = ((AsyncTask*) self)->script_file;
#line 154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp2_ = tee_jee_process_helper_save_bash_script_temp (script_text, _tmp1_, TRUE, FALSE);
#line 154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp3_ = _tmp2_;
#line 154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp3_);
#line 155 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp4_ = ((AsyncTask*) self)->script_file;
#line 155 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp5_ = g_strdup_printf ("RsyncTask:prepare(): saved: %s", _tmp4_);
#line 155 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp6_ = _tmp5_;
#line 155 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug (_tmp6_);
#line 155 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp6_);
#line 158 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->status_line_count = (gint64) 0;
#line 159 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->total_size = (gint64) 0;
#line 161 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->count_created = (gint64) 0;
#line 162 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->count_deleted = (gint64) 0;
#line 163 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->count_modified = (gint64) 0;
#line 164 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->count_checksum = (gint64) 0;
#line 165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->count_size = (gint64) 0;
#line 166 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->count_timestamp = (gint64) 0;
#line 167 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->count_permissions = (gint64) 0;
#line 168 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->count_owner = (gint64) 0;
#line 169 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->count_group = (gint64) 0;
#line 170 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->count_unchanged = (gint64) 0;
#line 172 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp7_ = g_string_new ("");
#line 172 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_string_free0 (self->log);
#line 172 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->log = _tmp7_;
#line 149 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (script_text);
#line 710 "RsyncTask.c"
}


static gchar*
rsync_task_build_script (RsyncTask* self)
{
	gchar* result = NULL;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gboolean _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	gboolean _tmp6_;
	gboolean _tmp11_;
	gboolean _tmp14_;
	const gchar* _tmp17_;
	gchar* _tmp18_;
	const gchar* _tmp19_;
	gchar* _tmp20_;
	gboolean _tmp21_;
	gboolean _tmp24_;
	const gchar* _tmp27_;
	gint _tmp28_;
	gint _tmp29_;
	const gchar* _tmp40_;
	gint _tmp41_;
	gint _tmp42_;
	const gchar* _tmp50_;
	gint _tmp51_;
	gint _tmp52_;
	const gchar* _tmp65_;
	gchar* _tmp66_;
	const gchar* _tmp67_;
	gchar* _tmp68_;
	const gchar* _tmp69_;
	const gchar* _tmp70_;
	gchar* _tmp71_;
	gchar* _tmp72_;
	gchar* _tmp73_;
	gchar* _tmp74_;
	gchar* _tmp75_;
	const gchar* _tmp76_;
	const gchar* _tmp77_;
	gchar* _tmp78_;
	gchar* _tmp79_;
	gchar* _tmp80_;
	gchar* _tmp81_;
	gchar* _tmp82_;
#line 175 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp0_ = g_strdup ("");
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	cmd = _tmp0_;
#line 179 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp1_ = self->io_nice;
#line 179 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp1_) {
#line 771 "RsyncTask.c"
	}
#line 183 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp2_ = cmd;
#line 183 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp3_ = g_strconcat (_tmp2_, "rsync -aii", NULL);
#line 183 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 183 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	cmd = _tmp3_;
#line 189 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp4_ = cmd;
#line 189 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp5_ = g_strconcat (_tmp4_, " --recursive", NULL);
#line 189 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 189 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	cmd = _tmp5_;
#line 191 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp6_ = self->verbose;
#line 191 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp6_) {
#line 793 "RsyncTask.c"
		const gchar* _tmp7_;
		gchar* _tmp8_;
#line 192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp7_ = cmd;
#line 192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp8_ = g_strconcat (_tmp7_, " --verbose", NULL);
#line 192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		cmd = _tmp8_;
#line 804 "RsyncTask.c"
	} else {
		const gchar* _tmp9_;
		gchar* _tmp10_;
#line 195 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp9_ = cmd;
#line 195 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp10_ = g_strconcat (_tmp9_, " --quiet", NULL);
#line 195 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 195 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		cmd = _tmp10_;
#line 816 "RsyncTask.c"
	}
#line 198 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp11_ = self->delete_extra;
#line 198 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp11_) {
#line 822 "RsyncTask.c"
		const gchar* _tmp12_;
		gchar* _tmp13_;
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp12_ = cmd;
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp13_ = g_strconcat (_tmp12_, " --delete", NULL);
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		cmd = _tmp13_;
#line 833 "RsyncTask.c"
	}
#line 202 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp14_ = self->delete_after;
#line 202 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp14_) {
#line 839 "RsyncTask.c"
		const gchar* _tmp15_;
		gchar* _tmp16_;
#line 203 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp15_ = cmd;
#line 203 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp16_ = g_strconcat (_tmp15_, " --delete-after", NULL);
#line 203 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 203 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		cmd = _tmp16_;
#line 850 "RsyncTask.c"
	}
#line 206 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp17_ = cmd;
#line 206 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp18_ = g_strconcat (_tmp17_, " --force", NULL);
#line 206 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 206 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	cmd = _tmp18_;
#line 210 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp19_ = cmd;
#line 210 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp20_ = g_strconcat (_tmp19_, " --stats", NULL);
#line 210 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 210 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	cmd = _tmp20_;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp21_ = self->delete_excluded;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp21_) {
#line 872 "RsyncTask.c"
		const gchar* _tmp22_;
		gchar* _tmp23_;
#line 217 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp22_ = cmd;
#line 217 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp23_ = g_strconcat (_tmp22_, " --delete-excluded", NULL);
#line 217 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 217 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		cmd = _tmp23_;
#line 883 "RsyncTask.c"
	}
#line 220 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp24_ = self->dry_run;
#line 220 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp24_) {
#line 889 "RsyncTask.c"
		const gchar* _tmp25_;
		gchar* _tmp26_;
#line 221 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp25_ = cmd;
#line 221 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp26_ = g_strconcat (_tmp25_, " --dry-run", NULL);
#line 221 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 221 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		cmd = _tmp26_;
#line 900 "RsyncTask.c"
	}
#line 224 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp27_ = self->link_from_path;
#line 224 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp28_ = strlen (_tmp27_);
#line 224 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp29_ = _tmp28_;
#line 224 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp29_ > 0) {
#line 910 "RsyncTask.c"
		const gchar* _tmp30_;
		const gchar* _tmp33_;
		const gchar* _tmp34_;
		gchar* _tmp35_;
		gchar* _tmp36_;
		gchar* _tmp37_;
		gchar* _tmp38_;
		gchar* _tmp39_;
#line 225 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp30_ = self->link_from_path;
#line 225 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (!g_str_has_suffix (_tmp30_, "/")) {
#line 923 "RsyncTask.c"
			const gchar* _tmp31_;
			gchar* _tmp32_;
#line 226 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp31_ = self->link_from_path;
#line 226 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp32_ = g_strdup_printf ("%s/", _tmp31_);
#line 226 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (self->link_from_path);
#line 226 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			self->link_from_path = _tmp32_;
#line 934 "RsyncTask.c"
		}
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp33_ = cmd;
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp34_ = self->link_from_path;
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp35_ = tee_jee_file_system_escape_single_quote (_tmp34_);
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp36_ = _tmp35_;
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp37_ = g_strdup_printf (" --link-dest='%s'", _tmp36_);
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp38_ = _tmp37_;
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp39_ = g_strconcat (_tmp33_, _tmp38_, NULL);
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		cmd = _tmp39_;
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp38_);
#line 229 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp36_);
#line 958 "RsyncTask.c"
	}
#line 232 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp40_ = self->rsync_log_file;
#line 232 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp41_ = strlen (_tmp40_);
#line 232 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp42_ = _tmp41_;
#line 232 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp42_ > 0) {
#line 968 "RsyncTask.c"
		const gchar* _tmp43_;
		const gchar* _tmp44_;
		gchar* _tmp45_;
		gchar* _tmp46_;
		gchar* _tmp47_;
		gchar* _tmp48_;
		gchar* _tmp49_;
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp43_ = cmd;
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp44_ = self->rsync_log_file;
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp45_ = tee_jee_file_system_escape_single_quote (_tmp44_);
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp46_ = _tmp45_;
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp47_ = g_strdup_printf (" --log-file='%s'", _tmp46_);
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp48_ = _tmp47_;
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp49_ = g_strconcat (_tmp43_, _tmp48_, NULL);
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		cmd = _tmp49_;
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp48_);
#line 233 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp46_);
#line 998 "RsyncTask.c"
	}
#line 236 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp50_ = self->exclude_from_file;
#line 236 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp51_ = strlen (_tmp50_);
#line 236 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp52_ = _tmp51_;
#line 236 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp52_ > 0) {
#line 1008 "RsyncTask.c"
		const gchar* _tmp53_;
		const gchar* _tmp54_;
		gchar* _tmp55_;
		gchar* _tmp56_;
		gchar* _tmp57_;
		gchar* _tmp58_;
		gchar* _tmp59_;
		gboolean _tmp60_ = FALSE;
		gboolean _tmp61_;
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp53_ = cmd;
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp54_ = self->exclude_from_file;
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp55_ = tee_jee_file_system_escape_single_quote (_tmp54_);
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp56_ = _tmp55_;
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp57_ = g_strdup_printf (" --exclude-from='%s'", _tmp56_);
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp58_ = _tmp57_;
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp59_ = g_strconcat (_tmp53_, _tmp58_, NULL);
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		cmd = _tmp59_;
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp58_);
#line 237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp56_);
#line 239 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp61_ = self->delete_extra;
#line 239 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (_tmp61_) {
#line 1044 "RsyncTask.c"
			gboolean _tmp62_;
#line 239 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp62_ = self->delete_excluded;
#line 239 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp60_ = _tmp62_;
#line 1050 "RsyncTask.c"
		} else {
#line 239 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp60_ = FALSE;
#line 1054 "RsyncTask.c"
		}
#line 239 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (_tmp60_) {
#line 1058 "RsyncTask.c"
			const gchar* _tmp63_;
			gchar* _tmp64_;
#line 240 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp63_ = cmd;
#line 240 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp64_ = g_strconcat (_tmp63_, " --delete-excluded", NULL);
#line 240 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (cmd);
#line 240 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			cmd = _tmp64_;
#line 1069 "RsyncTask.c"
		}
	}
#line 244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp65_ = self->source_path;
#line 244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp66_ = tee_jee_file_system_remove_trailing_slash (_tmp65_);
#line 244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->source_path);
#line 244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->source_path = _tmp66_;
#line 246 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp67_ = self->dest_path;
#line 246 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp68_ = tee_jee_file_system_remove_trailing_slash (_tmp67_);
#line 246 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->dest_path);
#line 246 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->dest_path = _tmp68_;
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp69_ = cmd;
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp70_ = self->source_path;
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp71_ = tee_jee_file_system_escape_single_quote (_tmp70_);
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp72_ = _tmp71_;
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp73_ = g_strdup_printf (" '%s/'", _tmp72_);
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp74_ = _tmp73_;
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp75_ = g_strconcat (_tmp69_, _tmp74_, NULL);
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	cmd = _tmp75_;
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp74_);
#line 248 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp72_);
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp76_ = cmd;
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp77_ = self->dest_path;
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp78_ = tee_jee_file_system_escape_single_quote (_tmp77_);
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp79_ = _tmp78_;
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp80_ = g_strdup_printf (" '%s/'", _tmp79_);
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp81_ = _tmp80_;
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp82_ = g_strconcat (_tmp76_, _tmp81_, NULL);
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	cmd = _tmp82_;
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp81_);
#line 250 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp79_);
#line 252 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	result = cmd;
#line 252 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	return result;
#line 1136 "RsyncTask.c"
}


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1248 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1161 "RsyncTask.c"
}


GeeArrayList*
rsync_task_parse_log (RsyncTask* self,
                      const gchar* log_file_path)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	gchar* log_file = NULL;
	gchar* _tmp1_;
	GDataOutputStream* dos_changes = NULL;
	const gchar* _tmp2_;
	const gchar* _tmp17_;
	gchar* _tmp18_;
	gchar* _tmp19_;
	const gchar* _tmp20_;
	GDataOutputStream* _tmp195_;
	GError * _inner_error_ = NULL;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (log_file_path != NULL, NULL);
#line 257 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp0_ = gee_array_list_new (TYPE_FILE_ITEM, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 257 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	list = _tmp0_;
#line 259 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp1_ = g_strdup (log_file_path);
#line 259 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	log_file = _tmp1_;
#line 260 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	dos_changes = NULL;
#line 262 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp2_ = log_file;
#line 262 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (!g_str_has_suffix (_tmp2_, "-changes")) {
#line 1200 "RsyncTask.c"
		gchar* log_file_changes = NULL;
		gchar* _tmp3_;
		const gchar* _tmp4_;
#line 264 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp3_ = g_strconcat (log_file_path, "-changes", NULL);
#line 264 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		log_file_changes = _tmp3_;
#line 266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp4_ = log_file_changes;
#line 266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (tee_jee_file_system_file_exists (_tmp4_)) {
#line 1212 "RsyncTask.c"
			const gchar* _tmp5_;
			gchar* _tmp6_;
#line 268 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp5_ = log_file_changes;
#line 268 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp6_ = g_strdup (_tmp5_);
#line 268 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (log_file);
#line 268 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			log_file = _tmp6_;
#line 1223 "RsyncTask.c"
		} else {
			{
				GFile* file = NULL;
				const gchar* _tmp7_;
				GFile* _tmp8_;
				GFile* _tmp9_;
				GFileOutputStream* file_stream = NULL;
				GFile* _tmp11_;
				GFileOutputStream* _tmp12_;
				GFileOutputStream* _tmp13_;
				GDataOutputStream* _tmp14_;
#line 273 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp7_ = log_file_changes;
#line 273 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp8_ = g_file_new_for_path (_tmp7_);
#line 273 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				file = _tmp8_;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp9_ = file;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				if (g_file_query_exists (_tmp9_, NULL)) {
#line 1245 "RsyncTask.c"
					GFile* _tmp10_;
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp10_ = file;
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					g_file_delete (_tmp10_, NULL, &_inner_error_);
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_object_unref0 (file);
#line 1255 "RsyncTask.c"
						goto __catch61_g_error;
					}
				}
#line 277 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp11_ = file;
#line 277 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp12_ = g_file_create (_tmp11_, G_FILE_CREATE_REPLACE_DESTINATION, NULL, &_inner_error_);
#line 277 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				file_stream = _tmp12_;
#line 277 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 277 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_object_unref0 (file);
#line 1269 "RsyncTask.c"
					goto __catch61_g_error;
				}
#line 278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp13_ = file_stream;
#line 278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp14_ = g_data_output_stream_new ((GOutputStream*) _tmp13_);
#line 278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (dos_changes);
#line 278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				dos_changes = _tmp14_;
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (file_stream);
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (file);
#line 1284 "RsyncTask.c"
			}
			goto __finally61;
			__catch61_g_error:
			{
				GError* e = NULL;
				GError* _tmp15_;
				const gchar* _tmp16_;
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				e = _inner_error_;
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_inner_error_ = NULL;
#line 281 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp15_ = e;
#line 281 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp16_ = _tmp15_->message;
#line 281 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				tee_jee_logging_log_error (_tmp16_, FALSE, FALSE);
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_error_free0 (e);
#line 1304 "RsyncTask.c"
			}
			__finally61:
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (log_file_changes);
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (dos_changes);
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (log_file);
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (list);
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				g_clear_error (&_inner_error_);
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				return NULL;
#line 1323 "RsyncTask.c"
			}
		}
#line 262 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (log_file_changes);
#line 1328 "RsyncTask.c"
	}
#line 286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug ("RsyncTask: parse_log()");
#line 287 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp17_ = log_file;
#line 287 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp18_ = g_strdup_printf ("log_file = %s", _tmp17_);
#line 287 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp19_ = _tmp18_;
#line 287 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug (_tmp19_);
#line 287 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp19_);
#line 289 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	((AsyncTask*) self)->prg_count = (gint64) 0;
#line 290 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp20_ = log_file;
#line 290 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	((AsyncTask*) self)->prg_count_total = tee_jee_file_system_file_line_count (_tmp20_);
#line 1348 "RsyncTask.c"
	{
		gchar* line = NULL;
		GFile* file = NULL;
		const gchar* _tmp21_;
		GFile* _tmp22_;
		GFile* _tmp23_;
		GFileInputStream* _tmp29_ = NULL;
		GFile* _tmp30_;
		GFileInputStream* _tmp31_;
		GDataInputStream* dis = NULL;
		GDataInputStream* _tmp32_;
		gchar* item_path = NULL;
		gchar* _tmp33_;
		gchar* item_disk_path = NULL;
		gchar* _tmp34_;
		gchar* item_status = NULL;
		gchar* _tmp35_;
		gchar* item_basepath = NULL;
		gchar* _tmp36_;
		gchar* _tmp37_;
		gchar* _tmp38_;
		gchar* _tmp39_;
#line 294 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp21_ = log_file;
#line 294 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp22_ = g_file_new_for_path (_tmp21_);
#line 294 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		file = _tmp22_;
#line 295 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp23_ = file;
#line 295 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (!g_file_query_exists (_tmp23_, NULL)) {
#line 1381 "RsyncTask.c"
			const gchar* _tmp24_;
			gchar* _tmp25_;
			gchar* _tmp26_;
			gchar* _tmp27_;
			gchar* _tmp28_;
#line 296 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp24_ = log_file;
#line 296 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp25_ = g_strdup_printf (": %s", _tmp24_);
#line 296 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp26_ = _tmp25_;
#line 296 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp27_ = g_strconcat (_ ("File not found"), _tmp26_, NULL);
#line 296 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp28_ = _tmp27_;
#line 296 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			tee_jee_logging_log_error (_tmp28_, FALSE, FALSE);
#line 296 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp28_);
#line 296 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp26_);
#line 297 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			result = list;
#line 297 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_object_unref0 (file);
#line 297 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (line);
#line 297 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_object_unref0 (dos_changes);
#line 297 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (log_file);
#line 297 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			return result;
#line 1415 "RsyncTask.c"
		}
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp30_ = file;
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp31_ = g_file_read (_tmp30_, NULL, &_inner_error_);
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp29_ = _tmp31_;
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_object_unref0 (file);
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (line);
#line 1429 "RsyncTask.c"
			goto __catch62_g_error;
		}
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp32_ = g_data_input_stream_new ((GInputStream*) _tmp29_);
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		dis = _tmp32_;
#line 302 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp33_ = g_strdup ("");
#line 302 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		item_path = _tmp33_;
#line 303 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp34_ = g_strdup ("");
#line 303 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		item_disk_path = _tmp34_;
#line 304 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp35_ = g_strdup ("");
#line 304 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		item_status = _tmp35_;
#line 306 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp36_ = tee_jee_file_system_file_parent (log_file_path);
#line 306 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp37_ = _tmp36_;
#line 306 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp38_ = tee_jee_file_system_path_combine (_tmp37_, "localhost");
#line 306 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp39_ = _tmp38_;
#line 306 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp37_);
#line 306 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		item_basepath = _tmp39_;
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		while (TRUE) {
#line 1462 "RsyncTask.c"
			gchar* _tmp40_ = NULL;
			GDataInputStream* _tmp41_;
			gchar* _tmp42_;
			gchar* _tmp43_;
			const gchar* _tmp44_;
			gint64 _tmp45_;
			const gchar* _tmp46_;
			gchar* _tmp47_;
			gchar* _tmp48_;
			gint _tmp49_;
			gint _tmp50_;
			gboolean _tmp51_;
			gchar* _tmp52_;
			GMatchInfo* match = NULL;
			gboolean _tmp53_ = FALSE;
			GeeHashMap* _tmp54_;
			gpointer _tmp55_;
			GRegex* _tmp56_;
			const gchar* _tmp57_;
			GMatchInfo* _tmp58_ = NULL;
			gboolean _tmp59_;
			gboolean _tmp60_;
			gboolean _tmp176_ = FALSE;
			gboolean _tmp177_ = FALSE;
			const gchar* _tmp178_;
			gint _tmp179_;
			gint _tmp180_;
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp41_ = dis;
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp42_ = g_data_input_stream_read_line (_tmp41_, NULL, NULL, &_inner_error_);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp40_ = _tmp42_;
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_basepath);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_status);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_disk_path);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_path);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (dis);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (_tmp29_);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (file);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (line);
#line 1514 "RsyncTask.c"
				goto __catch62_g_error;
			}
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp43_ = _tmp40_;
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp40_ = NULL;
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (line);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			line = _tmp43_;
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp44_ = line;
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			if (!(_tmp44_ != NULL)) {
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp40_);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				break;
#line 1533 "RsyncTask.c"
			}
#line 310 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp45_ = ((AsyncTask*) self)->prg_count;
#line 310 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			((AsyncTask*) self)->prg_count = _tmp45_ + 1;
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp46_ = line;
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp47_ = string_strip (_tmp46_);
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp48_ = _tmp47_;
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp49_ = strlen (_tmp48_);
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp50_ = _tmp49_;
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp51_ = _tmp50_ == 0;
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp48_);
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			if (_tmp51_) {
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp40_);
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				continue;
#line 1559 "RsyncTask.c"
			}
#line 314 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp52_ = g_strdup ("");
#line 314 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (item_path);
#line 314 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			item_path = _tmp52_;
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp54_ = self->priv->regex_list;
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp55_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp54_, "created");
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp56_ = (GRegex*) _tmp55_;
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp57_ = line;
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp59_ = g_regex_match (_tmp56_, _tmp57_, 0, &_tmp58_);
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_match_info_unref0 (match);
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			match = _tmp58_;
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp60_ = _tmp59_;
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp56_);
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			if (_tmp60_) {
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp53_ = TRUE;
#line 1589 "RsyncTask.c"
			} else {
				GeeHashMap* _tmp61_;
				gpointer _tmp62_;
				GRegex* _tmp63_;
				const gchar* _tmp64_;
				GMatchInfo* _tmp65_ = NULL;
				gboolean _tmp66_;
#line 318 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp61_ = self->priv->regex_list;
#line 318 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp62_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp61_, "log-created");
#line 318 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp63_ = (GRegex*) _tmp62_;
#line 318 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp64_ = line;
#line 318 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp66_ = g_regex_match (_tmp63_, _tmp64_, 0, &_tmp65_);
#line 318 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_match_info_unref0 (match);
#line 318 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				match = _tmp65_;
#line 318 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp53_ = _tmp66_;
#line 318 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_regex_unref0 (_tmp63_);
#line 1615 "RsyncTask.c"
			}
#line 317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			if (_tmp53_) {
#line 1619 "RsyncTask.c"
				GDataOutputStream* _tmp67_;
				GMatchInfo* _tmp72_;
				gchar* _tmp73_;
				gchar* _tmp74_;
				gchar** _tmp75_;
				gchar** _tmp76_;
				gchar** _tmp77_;
				gint _tmp77__length1;
				const gchar* _tmp78_;
				gchar* _tmp79_;
				gchar* _tmp80_;
#line 320 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp67_ = dos_changes;
#line 320 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				if (_tmp67_ != NULL) {
#line 1635 "RsyncTask.c"
					GDataOutputStream* _tmp68_;
					const gchar* _tmp69_;
					gchar* _tmp70_;
					gchar* _tmp71_;
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp68_ = dos_changes;
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp69_ = line;
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp70_ = g_strdup_printf ("%s\n", _tmp69_);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp71_ = _tmp70_;
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					g_data_output_stream_put_string (_tmp68_, _tmp71_, NULL, &_inner_error_);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp71_);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_match_info_unref0 (match);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp40_);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (item_basepath);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (item_status);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (item_disk_path);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (item_path);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_object_unref0 (dis);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_object_unref0 (_tmp29_);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_object_unref0 (file);
#line 321 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (line);
#line 1674 "RsyncTask.c"
						goto __catch62_g_error;
					}
				}
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp72_ = match;
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp73_ = g_match_info_fetch (_tmp72_, 3);
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp74_ = _tmp73_;
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp76_ = _tmp75_ = g_strsplit (_tmp74_, " -> ", 0);
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp77_ = _tmp76_;
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp77__length1 = _vala_array_length (_tmp75_);
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp78_ = _tmp77_[0];
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp79_ = string_strip (_tmp78_);
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_path);
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				item_path = _tmp79_;
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp77_ = (_vala_array_free (_tmp77_, _tmp77__length1, (GDestroyNotify) g_free), NULL);
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp74_);
#line 334 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp80_ = g_strdup ("created");
#line 334 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_status);
#line 334 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				item_status = _tmp80_;
#line 1708 "RsyncTask.c"
			} else {
				gboolean _tmp81_ = FALSE;
				GeeHashMap* _tmp82_;
				gpointer _tmp83_;
				GRegex* _tmp84_;
				const gchar* _tmp85_;
				GMatchInfo* _tmp86_ = NULL;
				gboolean _tmp87_;
				gboolean _tmp88_;
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp82_ = self->priv->regex_list;
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp83_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp82_, "log-deleted");
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp84_ = (GRegex*) _tmp83_;
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp85_ = line;
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp87_ = g_regex_match (_tmp84_, _tmp85_, 0, &_tmp86_);
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_match_info_unref0 (match);
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				match = _tmp86_;
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp88_ = _tmp87_;
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_regex_unref0 (_tmp84_);
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				if (_tmp88_) {
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp81_ = TRUE;
#line 1740 "RsyncTask.c"
				} else {
					GeeHashMap* _tmp89_;
					gpointer _tmp90_;
					GRegex* _tmp91_;
					const gchar* _tmp92_;
					GMatchInfo* _tmp93_ = NULL;
					gboolean _tmp94_;
#line 337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp89_ = self->priv->regex_list;
#line 337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp90_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp89_, "deleted");
#line 337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp91_ = (GRegex*) _tmp90_;
#line 337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp92_ = line;
#line 337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp94_ = g_regex_match (_tmp91_, _tmp92_, 0, &_tmp93_);
#line 337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_match_info_unref0 (match);
#line 337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					match = _tmp93_;
#line 337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp81_ = _tmp94_;
#line 337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_regex_unref0 (_tmp91_);
#line 1766 "RsyncTask.c"
				}
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				if (_tmp81_) {
#line 1770 "RsyncTask.c"
					GDataOutputStream* _tmp95_;
					GMatchInfo* _tmp100_;
					gchar* _tmp101_;
					gchar* _tmp102_;
					gchar** _tmp103_;
					gchar** _tmp104_;
					gchar** _tmp105_;
					gint _tmp105__length1;
					const gchar* _tmp106_;
					gchar* _tmp107_;
					gchar* _tmp108_;
#line 341 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp95_ = dos_changes;
#line 341 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					if (_tmp95_ != NULL) {
#line 1786 "RsyncTask.c"
						GDataOutputStream* _tmp96_;
						const gchar* _tmp97_;
						gchar* _tmp98_;
						gchar* _tmp99_;
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp96_ = dos_changes;
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp97_ = line;
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp98_ = g_strdup_printf ("%s\n", _tmp97_);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp99_ = _tmp98_;
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						g_data_output_stream_put_string (_tmp96_, _tmp99_, NULL, &_inner_error_);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp99_);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_match_info_unref0 (match);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp40_);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (item_basepath);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (item_status);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (item_disk_path);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (item_path);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_object_unref0 (dis);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_object_unref0 (_tmp29_);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_object_unref0 (file);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (line);
#line 1825 "RsyncTask.c"
							goto __catch62_g_error;
						}
					}
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp100_ = match;
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp101_ = g_match_info_fetch (_tmp100_, 1);
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp102_ = _tmp101_;
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp104_ = _tmp103_ = g_strsplit (_tmp102_, " -> ", 0);
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp105_ = _tmp104_;
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp105__length1 = _vala_array_length (_tmp103_);
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp106_ = _tmp105_[0];
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp107_ = string_strip (_tmp106_);
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_free0 (item_path);
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					item_path = _tmp107_;
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp105_ = (_vala_array_free (_tmp105_, _tmp105__length1, (GDestroyNotify) g_free), NULL);
#line 345 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp102_);
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp108_ = g_strdup ("deleted");
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_free0 (item_status);
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					item_status = _tmp108_;
#line 1859 "RsyncTask.c"
				} else {
					gboolean _tmp109_ = FALSE;
					GeeHashMap* _tmp110_;
					gpointer _tmp111_;
					GRegex* _tmp112_;
					const gchar* _tmp113_;
					GMatchInfo* _tmp114_ = NULL;
					gboolean _tmp115_;
					gboolean _tmp116_;
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp110_ = self->priv->regex_list;
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp111_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp110_, "modified");
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp112_ = (GRegex*) _tmp111_;
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp113_ = line;
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp115_ = g_regex_match (_tmp112_, _tmp113_, 0, &_tmp114_);
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_match_info_unref0 (match);
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					match = _tmp114_;
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp116_ = _tmp115_;
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_regex_unref0 (_tmp112_);
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					if (_tmp116_) {
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp109_ = TRUE;
#line 1891 "RsyncTask.c"
					} else {
						GeeHashMap* _tmp117_;
						gpointer _tmp118_;
						GRegex* _tmp119_;
						const gchar* _tmp120_;
						GMatchInfo* _tmp121_ = NULL;
						gboolean _tmp122_;
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp117_ = self->priv->regex_list;
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp118_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp117_, "log-modified");
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp119_ = (GRegex*) _tmp118_;
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp120_ = line;
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp122_ = g_regex_match (_tmp119_, _tmp120_, 0, &_tmp121_);
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_match_info_unref0 (match);
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						match = _tmp121_;
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp109_ = _tmp122_;
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_regex_unref0 (_tmp119_);
#line 1917 "RsyncTask.c"
					}
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					if (_tmp109_) {
#line 1921 "RsyncTask.c"
						GDataOutputStream* _tmp123_;
						GMatchInfo* _tmp128_;
						gchar* _tmp129_;
						gchar* _tmp130_;
						gchar** _tmp131_;
						gchar** _tmp132_;
						gchar** _tmp133_;
						gint _tmp133__length1;
						const gchar* _tmp134_;
						gchar* _tmp135_;
						GMatchInfo* _tmp136_;
						gchar* _tmp137_;
						gchar* _tmp138_;
						gboolean _tmp139_;
#line 354 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp123_ = dos_changes;
#line 354 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						if (_tmp123_ != NULL) {
#line 1940 "RsyncTask.c"
							GDataOutputStream* _tmp124_;
							const gchar* _tmp125_;
							gchar* _tmp126_;
							gchar* _tmp127_;
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp124_ = dos_changes;
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp125_ = line;
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp126_ = g_strdup_printf ("%s\n", _tmp125_);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp127_ = _tmp126_;
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							g_data_output_stream_put_string (_tmp124_, _tmp127_, NULL, &_inner_error_);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp127_);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_match_info_unref0 (match);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_free0 (_tmp40_);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_free0 (item_basepath);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_free0 (item_status);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_free0 (item_disk_path);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_free0 (item_path);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_object_unref0 (dis);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_object_unref0 (_tmp29_);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_object_unref0 (file);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_free0 (line);
#line 1979 "RsyncTask.c"
								goto __catch62_g_error;
							}
						}
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp128_ = match;
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp129_ = g_match_info_fetch (_tmp128_, 12);
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp130_ = _tmp129_;
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp132_ = _tmp131_ = g_strsplit (_tmp130_, " -> ", 0);
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp133_ = _tmp132_;
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp133__length1 = _vala_array_length (_tmp131_);
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp134_ = _tmp133_[0];
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp135_ = string_strip (_tmp134_);
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (item_path);
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						item_path = _tmp135_;
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp133_ = (_vala_array_free (_tmp133_, _tmp133__length1, (GDestroyNotify) g_free), NULL);
#line 358 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp130_);
#line 367 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp136_ = match;
#line 367 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp137_ = g_match_info_fetch (_tmp136_, 3);
#line 367 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp138_ = _tmp137_;
#line 367 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp139_ = g_strcmp0 (_tmp138_, "c") == 0;
#line 367 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp138_);
#line 367 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						if (_tmp139_) {
#line 2019 "RsyncTask.c"
							gchar* _tmp140_;
#line 368 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp140_ = g_strdup ("checksum");
#line 368 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (item_status);
#line 368 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							item_status = _tmp140_;
#line 2027 "RsyncTask.c"
						} else {
							GMatchInfo* _tmp141_;
							gchar* _tmp142_;
							gchar* _tmp143_;
							gboolean _tmp144_;
#line 370 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp141_ = match;
#line 370 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp142_ = g_match_info_fetch (_tmp141_, 4);
#line 370 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp143_ = _tmp142_;
#line 370 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp144_ = g_strcmp0 (_tmp143_, "s") == 0;
#line 370 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp143_);
#line 370 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							if (_tmp144_) {
#line 2045 "RsyncTask.c"
								gchar* _tmp145_;
#line 371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_tmp145_ = g_strdup ("size");
#line 371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_free0 (item_status);
#line 371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								item_status = _tmp145_;
#line 2053 "RsyncTask.c"
							} else {
								GMatchInfo* _tmp146_;
								gchar* _tmp147_;
								gchar* _tmp148_;
								gboolean _tmp149_;
#line 373 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_tmp146_ = match;
#line 373 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_tmp147_ = g_match_info_fetch (_tmp146_, 5);
#line 373 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_tmp148_ = _tmp147_;
#line 373 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_tmp149_ = g_strcmp0 (_tmp148_, "t") == 0;
#line 373 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_free0 (_tmp148_);
#line 373 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								if (_tmp149_) {
#line 2071 "RsyncTask.c"
									gchar* _tmp150_;
#line 374 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_tmp150_ = g_strdup ("timestamp");
#line 374 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_g_free0 (item_status);
#line 374 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									item_status = _tmp150_;
#line 2079 "RsyncTask.c"
								} else {
									GMatchInfo* _tmp151_;
									gchar* _tmp152_;
									gchar* _tmp153_;
									gboolean _tmp154_;
#line 376 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_tmp151_ = match;
#line 376 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_tmp152_ = g_match_info_fetch (_tmp151_, 6);
#line 376 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_tmp153_ = _tmp152_;
#line 376 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_tmp154_ = g_strcmp0 (_tmp153_, "p") == 0;
#line 376 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_g_free0 (_tmp153_);
#line 376 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									if (_tmp154_) {
#line 2097 "RsyncTask.c"
										gchar* _tmp155_;
#line 377 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_tmp155_ = g_strdup ("permissions");
#line 377 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_g_free0 (item_status);
#line 377 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										item_status = _tmp155_;
#line 2105 "RsyncTask.c"
									} else {
										GMatchInfo* _tmp156_;
										gchar* _tmp157_;
										gchar* _tmp158_;
										gboolean _tmp159_;
#line 379 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_tmp156_ = match;
#line 379 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_tmp157_ = g_match_info_fetch (_tmp156_, 7);
#line 379 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_tmp158_ = _tmp157_;
#line 379 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_tmp159_ = g_strcmp0 (_tmp158_, "o") == 0;
#line 379 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_g_free0 (_tmp158_);
#line 379 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										if (_tmp159_) {
#line 2123 "RsyncTask.c"
											gchar* _tmp160_;
#line 380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											_tmp160_ = g_strdup ("owner");
#line 380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											_g_free0 (item_status);
#line 380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											item_status = _tmp160_;
#line 2131 "RsyncTask.c"
										} else {
											GMatchInfo* _tmp161_;
											gchar* _tmp162_;
											gchar* _tmp163_;
											gboolean _tmp164_;
#line 382 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											_tmp161_ = match;
#line 382 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											_tmp162_ = g_match_info_fetch (_tmp161_, 8);
#line 382 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											_tmp163_ = _tmp162_;
#line 382 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											_tmp164_ = g_strcmp0 (_tmp163_, "g") == 0;
#line 382 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											_g_free0 (_tmp163_);
#line 382 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											if (_tmp164_) {
#line 2149 "RsyncTask.c"
												gchar* _tmp165_;
#line 383 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
												_tmp165_ = g_strdup ("group");
#line 383 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
												_g_free0 (item_status);
#line 383 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
												item_status = _tmp165_;
#line 2157 "RsyncTask.c"
											}
										}
									}
								}
							}
						}
					} else {
						GeeHashMap* _tmp166_;
						gpointer _tmp167_;
						GRegex* _tmp168_;
						const gchar* _tmp169_;
						GMatchInfo* _tmp170_ = NULL;
						gboolean _tmp171_;
						gboolean _tmp172_;
#line 386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp166_ = self->priv->regex_list;
#line 386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp167_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp166_, "log-unchanged");
#line 386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp168_ = (GRegex*) _tmp167_;
#line 386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp169_ = line;
#line 386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp171_ = g_regex_match (_tmp168_, _tmp169_, 0, &_tmp170_);
#line 386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_match_info_unref0 (match);
#line 386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						match = _tmp170_;
#line 386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp172_ = _tmp171_;
#line 386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_regex_unref0 (_tmp168_);
#line 386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						if (_tmp172_) {
#line 2192 "RsyncTask.c"
						} else {
							const gchar* _tmp173_;
							gchar* _tmp174_;
							gchar* _tmp175_;
#line 390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp173_ = line;
#line 390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp174_ = g_strdup_printf ("not-matched: %s", _tmp173_);
#line 390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp175_ = _tmp174_;
#line 390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							tee_jee_logging_log_debug (_tmp175_);
#line 390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp175_);
#line 2207 "RsyncTask.c"
						}
					}
				}
			}
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp178_ = item_path;
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp179_ = strlen (_tmp178_);
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp180_ = _tmp179_;
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			if (_tmp180_ > 0) {
#line 2220 "RsyncTask.c"
				const gchar* _tmp181_;
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp181_ = item_path;
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp177_ = g_strcmp0 (_tmp181_, "/./") != 0;
#line 2226 "RsyncTask.c"
			} else {
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp177_ = FALSE;
#line 2230 "RsyncTask.c"
			}
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			if (_tmp177_) {
#line 2234 "RsyncTask.c"
				const gchar* _tmp182_;
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp182_ = item_path;
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp176_ = g_strcmp0 (_tmp182_, "./") != 0;
#line 2240 "RsyncTask.c"
			} else {
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp176_ = FALSE;
#line 2244 "RsyncTask.c"
			}
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			if (_tmp176_) {
#line 2248 "RsyncTask.c"
				const gchar* _tmp183_;
				const gchar* _tmp184_;
				gchar* _tmp185_;
				FileItem* item = NULL;
				const gchar* _tmp186_;
				FileItem* _tmp187_;
				FileItem* _tmp188_;
				const gchar* _tmp189_;
				gchar* _tmp190_;
				GeeArrayList* _tmp191_;
				FileItem* _tmp192_;
#line 395 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp183_ = item_basepath;
#line 395 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp184_ = item_path;
#line 395 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp185_ = tee_jee_file_system_path_combine (_tmp183_, _tmp184_);
#line 395 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_disk_path);
#line 395 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				item_disk_path = _tmp185_;
#line 397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp186_ = item_disk_path;
#line 397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp187_ = file_item_new_from_disk_path_with_basic_info (_tmp186_);
#line 397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				item = _tmp187_;
#line 398 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp188_ = item;
#line 398 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp189_ = item_status;
#line 398 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp190_ = g_strdup (_tmp189_);
#line 398 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp188_->file_status);
#line 398 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp188_->file_status = _tmp190_;
#line 399 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp191_ = list;
#line 399 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp192_ = item;
#line 399 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp191_, _tmp192_);
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (item);
#line 2294 "RsyncTask.c"
			}
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_match_info_unref0 (match);
#line 308 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp40_);
#line 2300 "RsyncTask.c"
		}
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (item_basepath);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (item_status);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (item_disk_path);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (item_path);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (dis);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (_tmp29_);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (file);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (line);
#line 2318 "RsyncTask.c"
	}
	goto __finally62;
	__catch62_g_error:
	{
		GError* e = NULL;
		GError* _tmp193_;
		const gchar* _tmp194_;
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		e = _inner_error_;
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_inner_error_ = NULL;
#line 405 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp193_ = e;
#line 405 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp194_ = _tmp193_->message;
#line 405 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		tee_jee_logging_log_error (_tmp194_, FALSE, FALSE);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_error_free0 (e);
#line 2338 "RsyncTask.c"
	}
	__finally62:
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (dos_changes);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (log_file);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (list);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		g_clear_error (&_inner_error_);
#line 292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		return NULL;
#line 2355 "RsyncTask.c"
	}
#line 408 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp195_ = dos_changes;
#line 408 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp195_ != NULL) {
#line 2361 "RsyncTask.c"
		gchar* _tmp196_;
		gchar* _tmp197_;
#line 410 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp196_ = g_strdup_printf ("Archiving: %s", log_file_path);
#line 410 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp197_ = _tmp196_;
#line 410 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		tee_jee_logging_log_msg (_tmp197_, FALSE);
#line 410 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp197_);
#line 411 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		tee_jee_file_system_file_gzip (log_file_path);
#line 2374 "RsyncTask.c"
	}
#line 414 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug ("RsyncTask: parse_log(): exit");
#line 416 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	result = list;
#line 416 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_object_unref0 (dos_changes);
#line 416 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (log_file);
#line 416 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	return result;
#line 2386 "RsyncTask.c"
}


void
rsync_task_execute (RsyncTask* self)
{
	AppStatus _tmp0_;
#line 421 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 423 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug ("RsyncTask:execute()");
#line 425 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	rsync_task_prepare (self);
#line 433 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	async_task_begin ((AsyncTask*) self);
#line 435 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->status;
#line 435 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp0_ == APP_STATUS_RUNNING) {
#line 2406 "RsyncTask.c"
	}
}


static void
rsync_task_real_parse_stdout_line (AsyncTask* base,
                                   const gchar* out_line)
{
	RsyncTask * self;
	gboolean _tmp0_;
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) base;
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_if_fail (out_line != NULL);
#line 442 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->is_terminated;
#line 442 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 443 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		return;
#line 2427 "RsyncTask.c"
	}
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	rsync_task_update_progress_parse_console_output (self, out_line);
#line 2431 "RsyncTask.c"
}


static void
rsync_task_real_parse_stderr_line (AsyncTask* base,
                                   const gchar* err_line)
{
	RsyncTask * self;
	gboolean _tmp0_;
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) base;
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_if_fail (err_line != NULL);
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->is_terminated;
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 451 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		return;
#line 2451 "RsyncTask.c"
	}
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	rsync_task_update_progress_parse_console_output (self, err_line);
#line 2455 "RsyncTask.c"
}


static gint64
int64_parse (const gchar* str)
{
	gint64 result = 0LL;
	gint64 _tmp0_;
#line 687 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0LL);
#line 688 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_ascii_strtoll (str, NULL, (guint) 0);
#line 688 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_;
#line 688 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 2472 "RsyncTask.c"
}


static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 2495 "RsyncTask.c"
	} else {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 2499 "RsyncTask.c"
	}
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 2505 "RsyncTask.c"
	} else {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 2509 "RsyncTask.c"
	}
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 2513 "RsyncTask.c"
		gchar* _tmp2_;
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp2_;
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2521 "RsyncTask.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		regex = _tmp6_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2549 "RsyncTask.c"
				goto __catch63_g_regex_error;
			}
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 2558 "RsyncTask.c"
		}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp8_ = regex;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2572 "RsyncTask.c"
				goto __catch63_g_regex_error;
			}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 2583 "RsyncTask.c"
		}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp10_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2597 "RsyncTask.c"
	}
	goto __finally63;
	__catch63_g_regex_error:
	{
		GError* e = NULL;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1429 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 2611 "RsyncTask.c"
	}
	__finally63:
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return NULL;
#line 2622 "RsyncTask.c"
	}
}


gboolean
rsync_task_update_progress_parse_console_output (RsyncTask* self,
                                                 const gchar* line)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gint64 _tmp3_;
	gint64 _tmp4_;
	GMatchInfo* match = NULL;
	GeeHashMap* _tmp8_;
	gpointer _tmp9_;
	GRegex* _tmp10_;
	GMatchInfo* _tmp11_ = NULL;
	gboolean _tmp12_;
	gboolean _tmp13_;
#line 457 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 457 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (line != NULL, FALSE);
#line 458 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (line == NULL) {
#line 458 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp0_ = TRUE;
#line 2650 "RsyncTask.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 458 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp1_ = strlen (line);
#line 458 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp2_ = _tmp1_;
#line 458 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp0_ = _tmp2_ == 0;
#line 2660 "RsyncTask.c"
	}
#line 458 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		result = TRUE;
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		return result;
#line 2668 "RsyncTask.c"
	}
#line 462 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp3_ = self->status_line_count;
#line 462 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->status_line_count = _tmp3_ + 1;
#line 464 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp4_ = ((AsyncTask*) self)->prg_count_total;
#line 464 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp4_ > ((gint64) 0)) {
#line 2678 "RsyncTask.c"
		gint64 _tmp5_;
		gint64 _tmp6_;
		gint64 _tmp7_;
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp5_ = self->status_line_count;
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->prg_count = _tmp5_;
#line 466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp6_ = ((AsyncTask*) self)->prg_count;
#line 466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp7_ = ((AsyncTask*) self)->prg_count_total;
#line 466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->progress = (_tmp6_ * 1.0) / _tmp7_;
#line 2692 "RsyncTask.c"
	}
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp8_ = self->priv->regex_list;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp9_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp8_, "created");
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp10_ = (GRegex*) _tmp9_;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp12_ = g_regex_match (_tmp10_, line, 0, &_tmp11_);
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_match_info_unref0 (match);
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	match = _tmp11_;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp13_ = _tmp12_;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_regex_unref0 (_tmp10_);
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp13_) {
#line 2712 "RsyncTask.c"
		gint64 _tmp14_;
		GMatchInfo* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
		gchar** _tmp18_;
		gchar** _tmp19_;
		gchar** _tmp20_;
		gint _tmp20__length1;
		const gchar* _tmp21_;
		gchar* _tmp22_;
		GString* _tmp23_;
		gchar* _tmp24_;
		gchar* _tmp25_;
#line 483 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp14_ = self->count_created;
#line 483 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		self->count_created = _tmp14_ + 1;
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp15_ = match;
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp16_ = g_match_info_fetch (_tmp15_, 3);
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp17_ = _tmp16_;
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp19_ = _tmp18_ = g_strsplit (_tmp17_, " -> ", 0);
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp20_ = _tmp19_;
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp20__length1 = _vala_array_length (_tmp18_);
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp21_ = _tmp20_[0];
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp22_ = string_strip (_tmp21_);
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (((AsyncTask*) self)->status_line);
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->status_line = _tmp22_;
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp20_ = (_vala_array_free (_tmp20_, _tmp20__length1, (GDestroyNotify) g_free), NULL);
#line 484 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp17_);
#line 485 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp23_ = self->log;
#line 485 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp24_ = g_strconcat (line, "\n", NULL);
#line 485 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp25_ = _tmp24_;
#line 485 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		g_string_append (_tmp23_, _tmp25_);
#line 485 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp25_);
#line 2764 "RsyncTask.c"
	} else {
		GeeHashMap* _tmp26_;
		gpointer _tmp27_;
		GRegex* _tmp28_;
		GMatchInfo* _tmp29_ = NULL;
		gboolean _tmp30_;
		gboolean _tmp31_;
#line 487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp26_ = self->priv->regex_list;
#line 487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp27_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp26_, "deleted");
#line 487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp28_ = (GRegex*) _tmp27_;
#line 487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp30_ = g_regex_match (_tmp28_, line, 0, &_tmp29_);
#line 487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_match_info_unref0 (match);
#line 487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		match = _tmp29_;
#line 487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp31_ = _tmp30_;
#line 487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp28_);
#line 487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		if (_tmp31_) {
#line 2790 "RsyncTask.c"
			gint64 _tmp32_;
			GMatchInfo* _tmp33_;
			gchar* _tmp34_;
			gchar* _tmp35_;
			gchar** _tmp36_;
			gchar** _tmp37_;
			gchar** _tmp38_;
			gint _tmp38__length1;
			const gchar* _tmp39_;
			gchar* _tmp40_;
			GString* _tmp41_;
			gchar* _tmp42_;
			gchar* _tmp43_;
#line 491 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp32_ = self->count_deleted;
#line 491 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			self->count_deleted = _tmp32_ + 1;
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp33_ = match;
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp34_ = g_match_info_fetch (_tmp33_, 1);
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp35_ = _tmp34_;
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp37_ = _tmp36_ = g_strsplit (_tmp35_, " -> ", 0);
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp38_ = _tmp37_;
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp38__length1 = _vala_array_length (_tmp36_);
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp39_ = _tmp38_[0];
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp40_ = string_strip (_tmp39_);
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (((AsyncTask*) self)->status_line);
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			((AsyncTask*) self)->status_line = _tmp40_;
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp38_ = (_vala_array_free (_tmp38_, _tmp38__length1, (GDestroyNotify) g_free), NULL);
#line 492 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp35_);
#line 493 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp41_ = self->log;
#line 493 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp42_ = g_strconcat (line, "\n", NULL);
#line 493 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp43_ = _tmp42_;
#line 493 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			g_string_append (_tmp41_, _tmp43_);
#line 493 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp43_);
#line 2842 "RsyncTask.c"
		} else {
			GeeHashMap* _tmp44_;
			gpointer _tmp45_;
			GRegex* _tmp46_;
			GMatchInfo* _tmp47_ = NULL;
			gboolean _tmp48_;
			gboolean _tmp49_;
#line 495 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp44_ = self->priv->regex_list;
#line 495 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp45_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp44_, "unchanged");
#line 495 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp46_ = (GRegex*) _tmp45_;
#line 495 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp48_ = g_regex_match (_tmp46_, line, 0, &_tmp47_);
#line 495 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_match_info_unref0 (match);
#line 495 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			match = _tmp47_;
#line 495 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_tmp49_ = _tmp48_;
#line 495 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp46_);
#line 495 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
			if (_tmp49_) {
#line 2868 "RsyncTask.c"
				gint64 _tmp50_;
				GMatchInfo* _tmp51_;
				gchar* _tmp52_;
				gchar* _tmp53_;
				gchar** _tmp54_;
				gchar** _tmp55_;
				gchar** _tmp56_;
				gint _tmp56__length1;
				const gchar* _tmp57_;
				gchar* _tmp58_;
#line 499 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp50_ = self->count_unchanged;
#line 499 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				self->count_unchanged = _tmp50_ + 1;
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp51_ = match;
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp52_ = g_match_info_fetch (_tmp51_, 3);
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp53_ = _tmp52_;
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp55_ = _tmp54_ = g_strsplit (_tmp53_, " -> ", 0);
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp56_ = _tmp55_;
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp56__length1 = _vala_array_length (_tmp54_);
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp57_ = _tmp56_[0];
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp58_ = string_strip (_tmp57_);
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (((AsyncTask*) self)->status_line);
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				((AsyncTask*) self)->status_line = _tmp58_;
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp56_ = (_vala_array_free (_tmp56_, _tmp56__length1, (GDestroyNotify) g_free), NULL);
#line 500 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp53_);
#line 2907 "RsyncTask.c"
			} else {
				GeeHashMap* _tmp59_;
				gpointer _tmp60_;
				GRegex* _tmp61_;
				GMatchInfo* _tmp62_ = NULL;
				gboolean _tmp63_;
				gboolean _tmp64_;
#line 502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp59_ = self->priv->regex_list;
#line 502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp60_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp59_, "modified");
#line 502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp61_ = (GRegex*) _tmp60_;
#line 502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp63_ = g_regex_match (_tmp61_, line, 0, &_tmp62_);
#line 502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_match_info_unref0 (match);
#line 502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				match = _tmp62_;
#line 502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_tmp64_ = _tmp63_;
#line 502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				_g_regex_unref0 (_tmp61_);
#line 502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
				if (_tmp64_) {
#line 2933 "RsyncTask.c"
					gint64 _tmp65_;
					GMatchInfo* _tmp66_;
					gchar* _tmp67_;
					gchar* _tmp68_;
					gchar** _tmp69_;
					gchar** _tmp70_;
					gchar** _tmp71_;
					gint _tmp71__length1;
					const gchar* _tmp72_;
					gchar* _tmp73_;
					GString* _tmp74_;
					gchar* _tmp75_;
					gchar* _tmp76_;
					GMatchInfo* _tmp77_;
					gchar* _tmp78_;
					gchar* _tmp79_;
					gboolean _tmp80_;
#line 506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp65_ = self->count_modified;
#line 506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					self->count_modified = _tmp65_ + 1;
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp66_ = match;
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp67_ = g_match_info_fetch (_tmp66_, 12);
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp68_ = _tmp67_;
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp70_ = _tmp69_ = g_strsplit (_tmp68_, " -> ", 0);
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp71_ = _tmp70_;
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp71__length1 = _vala_array_length (_tmp69_);
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp72_ = _tmp71_[0];
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp73_ = string_strip (_tmp72_);
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_free0 (((AsyncTask*) self)->status_line);
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					((AsyncTask*) self)->status_line = _tmp73_;
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp71_ = (_vala_array_free (_tmp71_, _tmp71__length1, (GDestroyNotify) g_free), NULL);
#line 507 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp68_);
#line 508 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp74_ = self->log;
#line 508 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp75_ = g_strconcat (line, "\n", NULL);
#line 508 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp76_ = _tmp75_;
#line 508 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					g_string_append (_tmp74_, _tmp76_);
#line 508 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp76_);
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp77_ = match;
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp78_ = g_match_info_fetch (_tmp77_, 3);
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp79_ = _tmp78_;
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp80_ = g_strcmp0 (_tmp79_, "c") == 0;
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp79_);
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					if (_tmp80_) {
#line 3001 "RsyncTask.c"
						gint64 _tmp81_;
#line 511 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp81_ = self->count_checksum;
#line 511 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						self->count_checksum = _tmp81_ + 1;
#line 3007 "RsyncTask.c"
					} else {
						GMatchInfo* _tmp82_;
						gchar* _tmp83_;
						gchar* _tmp84_;
						gboolean _tmp85_;
#line 513 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp82_ = match;
#line 513 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp83_ = g_match_info_fetch (_tmp82_, 4);
#line 513 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp84_ = _tmp83_;
#line 513 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp85_ = g_strcmp0 (_tmp84_, "s") == 0;
#line 513 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp84_);
#line 513 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						if (_tmp85_) {
#line 3025 "RsyncTask.c"
							gint64 _tmp86_;
#line 514 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp86_ = self->count_size;
#line 514 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							self->count_size = _tmp86_ + 1;
#line 3031 "RsyncTask.c"
						} else {
							GMatchInfo* _tmp87_;
							gchar* _tmp88_;
							gchar* _tmp89_;
							gboolean _tmp90_;
#line 516 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp87_ = match;
#line 516 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp88_ = g_match_info_fetch (_tmp87_, 5);
#line 516 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp89_ = _tmp88_;
#line 516 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_tmp90_ = g_strcmp0 (_tmp89_, "t") == 0;
#line 516 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp89_);
#line 516 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
							if (_tmp90_) {
#line 3049 "RsyncTask.c"
								gint64 _tmp91_;
#line 517 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_tmp91_ = self->count_timestamp;
#line 517 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								self->count_timestamp = _tmp91_ + 1;
#line 3055 "RsyncTask.c"
							} else {
								GMatchInfo* _tmp92_;
								gchar* _tmp93_;
								gchar* _tmp94_;
								gboolean _tmp95_;
#line 519 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_tmp92_ = match;
#line 519 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_tmp93_ = g_match_info_fetch (_tmp92_, 6);
#line 519 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_tmp94_ = _tmp93_;
#line 519 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_tmp95_ = g_strcmp0 (_tmp94_, "p") == 0;
#line 519 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								_g_free0 (_tmp94_);
#line 519 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
								if (_tmp95_) {
#line 3073 "RsyncTask.c"
									gint64 _tmp96_;
#line 520 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_tmp96_ = self->count_permissions;
#line 520 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									self->count_permissions = _tmp96_ + 1;
#line 3079 "RsyncTask.c"
								} else {
									GMatchInfo* _tmp97_;
									gchar* _tmp98_;
									gchar* _tmp99_;
									gboolean _tmp100_;
#line 522 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_tmp97_ = match;
#line 522 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_tmp98_ = g_match_info_fetch (_tmp97_, 7);
#line 522 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_tmp99_ = _tmp98_;
#line 522 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_tmp100_ = g_strcmp0 (_tmp99_, "o") == 0;
#line 522 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									_g_free0 (_tmp99_);
#line 522 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
									if (_tmp100_) {
#line 3097 "RsyncTask.c"
										gint64 _tmp101_;
#line 523 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_tmp101_ = self->count_owner;
#line 523 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										self->count_owner = _tmp101_ + 1;
#line 3103 "RsyncTask.c"
									} else {
										GMatchInfo* _tmp102_;
										gchar* _tmp103_;
										gchar* _tmp104_;
										gboolean _tmp105_;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_tmp102_ = match;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_tmp103_ = g_match_info_fetch (_tmp102_, 8);
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_tmp104_ = _tmp103_;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_tmp105_ = g_strcmp0 (_tmp104_, "g") == 0;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										_g_free0 (_tmp104_);
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
										if (_tmp105_) {
#line 3121 "RsyncTask.c"
											gint64 _tmp106_;
#line 526 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											_tmp106_ = self->count_group;
#line 526 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											self->count_group = _tmp106_ + 1;
#line 3127 "RsyncTask.c"
										} else {
											gint64 _tmp107_;
#line 529 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											_tmp107_ = self->count_unchanged;
#line 529 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
											self->count_unchanged = _tmp107_ + 1;
#line 3134 "RsyncTask.c"
										}
									}
								}
							}
						}
					}
				} else {
					GeeHashMap* _tmp108_;
					gpointer _tmp109_;
					GRegex* _tmp110_;
					GMatchInfo* _tmp111_ = NULL;
					gboolean _tmp112_;
					gboolean _tmp113_;
#line 532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp108_ = self->priv->regex_list;
#line 532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp109_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp108_, "total-size");
#line 532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp110_ = (GRegex*) _tmp109_;
#line 532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp112_ = g_regex_match (_tmp110_, line, 0, &_tmp111_);
#line 532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_match_info_unref0 (match);
#line 532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					match = _tmp111_;
#line 532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_tmp113_ = _tmp112_;
#line 532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					_g_regex_unref0 (_tmp110_);
#line 532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
					if (_tmp113_) {
#line 3166 "RsyncTask.c"
						GMatchInfo* _tmp114_;
						gchar* _tmp115_;
						gchar* _tmp116_;
						gchar* _tmp117_;
						gchar* _tmp118_;
#line 533 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp114_ = match;
#line 533 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp115_ = g_match_info_fetch (_tmp114_, 1);
#line 533 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp116_ = _tmp115_;
#line 533 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp117_ = string_replace (_tmp116_, ",", "");
#line 533 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_tmp118_ = _tmp117_;
#line 533 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						self->total_size = int64_parse (_tmp118_);
#line 533 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp118_);
#line 533 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp116_);
#line 3188 "RsyncTask.c"
					} else {
					}
				}
			}
		}
	}
#line 539 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	result = TRUE;
#line 539 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_match_info_unref0 (match);
#line 539 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	return result;
#line 3201 "RsyncTask.c"
}


static void
rsync_task_real_finish_task (AsyncTask* base)
{
	RsyncTask * self;
	gboolean _tmp0_ = FALSE;
	AppStatus _tmp1_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	GString* _tmp6_;
	const gchar* _tmp7_;
#line 542 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) base;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp1_ = ((AsyncTask*) self)->status;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp1_ != APP_STATUS_CANCELLED) {
#line 3222 "RsyncTask.c"
		AppStatus _tmp2_;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp2_ = ((AsyncTask*) self)->status;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp0_ = _tmp2_ != APP_STATUS_PASSWORD_REQUIRED;
#line 3228 "RsyncTask.c"
	} else {
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp0_ = FALSE;
#line 3232 "RsyncTask.c"
	}
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 545 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->status = APP_STATUS_FINISHED;
#line 3238 "RsyncTask.c"
	}
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp3_ = self->rsync_log_file;
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp4_ = g_strconcat (_tmp3_, "-changes", NULL);
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp5_ = _tmp4_;
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp6_ = self->log;
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp7_ = _tmp6_->str;
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	tee_jee_file_system_file_write (_tmp5_, _tmp7_);
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp5_);
#line 3254 "RsyncTask.c"
}


gint
rsync_task_read_status (RsyncTask* self)
{
	gint result = 0;
	gchar* status_file = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	GFile* f = NULL;
	const gchar* _tmp2_;
	GFile* _tmp3_;
	GFile* _tmp4_;
#line 551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 552 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->working_dir;
#line 552 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/status", NULL);
#line 552 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	status_file = _tmp1_;
#line 553 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp2_ = status_file;
#line 553 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp3_ = g_file_new_for_path (_tmp2_);
#line 553 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	f = _tmp3_;
#line 554 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp4_ = f;
#line 554 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	if (g_file_query_exists (_tmp4_, NULL)) {
#line 3287 "RsyncTask.c"
		gchar* txt = NULL;
		const gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
#line 555 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp5_ = status_file;
#line 555 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp6_ = tee_jee_file_system_file_read (_tmp5_);
#line 555 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		txt = _tmp6_;
#line 556 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_tmp7_ = txt;
#line 556 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		result = atoi (_tmp7_);
#line 556 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (txt);
#line 556 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (f);
#line 556 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		_g_free0 (status_file);
#line 556 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
		return result;
#line 3310 "RsyncTask.c"
	}
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	result = -1;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_object_unref0 (f);
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (status_file);
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	return result;
#line 3320 "RsyncTask.c"
}


static void
rsync_task_class_init (RsyncTaskClass * klass)
{
#line 31 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	rsync_task_parent_class = g_type_class_peek_parent (klass);
#line 31 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	g_type_class_add_private (klass, sizeof (RsyncTaskPrivate));
#line 31 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	((AsyncTaskClass *) klass)->parse_stdout_line = (void (*) (AsyncTask *, const gchar*)) rsync_task_real_parse_stdout_line;
#line 31 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	((AsyncTaskClass *) klass)->parse_stderr_line = (void (*) (AsyncTask *, const gchar*)) rsync_task_real_parse_stderr_line;
#line 31 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	((AsyncTaskClass *) klass)->finish_task = (void (*) (AsyncTask *)) rsync_task_real_finish_task;
#line 31 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	G_OBJECT_CLASS (klass)->finalize = rsync_task_finalize;
#line 3339 "RsyncTask.c"
}


static void
rsync_task_instance_init (RsyncTask * self)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
#line 31 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->priv = RSYNC_TASK_GET_PRIVATE (self);
#line 34 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->delete_extra = TRUE;
#line 35 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->delete_after = FALSE;
#line 36 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->delete_excluded = FALSE;
#line 37 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->relative = FALSE;
#line 39 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp0_ = g_strdup ("");
#line 39 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->rsync_log_file = _tmp0_;
#line 40 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp1_ = g_strdup ("");
#line 40 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->exclude_from_file = _tmp1_;
#line 41 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp2_ = g_strdup ("");
#line 41 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->link_from_path = _tmp2_;
#line 42 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp3_ = g_strdup ("");
#line 42 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->source_path = _tmp3_;
#line 43 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_tmp4_ = g_strdup ("");
#line 43 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->dest_path = _tmp4_;
#line 44 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->verbose = TRUE;
#line 45 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->io_nice = TRUE;
#line 46 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->dry_run = FALSE;
#line 53 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->status_line_count = (gint64) 0;
#line 54 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self->total_size = (gint64) 0;
#line 3391 "RsyncTask.c"
}


static void
rsync_task_finalize (GObject * obj)
{
	RsyncTask * self;
#line 31 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_RSYNC_TASK, RsyncTask);
#line 39 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->rsync_log_file);
#line 40 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->exclude_from_file);
#line 41 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->link_from_path);
#line 42 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->source_path);
#line 43 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->dest_path);
#line 49 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_object_unref0 (self->priv->regex_list);
#line 52 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	(self->status_lines == NULL) ? NULL : (self->status_lines = (_g_queue_free__g_free0_ (self->status_lines), NULL));
#line 67 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	_g_string_free0 (self->log);
#line 31 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/RsyncTask.vala"
	G_OBJECT_CLASS (rsync_task_parent_class)->finalize (obj);
#line 3419 "RsyncTask.c"
}


GType
rsync_task_get_type (void)
{
	static volatile gsize rsync_task_type_id__volatile = 0;
	if (g_once_init_enter (&rsync_task_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (RsyncTaskClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) rsync_task_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (RsyncTask), 0, (GInstanceInitFunc) rsync_task_instance_init, NULL };
		GType rsync_task_type_id;
		rsync_task_type_id = g_type_register_static (TYPE_ASYNC_TASK, "RsyncTask", &g_define_type_info, 0);
		g_once_init_leave (&rsync_task_type_id__volatile, rsync_task_type_id);
	}
	return rsync_task_type_id__volatile;
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



