/* Device.c generated by valac 0.40.7, the Vala compiler
 * generated from Device.vala, do not modify */

/*
 * Device.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */
/* Functions and classes for handling disk partitions */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <float.h>
#include <math.h>
#include <gio/gio.h>
#include <glib/gi18n-lib.h>
#include <gtk/gtk.h>


#define TYPE_DEVICE (device_get_type ())
#define DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DEVICE, Device))
#define DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DEVICE, DeviceClass))
#define IS_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DEVICE))
#define IS_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DEVICE))
#define DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DEVICE, DeviceClass))

typedef struct _Device Device;
typedef struct _DeviceClass DeviceClass;
typedef struct _DevicePrivate DevicePrivate;

#define TYPE_MOUNT_ENTRY (mount_entry_get_type ())
#define MOUNT_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_MOUNT_ENTRY, MountEntry))
#define MOUNT_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_MOUNT_ENTRY, MountEntryClass))
#define IS_MOUNT_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_MOUNT_ENTRY))
#define IS_MOUNT_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_MOUNT_ENTRY))
#define MOUNT_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_MOUNT_ENTRY, MountEntryClass))

typedef struct _MountEntry MountEntry;
typedef struct _MountEntryClass MountEntryClass;
enum  {
	DEVICE_0_PROPERTY,
	DEVICE_FREE_BYTES_PROPERTY,
	DEVICE_SIZE_PROPERTY,
	DEVICE_USED_PROPERTY,
	DEVICE_FREE_PROPERTY,
	DEVICE_IS_MOUNTED_PROPERTY,
	DEVICE_FULL_NAME_WITH_ALIAS_PROPERTY,
	DEVICE_FULL_NAME_WITH_PARENT_PROPERTY,
	DEVICE_SHORT_NAME_WITH_ALIAS_PROPERTY,
	DEVICE_SHORT_NAME_WITH_PARENT_PROPERTY,
	DEVICE_DEVICE_NAME_WITH_PARENT_PROPERTY,
	DEVICE_NUM_PROPERTIES
};
static GParamSpec* device_properties[DEVICE_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _MountEntryPrivate MountEntryPrivate;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_match_info_unref0(var) ((var == NULL) ? NULL : (var = (g_match_info_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define TYPE_TIMEOUT_COUNTER (timeout_counter_get_type ())
#define TIMEOUT_COUNTER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TIMEOUT_COUNTER, TimeoutCounter))
#define TIMEOUT_COUNTER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TIMEOUT_COUNTER, TimeoutCounterClass))
#define IS_TIMEOUT_COUNTER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TIMEOUT_COUNTER))
#define IS_TIMEOUT_COUNTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TIMEOUT_COUNTER))
#define TIMEOUT_COUNTER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TIMEOUT_COUNTER, TimeoutCounterClass))

typedef struct _TimeoutCounter TimeoutCounter;
typedef struct _TimeoutCounterClass TimeoutCounterClass;

struct _Device {
	GObject parent_instance;
	DevicePrivate * priv;
	gchar* device;
	gchar* name;
	gchar* kname;
	gchar* pkname;
	gchar* pkname_toplevel;
	gchar* mapped_name;
	gchar* uuid;
	gchar* label;
	gchar* partuuid;
	gchar* partlabel;
	gint major;
	gint minor;
	gchar* device_mapper;
	gchar* device_by_uuid;
	gchar* device_by_label;
	gchar* device_by_partuuid;
	gchar* device_by_partlabel;
	gchar* type;
	gchar* fstype;
	gint order;
	gchar* vendor;
	gchar* model;
	gchar* serial;
	gchar* revision;
	gboolean removable;
	gboolean read_only;
	guint64 size_bytes;
	guint64 used_bytes;
	guint64 available_bytes;
	gchar* used_percent;
	gchar* dist_info;
	GeeArrayList* mount_points;
	GeeArrayList* symlinks;
	Device* parent;
	GeeArrayList* children;
};

struct _DeviceClass {
	GObjectClass parent_class;
};

struct _MountEntry {
	GObject parent_instance;
	MountEntryPrivate * priv;
	Device* device;
	gchar* mount_point;
	gchar* mount_options;
};

struct _MountEntryClass {
	GObjectClass parent_class;
};


static gpointer device_parent_class = NULL;
extern gdouble device_KB;
gdouble device_KB = (gdouble) 1000;
extern gdouble device_MB;
gdouble device_MB = 0.0;
extern gdouble device_GB;
gdouble device_GB = 0.0;
extern gdouble device_KiB;
gdouble device_KiB = (gdouble) 1024;
extern gdouble device_MiB;
gdouble device_MiB = 0.0;
extern gdouble device_GiB;
gdouble device_GiB = 0.0;
static gchar* device_lsblk_version;
static gchar* device_lsblk_version = NULL;
static gboolean device_lsblk_is_ancient;
static gboolean device_lsblk_is_ancient = FALSE;
static GeeArrayList* device_device_list;
static GeeArrayList* device_device_list = NULL;
extern gboolean tee_jee_logging_LOG_DEBUG;

GType device_get_type (void) G_GNUC_CONST;
GType mount_entry_get_type (void) G_GNUC_CONST;
Device* device_new (void);
Device* device_construct (GType object_type);
void device_test_lsblk_version (void);
gint tee_jee_process_helper_exec_sync (const gchar* cmd,
                                       gchar* * std_out,
                                       gchar* * std_err);
gboolean device_is_mounted_at_path (Device* self,
                                    const gchar* subvolname,
                                    const gchar* mount_path);
gboolean device_has_linux_filesystem (Device* self);
gboolean device_is_encrypted_partition (Device* self);
gboolean device_is_on_encrypted_partition (Device* self);
gboolean device_is_lvm_partition (Device* self);
gboolean device_has_children (Device* self);
Device* device_first_linux_child (Device* self);
gboolean device_has_parent (Device* self);
GeeArrayList* device_get_filesystems (gboolean get_space,
                                      gboolean get_mounts);
GeeArrayList* device_get_block_devices_using_lsblk (const gchar* dev_name);
GeeArrayList* device_get_disk_space_using_df (const gchar* dev_name_or_mount_point);
Device* device_find_device_in_list (GeeArrayList* list,
                                    const gchar* _dev_alias);
GeeArrayList* device_get_mounted_filesystems_using_mtab (void);
void tee_jee_logging_log_debug (const gchar* message);
static void device_find_child_devices (GeeArrayList* list,
                                Device* parent);
static void device_find_toplevel_parent (GeeArrayList* list,
                                  Device* dev);
static void device_find_child_devices_using_dmsetup (GeeArrayList* list);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);
MountEntry* mount_entry_new (Device* device,
                             const gchar* mount_point,
                             const gchar* mount_options);
MountEntry* mount_entry_construct (GType object_type,
                                   Device* device,
                                   const gchar* mount_point,
                                   const gchar* mount_options);
gchar* tee_jee_file_system_path_combine (const gchar* path1,
                                         const gchar* path2);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
GeeArrayList* device_get_block_devices_using_blkid (const gchar* dev_name);
gint tee_jee_process_helper_exec_script_sync (const gchar* script,
                                              gchar* * std_out,
                                              gchar* * std_err,
                                              gboolean supress_errors,
                                              gboolean run_as_admin,
                                              gboolean cleanup_tmp,
                                              gboolean print_to_terminal);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gchar* device_resolve_device_name (const gchar* dev_alias);
gchar* device_get_device_uuid (const gchar* device);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
Device* device_get_device_by_uuid (const gchar* uuid);
Device* device_get_device_by_name (const gchar* file_name);
Device* device_get_device_by_path (const gchar* path_to_check);
GeeArrayList* device_get_device_mount_points (const gchar* dev_name_or_uuid);
gboolean device_device_is_mounted (const gchar* dev_name_or_uuid);
gboolean device_mount_point_in_use (const gchar* mount_point);
gboolean tee_jee_file_system_file_is_symlink (const gchar* file_path);
gchar* tee_jee_file_system_file_get_symlink_target (const gchar* file_path);
void device_copy_fields_from (Device* self,
                              Device* dev2);
Device* device_query_changes (Device* self);
void device_query_disk_space (Device* self);
gboolean device_automount_udisks (const gchar* dev_name_or_uuid,
                                  GtkWindow* parent_window);
void tee_jee_gtk_helper_gtk_messagebox (const gchar* title,
                                        const gchar* message,
                                        GtkWindow* parent_win,
                                        gboolean is_error);
gboolean device_automount_udisks_iso (const gchar* iso_file_path,
                                      gchar* * loop_device,
                                      GtkWindow* parent_window);
void tee_jee_logging_log_msg (const gchar* message,
                              gboolean highlight);
gboolean device_unmount_udisks (const gchar* dev_name_or_uuid,
                                GtkWindow* parent_window);
Device* device_luks_unlock (Device* luks_device,
                            const gchar* mapped_name,
                            const gchar* passphrase,
                            GtkWindow* parent_window,
                            gchar* * message,
                            gchar* * details);
GType timeout_counter_get_type (void) G_GNUC_CONST;
TimeoutCounter* timeout_counter_new (void);
TimeoutCounter* timeout_counter_construct (GType object_type);
void timeout_counter_kill_process_on_timeout (TimeoutCounter* self,
                                              const gchar* process_to_kill,
                                              gint seconds_to_wait,
                                              gboolean exit_app);
void timeout_counter_stop (TimeoutCounter* self);
gchar* tee_jee_gtk_helper_gtk_inputbox (const gchar* title,
                                        const gchar* message,
                                        GtkWindow* parent_win,
                                        gboolean mask_password);
gboolean device_luks_lock (const gchar* kname,
                           GtkWindow* parent_window);
gboolean device_mount (const gchar* dev_name_or_uuid,
                       const gchar* mount_point,
                       const gchar* mount_options,
                       gboolean silent);
gboolean tee_jee_file_system_dir_create (const gchar* dir_path,
                                         gboolean show_message);
gboolean device_unmount (const gchar* mount_point);
gchar* device_get_device_name_with_parent (Device* self);
gchar* device_automount (const gchar* dev_name_or_uuid,
                         const gchar* mount_options,
                         const gchar* mount_prefix);
gchar* device_description (Device* self);
gchar* device_description_formatted (Device* self);
gchar* tee_jee_file_system_format_file_size (guint64 size,
                                             gboolean binary_units,
                                             const gchar* unit,
                                             gboolean show_units,
                                             gint decimals);
gchar* device_get_short_name_with_parent (Device* self);
gchar* device_description_simple (Device* self);
gchar* device_description_simple_formatted (Device* self);
gchar* device_description_full_free (Device* self);
guint64 device_get_free_bytes (Device* self);
gchar* device_description_free (Device* self);
gchar* device_description_full (Device* self);
gchar* device_get_used (Device* self);
gchar* device_get_size (Device* self);
gchar* device_description_usage (Device* self);
gchar* device_tooltip_text (Device* self);
static gchar* device_display_name (Device* self,
                            gboolean short_name,
                            gboolean show_label,
                            gboolean show_parent,
                            gboolean show_alias);
void device_test_all (void);
void device_print_device_list (GeeArrayList* list);
void device_print_device_mounts (GeeArrayList* list);
void device_print_device_disk_space (GeeArrayList* list);
gchar* device_get_free (Device* self);
gboolean device_get_is_mounted (Device* self);
gchar* device_get_full_name_with_alias (Device* self);
gchar* device_get_full_name_with_parent (Device* self);
gchar* device_get_short_name_with_alias (Device* self);
static void device_finalize (GObject * obj);
static void _vala_device_get_property (GObject * object,
                                guint property_id,
                                GValue * value,
                                GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


Device*
device_construct (GType object_type)
{
	Device * self = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp1_;
	GeeArrayList* _tmp2_;
#line 94 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self = (Device*) g_object_new (object_type, NULL);
#line 95 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_MOUNT_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 95 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->mount_points);
#line 95 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->mount_points = _tmp0_;
#line 96 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 96 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->symlinks);
#line 96 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->symlinks = _tmp1_;
#line 97 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 97 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->children);
#line 97 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->children = _tmp2_;
#line 99 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_test_lsblk_version ();
#line 94 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return self;
#line 361 "Device.c"
}


Device*
device_new (void)
{
#line 94 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return device_construct (TYPE_DEVICE);
#line 370 "Device.c"
}


void
device_test_lsblk_version (void)
{
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint status = 0;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gint _tmp7_;
	gint _tmp8_;
#line 104 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = device_lsblk_version;
#line 104 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp1_ != NULL) {
#line 390 "Device.c"
		const gchar* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
#line 104 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = device_lsblk_version;
#line 104 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = strlen (_tmp2_);
#line 104 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 104 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = _tmp4_ > 0;
#line 402 "Device.c"
	} else {
#line 104 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 406 "Device.c"
	}
#line 104 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp0_) {
#line 105 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return;
#line 412 "Device.c"
	}
#line 109 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp7_ = tee_jee_process_helper_exec_sync ("lsblk --bytes --pairs --output HOTPLUG,PKNAME,VENDOR,SERIAL,REV", &_tmp5_, &_tmp6_);
#line 109 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 109 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_out = _tmp5_;
#line 109 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 109 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_err = _tmp6_;
#line 109 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	status = _tmp7_;
#line 110 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp8_ = status;
#line 110 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp8_ == 0) {
#line 430 "Device.c"
		const gchar* _tmp9_;
		gchar* _tmp10_;
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = std_out;
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device_lsblk_version);
#line 111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device_lsblk_version = _tmp10_;
#line 112 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device_lsblk_is_ancient = FALSE;
#line 443 "Device.c"
	} else {
		gchar* _tmp11_;
#line 115 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = g_strdup ("ancient");
#line 115 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device_lsblk_version);
#line 115 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device_lsblk_version = _tmp11_;
#line 116 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device_lsblk_is_ancient = TRUE;
#line 454 "Device.c"
	}
#line 102 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 102 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 460 "Device.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return self ? g_object_ref (self) : NULL;
#line 469 "Device.c"
}


static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
#line 1417 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1417 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 489 "Device.c"
}


gboolean
device_is_mounted_at_path (Device* self,
                           const gchar* subvolname,
                           const gchar* mount_path)
{
	gboolean result = FALSE;
#line 158 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 158 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (subvolname != NULL, FALSE);
#line 158 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (mount_path != NULL, FALSE);
#line 505 "Device.c"
	{
		GeeArrayList* _mnt_list = NULL;
		GeeArrayList* _tmp0_;
		GeeArrayList* _tmp1_;
		gint _mnt_size = 0;
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _mnt_index = 0;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = self->mount_points;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_mnt_list = _tmp1_;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = _mnt_list;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_mnt_size = _tmp4_;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_mnt_index = -1;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 533 "Device.c"
			gint _tmp5_;
			gint _tmp6_;
			gint _tmp7_;
			MountEntry* mnt = NULL;
			GeeArrayList* _tmp8_;
			gint _tmp9_;
			gpointer _tmp10_;
			MountEntry* _tmp11_;
			const gchar* _tmp12_;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp5_ = _mnt_index;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_mnt_index = _tmp5_ + 1;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp6_ = _mnt_index;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp7_ = _mnt_size;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 555 "Device.c"
			}
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp8_ = _mnt_list;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = _mnt_index;
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			mnt = (MountEntry*) _tmp10_;
#line 161 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = mnt;
#line 161 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp12_ = _tmp11_->mount_point;
#line 161 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp12_, mount_path) == 0) {
#line 571 "Device.c"
				gint _tmp13_;
				gint _tmp14_;
#line 162 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp13_ = strlen (subvolname);
#line 162 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp14_ = _tmp13_;
#line 162 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp14_ == 0) {
#line 163 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					result = TRUE;
#line 163 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (mnt);
#line 163 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (_mnt_list);
#line 163 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					return result;
#line 588 "Device.c"
				} else {
					gboolean _tmp15_ = FALSE;
					MountEntry* _tmp16_;
					const gchar* _tmp17_;
					gchar* _tmp18_;
					gchar* _tmp19_;
					gboolean _tmp20_;
#line 165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp16_ = mnt;
#line 165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp17_ = _tmp16_->mount_options;
#line 165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp18_ = g_strdup_printf ("subvol=%s", subvolname);
#line 165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp19_ = _tmp18_;
#line 165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp20_ = string_contains (_tmp17_, _tmp19_);
#line 165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_tmp19_);
#line 165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp20_) {
#line 165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp15_ = TRUE;
#line 612 "Device.c"
					} else {
						MountEntry* _tmp21_;
						const gchar* _tmp22_;
						gchar* _tmp23_;
						gchar* _tmp24_;
#line 166 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp21_ = mnt;
#line 166 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp22_ = _tmp21_->mount_options;
#line 166 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp23_ = g_strdup_printf ("subvol=/%s", subvolname);
#line 166 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp24_ = _tmp23_;
#line 166 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp15_ = string_contains (_tmp22_, _tmp24_);
#line 166 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp24_);
#line 630 "Device.c"
					}
#line 165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp15_) {
#line 168 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						result = TRUE;
#line 168 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (mnt);
#line 168 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (_mnt_list);
#line 168 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						return result;
#line 642 "Device.c"
					}
				}
			}
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (mnt);
#line 648 "Device.c"
		}
#line 160 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_mnt_list);
#line 652 "Device.c"
	}
#line 173 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = FALSE;
#line 173 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 658 "Device.c"
}


gboolean
device_has_linux_filesystem (Device* self)
{
	gboolean result = FALSE;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	GQuark _tmp3_ = 0U;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label0 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label1 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label2 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label3 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label4 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label5 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label6 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label7 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label8 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label9 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label10 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label11 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label12 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	static GQuark _tmp2_label13 = 0;
#line 176 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->fstype;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if ((((((((((((((_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string ("ext2")))) || (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string ("ext3"))))) || (_tmp3_ == ((0 != _tmp2_label2) ? _tmp2_label2 : (_tmp2_label2 = g_quark_from_static_string ("ext4"))))) || (_tmp3_ == ((0 != _tmp2_label3) ? _tmp2_label3 : (_tmp2_label3 = g_quark_from_static_string ("reiserfs"))))) || (_tmp3_ == ((0 != _tmp2_label4) ? _tmp2_label4 : (_tmp2_label4 = g_quark_from_static_string ("reiser4"))))) || (_tmp3_ == ((0 != _tmp2_label5) ? _tmp2_label5 : (_tmp2_label5 = g_quark_from_static_string ("xfs"))))) || (_tmp3_ == ((0 != _tmp2_label6) ? _tmp2_label6 : (_tmp2_label6 = g_quark_from_static_string ("jfs"))))) || (_tmp3_ == ((0 != _tmp2_label7) ? _tmp2_label7 : (_tmp2_label7 = g_quark_from_static_string ("btrfs"))))) || (_tmp3_ == ((0 != _tmp2_label8) ? _tmp2_label8 : (_tmp2_label8 = g_quark_from_static_string ("lvm"))))) || (_tmp3_ == ((0 != _tmp2_label9) ? _tmp2_label9 : (_tmp2_label9 = g_quark_from_static_string ("lvm2"))))) || (_tmp3_ == ((0 != _tmp2_label10) ? _tmp2_label10 : (_tmp2_label10 = g_quark_from_static_string ("lvm2_member"))))) || (_tmp3_ == ((0 != _tmp2_label11) ? _tmp2_label11 : (_tmp2_label11 = g_quark_from_static_string ("luks"))))) || (_tmp3_ == ((0 != _tmp2_label12) ? _tmp2_label12 : (_tmp2_label12 = g_quark_from_static_string ("crypt"))))) || (_tmp3_ == ((0 != _tmp2_label13) ? _tmp2_label13 : (_tmp2_label13 = g_quark_from_static_string ("crypto_luks"))))) {
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		switch (0) {
#line 709 "Device.c"
			default:
			{
#line 192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				result = TRUE;
#line 192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				return result;
#line 716 "Device.c"
			}
		}
	} else {
#line 177 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		switch (0) {
#line 722 "Device.c"
			default:
			{
#line 194 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				result = FALSE;
#line 194 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				return result;
#line 729 "Device.c"
			}
		}
	}
}


gboolean
device_is_encrypted_partition (Device* self)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
#line 198 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "part") == 0) {
#line 748 "Device.c"
		const gchar* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = self->fstype;
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = g_utf8_strdown (_tmp2_, (gssize) -1);
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = string_contains (_tmp4_, "luks");
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 762 "Device.c"
	} else {
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 766 "Device.c"
	}
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp0_;
#line 199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 772 "Device.c"
}


gboolean
device_is_on_encrypted_partition (Device* self)
{
	gboolean result = FALSE;
	const gchar* _tmp0_;
#line 202 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 203 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->type;
#line 203 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = g_strcmp0 (_tmp0_, "crypt") == 0;
#line 203 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 789 "Device.c"
}


gboolean
device_is_lvm_partition (Device* self)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
#line 206 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 207 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 207 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "part") == 0) {
#line 805 "Device.c"
		const gchar* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
#line 207 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = self->fstype;
#line 207 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = g_utf8_strdown (_tmp2_, (gssize) -1);
#line 207 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 207 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = string_contains (_tmp4_, "lvm2_member");
#line 207 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 819 "Device.c"
	} else {
#line 207 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 823 "Device.c"
	}
#line 207 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp0_;
#line 207 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 829 "Device.c"
}


gboolean
device_has_children (Device* self)
{
	gboolean result = FALSE;
	GeeArrayList* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 210 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 211 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->children;
#line 211 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp0_);
#line 211 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 211 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp2_ > 0;
#line 211 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 852 "Device.c"
}


Device*
device_first_linux_child (Device* self)
{
	Device* result = NULL;
#line 214 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 862 "Device.c"
	{
		GeeArrayList* _child_list = NULL;
		GeeArrayList* _tmp0_;
		GeeArrayList* _tmp1_;
		gint _child_size = 0;
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _child_index = 0;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = self->children;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_child_list = _tmp1_;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = _child_list;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_child_size = _tmp4_;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_child_index = -1;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 890 "Device.c"
			gint _tmp5_;
			gint _tmp6_;
			gint _tmp7_;
			Device* child = NULL;
			GeeArrayList* _tmp8_;
			gint _tmp9_;
			gpointer _tmp10_;
			Device* _tmp11_;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp5_ = _child_index;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_child_index = _tmp5_ + 1;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp6_ = _child_index;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp7_ = _child_size;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 911 "Device.c"
			}
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp8_ = _child_list;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = _child_index;
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			child = (Device*) _tmp10_;
#line 217 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = child;
#line 217 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (device_has_linux_filesystem (_tmp11_)) {
#line 218 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				result = child;
#line 218 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (_child_list);
#line 218 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				return result;
#line 931 "Device.c"
			}
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (child);
#line 935 "Device.c"
		}
#line 216 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_child_list);
#line 939 "Device.c"
	}
#line 222 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = NULL;
#line 222 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 945 "Device.c"
}


gboolean
device_has_parent (Device* self)
{
	gboolean result = FALSE;
	Device* _tmp0_;
#line 225 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 226 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->parent;
#line 226 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp0_ != NULL;
#line 226 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 962 "Device.c"
}


GeeArrayList*
device_get_filesystems (gboolean get_space,
                        gboolean get_mounts)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp52_;
	gint _tmp53_;
	gint _tmp54_;
	gchar* _tmp55_;
	gchar* _tmp56_;
#line 236 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_get_block_devices_using_lsblk ("");
#line 236 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp0_;
#line 238 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (get_space) {
#line 984 "Device.c"
		GeeArrayList* list_df = NULL;
		GeeArrayList* _tmp1_;
#line 240 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = device_get_disk_space_using_df ("");
#line 240 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		list_df = _tmp1_;
#line 991 "Device.c"
		{
			GeeArrayList* _dev_df_list = NULL;
			GeeArrayList* _tmp2_;
			GeeArrayList* _tmp3_;
			gint _dev_df_size = 0;
			GeeArrayList* _tmp4_;
			gint _tmp5_;
			gint _tmp6_;
			gint _dev_df_index = 0;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp2_ = list_df;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp3_ = _g_object_ref0 (_tmp2_);
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_df_list = _tmp3_;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp4_ = _dev_df_list;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp6_ = _tmp5_;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_df_size = _tmp6_;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_df_index = -1;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			while (TRUE) {
#line 1019 "Device.c"
				gint _tmp7_;
				gint _tmp8_;
				gint _tmp9_;
				Device* dev_df = NULL;
				GeeArrayList* _tmp10_;
				gint _tmp11_;
				gpointer _tmp12_;
				Device* dev = NULL;
				GeeArrayList* _tmp13_;
				Device* _tmp14_;
				const gchar* _tmp15_;
				Device* _tmp16_;
				Device* _tmp17_;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp7_ = _dev_df_index;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_dev_df_index = _tmp7_ + 1;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp8_ = _dev_df_index;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp9_ = _dev_df_size;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (!(_tmp8_ < _tmp9_)) {
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					break;
#line 1045 "Device.c"
				}
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp10_ = _dev_df_list;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp11_ = _dev_df_index;
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				dev_df = (Device*) _tmp12_;
#line 242 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp13_ = list;
#line 242 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp14_ = dev_df;
#line 242 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp15_ = _tmp14_->uuid;
#line 242 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp16_ = device_find_device_in_list (_tmp13_, _tmp15_);
#line 242 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				dev = _tmp16_;
#line 243 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp17_ = dev;
#line 243 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp17_ != NULL) {
#line 1069 "Device.c"
					Device* _tmp18_;
					Device* _tmp19_;
					guint64 _tmp20_;
					Device* _tmp21_;
					Device* _tmp22_;
					guint64 _tmp23_;
					Device* _tmp24_;
					Device* _tmp25_;
					guint64 _tmp26_;
					Device* _tmp27_;
					Device* _tmp28_;
					const gchar* _tmp29_;
					gchar* _tmp30_;
#line 244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp18_ = dev;
#line 244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp19_ = dev_df;
#line 244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp20_ = _tmp19_->size_bytes;
#line 244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp18_->size_bytes = _tmp20_;
#line 245 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp21_ = dev;
#line 245 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp22_ = dev_df;
#line 245 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp23_ = _tmp22_->used_bytes;
#line 245 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp21_->used_bytes = _tmp23_;
#line 246 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp24_ = dev;
#line 246 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp25_ = dev_df;
#line 246 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp26_ = _tmp25_->available_bytes;
#line 246 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp24_->available_bytes = _tmp26_;
#line 247 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp27_ = dev;
#line 247 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp28_ = dev_df;
#line 247 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp29_ = _tmp28_->used_percent;
#line 247 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp30_ = g_strdup (_tmp29_);
#line 247 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_tmp27_->used_percent);
#line 247 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp27_->used_percent = _tmp30_;
#line 1119 "Device.c"
				}
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (dev_df);
#line 1125 "Device.c"
			}
#line 241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (_dev_df_list);
#line 1129 "Device.c"
		}
#line 238 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list_df);
#line 1133 "Device.c"
	}
#line 252 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (get_mounts) {
#line 1137 "Device.c"
		GeeArrayList* list_mtab = NULL;
		GeeArrayList* _tmp31_;
#line 254 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp31_ = device_get_mounted_filesystems_using_mtab ();
#line 254 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		list_mtab = _tmp31_;
#line 1144 "Device.c"
		{
			GeeArrayList* _dev_mtab_list = NULL;
			GeeArrayList* _tmp32_;
			GeeArrayList* _tmp33_;
			gint _dev_mtab_size = 0;
			GeeArrayList* _tmp34_;
			gint _tmp35_;
			gint _tmp36_;
			gint _dev_mtab_index = 0;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp32_ = list_mtab;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp33_ = _g_object_ref0 (_tmp32_);
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_mtab_list = _tmp33_;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp34_ = _dev_mtab_list;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp35_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp34_);
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp36_ = _tmp35_;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_mtab_size = _tmp36_;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_mtab_index = -1;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			while (TRUE) {
#line 1172 "Device.c"
				gint _tmp37_;
				gint _tmp38_;
				gint _tmp39_;
				Device* dev_mtab = NULL;
				GeeArrayList* _tmp40_;
				gint _tmp41_;
				gpointer _tmp42_;
				Device* dev = NULL;
				GeeArrayList* _tmp43_;
				Device* _tmp44_;
				const gchar* _tmp45_;
				Device* _tmp46_;
				Device* _tmp47_;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp37_ = _dev_mtab_index;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_dev_mtab_index = _tmp37_ + 1;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38_ = _dev_mtab_index;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp39_ = _dev_mtab_size;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (!(_tmp38_ < _tmp39_)) {
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					break;
#line 1198 "Device.c"
				}
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp40_ = _dev_mtab_list;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp41_ = _dev_mtab_index;
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp42_ = gee_abstract_list_get ((GeeAbstractList*) _tmp40_, _tmp41_);
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				dev_mtab = (Device*) _tmp42_;
#line 256 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp43_ = list;
#line 256 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp44_ = dev_mtab;
#line 256 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp45_ = _tmp44_->uuid;
#line 256 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp46_ = device_find_device_in_list (_tmp43_, _tmp45_);
#line 256 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				dev = _tmp46_;
#line 257 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp47_ = dev;
#line 257 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp47_ != NULL) {
#line 1222 "Device.c"
					Device* _tmp48_;
					Device* _tmp49_;
					GeeArrayList* _tmp50_;
					GeeArrayList* _tmp51_;
#line 258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp48_ = dev;
#line 258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp49_ = dev_mtab;
#line 258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp50_ = _tmp49_->mount_points;
#line 258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp51_ = _g_object_ref0 (_tmp50_);
#line 258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (_tmp48_->mount_points);
#line 258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp48_->mount_points = _tmp51_;
#line 1239 "Device.c"
				}
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (dev_mtab);
#line 1245 "Device.c"
			}
#line 255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (_dev_mtab_list);
#line 1249 "Device.c"
		}
#line 252 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list_mtab);
#line 1253 "Device.c"
	}
#line 267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp52_ = list;
#line 267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp53_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp52_);
#line 267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp54_ = _tmp53_;
#line 267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp55_ = g_strdup_printf ("Device: get_filesystems(): %d", _tmp54_);
#line 267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp56_ = _tmp55_;
#line 267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp56_);
#line 267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp56_);
#line 269 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = list;
#line 269 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 1273 "Device.c"
}


static void
device_find_child_devices (GeeArrayList* list,
                           Device* parent)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 272 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (parent != NULL);
#line 273 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = device_lsblk_is_ancient;
#line 273 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp1_) {
#line 1291 "Device.c"
		const gchar* _tmp2_;
#line 273 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = parent->type;
#line 273 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = g_strcmp0 (_tmp2_, "disk") == 0;
#line 1297 "Device.c"
	} else {
#line 273 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 1301 "Device.c"
	}
#line 273 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp0_) {
#line 1305 "Device.c"
		{
			GeeArrayList* _part_list = NULL;
			GeeArrayList* _tmp3_;
			gint _part_size = 0;
			GeeArrayList* _tmp4_;
			gint _tmp5_;
			gint _tmp6_;
			gint _part_index = 0;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp3_ = _g_object_ref0 (list);
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_part_list = _tmp3_;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp4_ = _part_list;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp6_ = _tmp5_;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_part_size = _tmp6_;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_part_index = -1;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			while (TRUE) {
#line 1330 "Device.c"
				gint _tmp7_;
				gint _tmp8_;
				gint _tmp9_;
				Device* part = NULL;
				GeeArrayList* _tmp10_;
				gint _tmp11_;
				gpointer _tmp12_;
				gboolean _tmp13_ = FALSE;
				Device* _tmp14_;
				const gchar* _tmp15_;
				const gchar* _tmp16_;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp7_ = _part_index;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_part_index = _tmp7_ + 1;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp8_ = _part_index;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp9_ = _part_size;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (!(_tmp8_ < _tmp9_)) {
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					break;
#line 1354 "Device.c"
				}
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp10_ = _part_list;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp11_ = _part_index;
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				part = (Device*) _tmp12_;
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp14_ = part;
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp15_ = _tmp14_->kname;
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp16_ = parent->kname;
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp15_, _tmp16_) != 0) {
#line 1372 "Device.c"
					Device* _tmp17_;
					const gchar* _tmp18_;
					const gchar* _tmp19_;
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp17_ = part;
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp18_ = _tmp17_->kname;
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp19_ = parent->kname;
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp13_ = g_str_has_prefix (_tmp18_, _tmp19_);
#line 1384 "Device.c"
				} else {
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp13_ = FALSE;
#line 1388 "Device.c"
				}
#line 275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp13_) {
#line 1392 "Device.c"
					GeeArrayList* _tmp20_;
					Device* _tmp21_;
					Device* _tmp22_;
					Device* _tmp23_;
					Device* _tmp24_;
					const gchar* _tmp25_;
					gchar* _tmp26_;
					const gchar* _tmp27_;
					Device* _tmp28_;
					const gchar* _tmp29_;
					gchar* _tmp30_;
					gchar* _tmp31_;
#line 276 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp20_ = parent->children;
#line 276 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp21_ = part;
#line 276 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp20_, _tmp21_);
#line 277 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp22_ = part;
#line 277 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp23_ = _g_object_ref0 (parent);
#line 277 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (_tmp22_->parent);
#line 277 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp22_->parent = _tmp23_;
#line 278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp24_ = part;
#line 278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp25_ = parent->kname;
#line 278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp26_ = g_strdup (_tmp25_);
#line 278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_tmp24_->pkname);
#line 278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp24_->pkname = _tmp26_;
#line 279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp27_ = parent->kname;
#line 279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp28_ = part;
#line 279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp29_ = _tmp28_->kname;
#line 279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp30_ = g_strdup_printf ("%s -> %s", _tmp27_, _tmp29_);
#line 279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp31_ = _tmp30_;
#line 279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					tee_jee_logging_log_debug (_tmp31_);
#line 279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_tmp31_);
#line 1443 "Device.c"
				}
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (part);
#line 1447 "Device.c"
			}
#line 274 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (_part_list);
#line 1451 "Device.c"
		}
	} else {
		{
			GeeArrayList* _part_list = NULL;
			GeeArrayList* _tmp32_;
			gint _part_size = 0;
			GeeArrayList* _tmp33_;
			gint _tmp34_;
			gint _tmp35_;
			gint _part_index = 0;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp32_ = _g_object_ref0 (list);
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_part_list = _tmp32_;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp33_ = _part_list;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp34_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp33_);
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp35_ = _tmp34_;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_part_size = _tmp35_;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_part_index = -1;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			while (TRUE) {
#line 1478 "Device.c"
				gint _tmp36_;
				gint _tmp37_;
				gint _tmp38_;
				Device* part = NULL;
				GeeArrayList* _tmp39_;
				gint _tmp40_;
				gpointer _tmp41_;
				Device* _tmp42_;
				const gchar* _tmp43_;
				const gchar* _tmp44_;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp36_ = _part_index;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_part_index = _tmp36_ + 1;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp37_ = _part_index;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38_ = _part_size;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (!(_tmp37_ < _tmp38_)) {
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					break;
#line 1501 "Device.c"
				}
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp39_ = _part_list;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp40_ = _part_index;
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp41_ = gee_abstract_list_get ((GeeAbstractList*) _tmp39_, _tmp40_);
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				part = (Device*) _tmp41_;
#line 285 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp42_ = part;
#line 285 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp43_ = _tmp42_->pkname;
#line 285 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp44_ = parent->kname;
#line 285 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp43_, _tmp44_) == 0) {
#line 1519 "Device.c"
					GeeArrayList* _tmp45_;
					Device* _tmp46_;
					Device* _tmp47_;
					Device* _tmp48_;
#line 286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp45_ = parent->children;
#line 286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp46_ = part;
#line 286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp45_, _tmp46_);
#line 287 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp47_ = part;
#line 287 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp48_ = _g_object_ref0 (parent);
#line 287 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (_tmp47_->parent);
#line 287 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp47_->parent = _tmp48_;
#line 1538 "Device.c"
				}
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (part);
#line 1542 "Device.c"
			}
#line 284 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (_part_list);
#line 1546 "Device.c"
		}
	}
}


static void
device_find_toplevel_parent (GeeArrayList* list,
                             Device* dev)
{
	const gchar* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	gchar* top_kname = NULL;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp25_;
	gchar* _tmp26_;
#line 293 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 293 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (dev != NULL);
#line 295 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = dev->pkname;
#line 295 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = strlen (_tmp0_);
#line 295 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 295 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp2_ == 0) {
#line 295 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return;
#line 1578 "Device.c"
	}
#line 297 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = dev->pkname;
#line 297 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 297 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	top_kname = _tmp4_;
#line 1586 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp5_;
		gint _part_size = 0;
		GeeArrayList* _tmp6_;
		gint _tmp7_;
		gint _tmp8_;
		gint _part_index = 0;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = _g_object_ref0 (list);
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_list = _tmp5_;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = _part_list;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp6_);
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_size = _tmp8_;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_index = -1;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 1611 "Device.c"
			gint _tmp9_;
			gint _tmp10_;
			gint _tmp11_;
			Device* part = NULL;
			GeeArrayList* _tmp12_;
			gint _tmp13_;
			gpointer _tmp14_;
			Device* _tmp15_;
			const gchar* _tmp16_;
			const gchar* _tmp17_;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = _part_index;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_part_index = _tmp9_ + 1;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp10_ = _part_index;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = _part_size;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp10_ < _tmp11_)) {
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 1634 "Device.c"
			}
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp12_ = _part_list;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = _part_index;
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = gee_abstract_list_get ((GeeAbstractList*) _tmp12_, _tmp13_);
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			part = (Device*) _tmp14_;
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = part;
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp16_ = _tmp15_->kname;
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp17_ = top_kname;
#line 300 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp16_, _tmp17_) == 0) {
#line 1652 "Device.c"
				Device* _tmp18_;
				const gchar* _tmp19_;
				gint _tmp20_;
				gint _tmp21_;
#line 301 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp18_ = part;
#line 301 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp19_ = _tmp18_->pkname;
#line 301 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp20_ = strlen (_tmp19_);
#line 301 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp21_ = _tmp20_;
#line 301 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp21_ > 0) {
#line 1667 "Device.c"
					Device* _tmp22_;
					const gchar* _tmp23_;
					gchar* _tmp24_;
#line 302 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp22_ = part;
#line 302 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp23_ = _tmp22_->pkname;
#line 302 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp24_ = g_strdup (_tmp23_);
#line 302 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (top_kname);
#line 302 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					top_kname = _tmp24_;
#line 1681 "Device.c"
				}
			}
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 1686 "Device.c"
		}
#line 299 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 1690 "Device.c"
	}
#line 307 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp25_ = top_kname;
#line 307 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp26_ = g_strdup (_tmp25_);
#line 307 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (dev->pkname_toplevel);
#line 307 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	dev->pkname_toplevel = _tmp26_;
#line 293 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (top_kname);
#line 1702 "Device.c"
}


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1248 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1727 "Device.c"
}


static void
device_find_child_devices_using_dmsetup (GeeArrayList* list)
{
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GRegex* rex = NULL;
	GMatchInfo* match = NULL;
	const gchar* _tmp2_;
	gchar** _tmp3_;
	gchar** _tmp4_;
	GError * _inner_error_ = NULL;
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 315 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_process_helper_exec_sync ("dmsetup deps -o blkdevname", &_tmp0_, &_tmp1_);
#line 315 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 315 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_out = _tmp0_;
#line 315 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 315 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_err = _tmp1_;
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = std_out;
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = _tmp3_ = g_strsplit (_tmp2_, "\n", 0);
#line 1760 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection = _tmp4_;
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection_length1 = _vala_array_length (_tmp3_);
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		for (line_it = 0; line_it < _vala_array_length (_tmp3_); line_it = line_it + 1) {
#line 1772 "Device.c"
			gchar* _tmp5_;
			gchar* line = NULL;
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp5_ = g_strdup (line_collection[line_it]);
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			line = _tmp5_;
#line 1779 "Device.c"
			{
				const gchar* _tmp6_;
				gchar* _tmp7_;
				gchar* _tmp8_;
				gint _tmp9_;
				gint _tmp10_;
				gboolean _tmp11_;
#line 327 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp6_ = line;
#line 327 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp7_ = string_strip (_tmp6_);
#line 327 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp8_ = _tmp7_;
#line 327 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp9_ = strlen (_tmp8_);
#line 327 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp10_ = _tmp9_;
#line 327 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp11_ = _tmp10_ == 0;
#line 327 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp8_);
#line 327 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp11_) {
#line 327 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 327 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					continue;
#line 1807 "Device.c"
				}
				{
					GRegex* _tmp12_ = NULL;
					GRegex* _tmp13_;
					GRegex* _tmp14_;
					GRegex* _tmp15_;
					const gchar* _tmp16_;
					GMatchInfo* _tmp17_ = NULL;
					gboolean _tmp18_;
#line 331 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp13_ = g_regex_new ("([^:]*)\\:.*\\((.*)\\)", 0, 0, &_inner_error_);
#line 331 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp12_ = _tmp13_;
#line 331 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1823 "Device.c"
						goto __catch42_g_error;
					}
#line 331 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp14_ = _tmp12_;
#line 331 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp12_ = NULL;
#line 331 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 331 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					rex = _tmp14_;
#line 333 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp15_ = rex;
#line 333 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp16_ = line;
#line 333 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp18_ = g_regex_match (_tmp15_, _tmp16_, 0, &_tmp17_);
#line 333 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 333 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					match = _tmp17_;
#line 333 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp18_) {
#line 1846 "Device.c"
						gchar* child_name = NULL;
						GMatchInfo* _tmp19_;
						gchar* _tmp20_;
						gchar* _tmp21_;
						gchar* _tmp22_;
						gchar* _tmp23_;
						gchar* parent_kname = NULL;
						GMatchInfo* _tmp24_;
						gchar* _tmp25_;
						gchar* _tmp26_;
						gchar* _tmp27_;
						gchar* _tmp28_;
						Device* parent = NULL;
						Device* child = NULL;
						gboolean _tmp59_ = FALSE;
						Device* _tmp60_;
#line 335 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp19_ = match;
#line 335 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp20_ = g_match_info_fetch (_tmp19_, 1);
#line 335 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp21_ = _tmp20_;
#line 335 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp22_ = string_strip (_tmp21_);
#line 335 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp23_ = _tmp22_;
#line 335 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp21_);
#line 335 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						child_name = _tmp23_;
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp24_ = match;
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp25_ = g_match_info_fetch (_tmp24_, 2);
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp26_ = _tmp25_;
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp27_ = string_strip (_tmp26_);
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp28_ = _tmp27_;
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp26_);
#line 336 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						parent_kname = _tmp28_;
#line 338 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						parent = NULL;
#line 1893 "Device.c"
						{
							GeeArrayList* _dev_list = NULL;
							GeeArrayList* _tmp29_;
							gint _dev_size = 0;
							GeeArrayList* _tmp30_;
							gint _tmp31_;
							gint _tmp32_;
							gint _dev_index = 0;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp29_ = _g_object_ref0 (list);
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_dev_list = _tmp29_;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp30_ = _dev_list;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp31_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp30_);
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp32_ = _tmp31_;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_dev_size = _tmp32_;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_dev_index = -1;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							while (TRUE) {
#line 1918 "Device.c"
								gint _tmp33_;
								gint _tmp34_;
								gint _tmp35_;
								Device* dev = NULL;
								GeeArrayList* _tmp36_;
								gint _tmp37_;
								gpointer _tmp38_;
								Device* _tmp39_;
								const gchar* _tmp40_;
								const gchar* _tmp41_;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp33_ = _dev_index;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_dev_index = _tmp33_ + 1;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp34_ = _dev_index;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp35_ = _dev_size;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								if (!(_tmp34_ < _tmp35_)) {
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 1941 "Device.c"
								}
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp36_ = _dev_list;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp37_ = _dev_index;
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp38_ = gee_abstract_list_get ((GeeAbstractList*) _tmp36_, _tmp37_);
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								dev = (Device*) _tmp38_;
#line 340 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp39_ = dev;
#line 340 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp40_ = _tmp39_->kname;
#line 340 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp41_ = parent_kname;
#line 340 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								if (g_strcmp0 (_tmp40_, _tmp41_) == 0) {
#line 1959 "Device.c"
									Device* _tmp42_;
									Device* _tmp43_;
#line 341 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp42_ = dev;
#line 341 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp43_ = _g_object_ref0 (_tmp42_);
#line 341 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_object_unref0 (parent);
#line 341 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									parent = _tmp43_;
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_object_unref0 (dev);
#line 342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 1974 "Device.c"
								}
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_g_object_unref0 (dev);
#line 1978 "Device.c"
							}
#line 339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_object_unref0 (_dev_list);
#line 1982 "Device.c"
						}
#line 346 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						child = NULL;
#line 1986 "Device.c"
						{
							GeeArrayList* _dev_list = NULL;
							GeeArrayList* _tmp44_;
							gint _dev_size = 0;
							GeeArrayList* _tmp45_;
							gint _tmp46_;
							gint _tmp47_;
							gint _dev_index = 0;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp44_ = _g_object_ref0 (list);
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_dev_list = _tmp44_;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp45_ = _dev_list;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp46_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp45_);
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp47_ = _tmp46_;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_dev_size = _tmp47_;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_dev_index = -1;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							while (TRUE) {
#line 2011 "Device.c"
								gint _tmp48_;
								gint _tmp49_;
								gint _tmp50_;
								Device* dev = NULL;
								GeeArrayList* _tmp51_;
								gint _tmp52_;
								gpointer _tmp53_;
								Device* _tmp54_;
								const gchar* _tmp55_;
								const gchar* _tmp56_;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp48_ = _dev_index;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_dev_index = _tmp48_ + 1;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp49_ = _dev_index;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp50_ = _dev_size;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								if (!(_tmp49_ < _tmp50_)) {
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 2034 "Device.c"
								}
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp51_ = _dev_list;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp52_ = _dev_index;
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp53_ = gee_abstract_list_get ((GeeAbstractList*) _tmp51_, _tmp52_);
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								dev = (Device*) _tmp53_;
#line 348 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp54_ = dev;
#line 348 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp55_ = _tmp54_->mapped_name;
#line 348 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp56_ = child_name;
#line 348 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								if (g_strcmp0 (_tmp55_, _tmp56_) == 0) {
#line 2052 "Device.c"
									Device* _tmp57_;
									Device* _tmp58_;
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp57_ = dev;
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp58_ = _g_object_ref0 (_tmp57_);
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_object_unref0 (child);
#line 349 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									child = _tmp58_;
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_object_unref0 (dev);
#line 350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 2067 "Device.c"
								}
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_g_object_unref0 (dev);
#line 2071 "Device.c"
							}
#line 347 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_object_unref0 (_dev_list);
#line 2075 "Device.c"
						}
#line 354 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp60_ = parent;
#line 354 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (_tmp60_ != NULL) {
#line 2081 "Device.c"
							Device* _tmp61_;
#line 354 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp61_ = child;
#line 354 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp59_ = _tmp61_ != NULL;
#line 2087 "Device.c"
						} else {
#line 354 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp59_ = FALSE;
#line 2091 "Device.c"
						}
#line 354 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (_tmp59_) {
#line 2095 "Device.c"
							Device* _tmp62_;
							Device* _tmp63_;
							const gchar* _tmp64_;
							gchar* _tmp65_;
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp62_ = child;
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp63_ = parent;
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp64_ = _tmp63_->kname;
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp65_ = g_strdup (_tmp64_);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp62_->pkname);
#line 355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp62_->pkname = _tmp65_;
#line 2112 "Device.c"
						}
#line 333 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (child);
#line 333 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (parent);
#line 333 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (parent_kname);
#line 333 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (child_name);
#line 2122 "Device.c"
					} else {
						const gchar* _tmp66_;
						gchar* _tmp67_;
						gchar* _tmp68_;
#line 361 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp66_ = line;
#line 361 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp67_ = g_strdup_printf ("no-match: %s", _tmp66_);
#line 361 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp68_ = _tmp67_;
#line 361 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						tee_jee_logging_log_debug (_tmp68_);
#line 361 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp68_);
#line 2137 "Device.c"
					}
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp12_);
#line 2141 "Device.c"
				}
				goto __finally42;
				__catch42_g_error:
				{
					GError* e = NULL;
					GError* _tmp69_;
					const gchar* _tmp70_;
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					e = _inner_error_;
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_inner_error_ = NULL;
#line 365 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp69_ = e;
#line 365 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp70_ = _tmp69_->message;
#line 365 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp70_, FALSE, FALSE);
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_error_free0 (e);
#line 2161 "Device.c"
				}
				__finally42:
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					g_clear_error (&_inner_error_);
#line 329 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					return;
#line 2184 "Device.c"
				}
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (line);
#line 2188 "Device.c"
			}
		}
#line 326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 2193 "Device.c"
	}
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_match_info_unref0 (match);
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_regex_unref0 (rex);
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 312 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 2203 "Device.c"
}


static gint64
int64_parse (const gchar* str)
{
	gint64 result = 0LL;
	gint64 _tmp0_;
#line 687 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0LL);
#line 688 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_ascii_strtoll (str, NULL, (guint) 0);
#line 688 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_;
#line 688 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 2220 "Device.c"
}


static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 2243 "Device.c"
	} else {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 2247 "Device.c"
	}
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 2253 "Device.c"
	} else {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 2257 "Device.c"
	}
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 2261 "Device.c"
		gchar* _tmp2_;
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp2_;
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2269 "Device.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		regex = _tmp6_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2297 "Device.c"
				goto __catch45_g_regex_error;
			}
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 2306 "Device.c"
		}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp8_ = regex;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2320 "Device.c"
				goto __catch45_g_regex_error;
			}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 2331 "Device.c"
		}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp10_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2345 "Device.c"
	}
	goto __finally45;
	__catch45_g_regex_error:
	{
		GError* e = NULL;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1429 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 2359 "Device.c"
	}
	__finally45:
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return NULL;
#line 2370 "Device.c"
	}
}


GeeArrayList*
device_get_block_devices_using_lsblk (const gchar* dev_name)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* cmd = NULL;
	gint ret_val = 0;
	GRegex* rex = NULL;
	GMatchInfo* match = NULL;
	gboolean _tmp1_;
	gint _tmp4_;
	gint _tmp5_;
	const gchar* _tmp10_;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gint _tmp13_;
	gint index = 0;
	const gchar* _tmp14_;
	gchar** _tmp15_;
	gchar** _tmp16_;
	GeeArrayList* _tmp312_;
	GeeArrayList* _tmp313_;
	gboolean _tmp329_;
	GError * _inner_error_ = NULL;
#line 371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name != NULL, NULL);
#line 378 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_test_lsblk_version ();
#line 380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp0_;
#line 389 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = device_lsblk_is_ancient;
#line 389 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp1_) {
#line 2414 "Device.c"
		gchar* _tmp2_;
#line 390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = g_strdup ("lsblk --bytes --pairs --output NAME,KNAME,LABEL,UUID,TYPE,FSTYPE,SIZE," \
"MOUNTPOINT,MODEL,RO,RM,MAJ:MIN");
#line 390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		cmd = _tmp2_;
#line 2422 "Device.c"
	} else {
		gchar* _tmp3_;
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = g_strdup ("lsblk --bytes --pairs --output NAME,KNAME,LABEL,UUID,TYPE,FSTYPE,SIZE," \
"MOUNTPOINT,MODEL,RO,HOTPLUG,MAJ:MIN,PARTLABEL,PARTUUID,PKNAME,VENDOR,S" \
"ERIAL,REV");
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		cmd = _tmp3_;
#line 2431 "Device.c"
	}
#line 396 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = strlen (dev_name);
#line 396 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = _tmp4_;
#line 396 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp5_ > 0) {
#line 2439 "Device.c"
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = cmd;
#line 397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" %s", dev_name);
#line 397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp6_, _tmp8_, NULL);
#line 397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		cmd = _tmp9_;
#line 397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 2458 "Device.c"
	}
#line 400 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp10_ = cmd;
#line 400 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp13_ = tee_jee_process_helper_exec_sync (_tmp10_, &_tmp11_, &_tmp12_);
#line 400 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 400 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_out = _tmp11_;
#line 400 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 400 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_err = _tmp12_;
#line 400 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	ret_val = _tmp13_;
#line 421 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	index = -1;
#line 423 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp14_ = std_out;
#line 423 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp16_ = _tmp15_ = g_strsplit (_tmp14_, "\n", 0);
#line 2480 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 423 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection = _tmp16_;
#line 423 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection_length1 = _vala_array_length (_tmp15_);
#line 423 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		for (line_it = 0; line_it < _vala_array_length (_tmp15_); line_it = line_it + 1) {
#line 2492 "Device.c"
			gchar* _tmp17_;
			gchar* line = NULL;
#line 423 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp17_ = g_strdup (line_collection[line_it]);
#line 423 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			line = _tmp17_;
#line 2499 "Device.c"
			{
				const gchar* _tmp18_;
				gchar* _tmp19_;
				gchar* _tmp20_;
				gint _tmp21_;
				gint _tmp22_;
				gboolean _tmp23_;
#line 424 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp18_ = line;
#line 424 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp19_ = string_strip (_tmp18_);
#line 424 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp20_ = _tmp19_;
#line 424 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp21_ = strlen (_tmp20_);
#line 424 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp22_ = _tmp21_;
#line 424 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp23_ = _tmp22_ == 0;
#line 424 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp20_);
#line 424 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp23_) {
#line 424 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 424 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					continue;
#line 2527 "Device.c"
				}
				{
					gboolean _tmp24_;
					GRegex* _tmp31_;
					const gchar* _tmp32_;
					GMatchInfo* _tmp33_ = NULL;
					gboolean _tmp34_;
#line 427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp24_ = device_lsblk_is_ancient;
#line 427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp24_) {
#line 2539 "Device.c"
						GRegex* _tmp25_ = NULL;
						GRegex* _tmp26_;
						GRegex* _tmp27_;
#line 428 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp26_ = g_regex_new ("NAME=\"(.*)\" KNAME=\"(.*)\" LABEL=\"(.*)\" UUID=\"(.*)\" TYPE=\"(.*)\"" \
" FSTYPE=\"(.*)\" SIZE=\"(.*)\" MOUNTPOINT=\"(.*)\" MODEL=\"(.*)\" RO=\"" \
"([0-9]+)\" RM=\"([0-9]+)\" MAJ:MIN=\"([0-9:]+)\"", 0, 0, &_inner_error_);
#line 428 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp25_ = _tmp26_;
#line 428 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2549 "Device.c"
							goto __catch43_g_error;
						}
#line 428 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp27_ = _tmp25_;
#line 428 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp25_ = NULL;
#line 428 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_regex_unref0 (rex);
#line 428 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						rex = _tmp27_;
#line 427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp25_);
#line 2562 "Device.c"
					} else {
						GRegex* _tmp28_ = NULL;
						GRegex* _tmp29_;
						GRegex* _tmp30_;
#line 431 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp29_ = g_regex_new ("NAME=\"(.*)\" KNAME=\"(.*)\" LABEL=\"(.*)\" UUID=\"(.*)\" TYPE=\"(.*)\"" \
" FSTYPE=\"(.*)\" SIZE=\"(.*)\" MOUNTPOINT=\"(.*)\" MODEL=\"(.*)\" RO=\"" \
"([0-9]+)\" HOTPLUG=\"([0-9]+)\" MAJ:MIN=\"([0-9:]+)\" PARTLABEL=\"(.*)" \
"\" PARTUUID=\"(.*)\" PKNAME=\"(.*)\" VENDOR=\"(.*)\" SERIAL=\"(.*)\" R" \
"EV=\"(.*)\"", 0, 0, &_inner_error_);
#line 431 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp28_ = _tmp29_;
#line 431 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2573 "Device.c"
							goto __catch43_g_error;
						}
#line 431 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp30_ = _tmp28_;
#line 431 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp28_ = NULL;
#line 431 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_regex_unref0 (rex);
#line 431 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						rex = _tmp30_;
#line 427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp28_);
#line 2586 "Device.c"
					}
#line 434 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp31_ = rex;
#line 434 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp32_ = line;
#line 434 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp34_ = g_regex_match (_tmp31_, _tmp32_, 0, &_tmp33_);
#line 434 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 434 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					match = _tmp33_;
#line 434 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp34_) {
#line 2600 "Device.c"
						Device* pi = NULL;
						Device* _tmp35_;
						gint pos = 0;
						Device* _tmp36_;
						GMatchInfo* _tmp37_;
						gint _tmp38_;
						gint _tmp39_;
						gchar* _tmp40_;
						gchar* _tmp41_;
						gchar* _tmp42_;
						Device* _tmp43_;
						GMatchInfo* _tmp44_;
						gint _tmp45_;
						gint _tmp46_;
						gchar* _tmp47_;
						gchar* _tmp48_;
						gchar* _tmp49_;
						Device* _tmp50_;
						GMatchInfo* _tmp51_;
						gint _tmp52_;
						gint _tmp53_;
						gchar* _tmp54_;
						Device* _tmp55_;
						GMatchInfo* _tmp56_;
						gint _tmp57_;
						gint _tmp58_;
						gchar* _tmp59_;
						gchar* _tmp60_;
						gchar* _tmp61_;
						Device* _tmp62_;
						GMatchInfo* _tmp63_;
						gint _tmp64_;
						gint _tmp65_;
						gchar* _tmp66_;
						gchar* _tmp67_;
						gchar* _tmp68_;
						gchar* _tmp69_;
						gchar* _tmp70_;
						Device* _tmp71_;
						GMatchInfo* _tmp72_;
						gint _tmp73_;
						gint _tmp74_;
						gchar* _tmp75_;
						gchar* _tmp76_;
						gchar* _tmp77_;
						gchar* _tmp78_;
						gchar* _tmp79_;
						const gchar* _tmp80_ = NULL;
						Device* _tmp81_;
						const gchar* _tmp82_;
						Device* _tmp85_;
						gchar* _tmp86_;
						const gchar* _tmp87_ = NULL;
						Device* _tmp88_;
						const gchar* _tmp89_;
						Device* _tmp92_;
						gchar* _tmp93_;
						Device* _tmp94_;
						GMatchInfo* _tmp95_;
						gint _tmp96_;
						gint _tmp97_;
						gchar* _tmp98_;
						gchar* _tmp99_;
						gchar* _tmp100_;
						gchar* _tmp101_;
						gchar* mp = NULL;
						GMatchInfo* _tmp102_;
						gint _tmp103_;
						gint _tmp104_;
						gchar* _tmp105_;
						gchar* _tmp106_;
						gchar* _tmp107_;
						gchar* _tmp108_;
						const gchar* _tmp109_;
						gint _tmp110_;
						gint _tmp111_;
						Device* _tmp118_;
						GMatchInfo* _tmp119_;
						gint _tmp120_;
						gint _tmp121_;
						gchar* _tmp122_;
						gchar* _tmp123_;
						gchar* _tmp124_;
						Device* _tmp125_;
						GMatchInfo* _tmp126_;
						gint _tmp127_;
						gint _tmp128_;
						gchar* _tmp129_;
						gchar* _tmp130_;
						gchar* _tmp131_;
						gchar* _tmp132_;
						Device* _tmp133_;
						GMatchInfo* _tmp134_;
						gint _tmp135_;
						gint _tmp136_;
						gchar* _tmp137_;
						gchar* _tmp138_;
						gchar* _tmp139_;
						gchar* _tmp140_;
						gchar* txt = NULL;
						GMatchInfo* _tmp141_;
						gint _tmp142_;
						gint _tmp143_;
						gchar* _tmp144_;
						gchar* _tmp145_;
						gchar* _tmp146_;
						gchar* _tmp147_;
						const gchar* _tmp148_;
						gboolean _tmp161_;
						Device* _tmp202_;
						gint _tmp203_;
						gint _tmp204_;
						Device* _tmp205_;
						Device* _tmp206_;
						const gchar* _tmp207_;
						gchar* _tmp208_;
						Device* _tmp209_;
						const gchar* _tmp210_;
						gint _tmp211_;
						gint _tmp212_;
						Device* _tmp217_;
						const gchar* _tmp218_;
						gint _tmp219_;
						gint _tmp220_;
						Device* _tmp225_;
						const gchar* _tmp226_;
						gint _tmp227_;
						gint _tmp228_;
						Device* _tmp233_;
						const gchar* _tmp234_;
						gint _tmp235_;
						gint _tmp236_;
						GeeArrayList* _tmp241_;
						Device* _tmp242_;
#line 436 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp35_ = device_new ();
#line 436 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pi = _tmp35_;
#line 438 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = 0;
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp36_ = pi;
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp37_ = match;
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp38_ = pos;
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp38_ + 1;
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp39_ = pos;
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp40_ = g_match_info_fetch (_tmp37_, _tmp39_);
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp41_ = _tmp40_;
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp42_ = string_strip (_tmp41_);
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp36_->name);
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp36_->name = _tmp42_;
#line 440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp41_);
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp43_ = pi;
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp44_ = match;
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp45_ = pos;
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp45_ + 1;
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp46_ = pos;
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp47_ = g_match_info_fetch (_tmp44_, _tmp46_);
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp48_ = _tmp47_;
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp49_ = string_strip (_tmp48_);
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp43_->kname);
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp43_->kname = _tmp49_;
#line 441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp48_);
#line 443 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp50_ = pi;
#line 443 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp51_ = match;
#line 443 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp52_ = pos;
#line 443 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp52_ + 1;
#line 443 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp53_ = pos;
#line 443 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp54_ = g_match_info_fetch (_tmp51_, _tmp53_);
#line 443 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp50_->label);
#line 443 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp50_->label = _tmp54_;
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp55_ = pi;
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp56_ = match;
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp57_ = pos;
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp57_ + 1;
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp58_ = pos;
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp59_ = g_match_info_fetch (_tmp56_, _tmp58_);
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp60_ = _tmp59_;
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp61_ = string_strip (_tmp60_);
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp55_->uuid);
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp55_->uuid = _tmp61_;
#line 444 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp60_);
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp62_ = pi;
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp63_ = match;
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp64_ = pos;
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp64_ + 1;
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp65_ = pos;
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp66_ = g_match_info_fetch (_tmp63_, _tmp65_);
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp67_ = _tmp66_;
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp68_ = string_strip (_tmp67_);
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp69_ = _tmp68_;
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp70_ = g_utf8_strdown (_tmp69_, (gssize) -1);
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp62_->type);
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp62_->type = _tmp70_;
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp69_);
#line 446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp67_);
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp71_ = pi;
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp72_ = match;
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp73_ = pos;
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp73_ + 1;
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp74_ = pos;
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp75_ = g_match_info_fetch (_tmp72_, _tmp74_);
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp76_ = _tmp75_;
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp77_ = string_strip (_tmp76_);
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp78_ = _tmp77_;
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp79_ = g_utf8_strdown (_tmp78_, (gssize) -1);
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp71_->fstype);
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp71_->fstype = _tmp79_;
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp78_);
#line 448 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp76_);
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp81_ = pi;
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp82_ = _tmp81_->fstype;
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (g_strcmp0 (_tmp82_, "crypto_luks") == 0) {
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp80_ = "luks";
#line 2887 "Device.c"
						} else {
							Device* _tmp83_;
							const gchar* _tmp84_;
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp83_ = pi;
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp84_ = _tmp83_->fstype;
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp80_ = _tmp84_;
#line 2897 "Device.c"
						}
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp85_ = pi;
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp86_ = g_strdup (_tmp80_);
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp85_->fstype);
#line 449 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp85_->fstype = _tmp86_;
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp88_ = pi;
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp89_ = _tmp88_->fstype;
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (g_strcmp0 (_tmp89_, "lvm2_member") == 0) {
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp87_ = "lvm2";
#line 2915 "Device.c"
						} else {
							Device* _tmp90_;
							const gchar* _tmp91_;
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp90_ = pi;
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp91_ = _tmp90_->fstype;
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp87_ = _tmp91_;
#line 2925 "Device.c"
						}
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp92_ = pi;
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp93_ = g_strdup (_tmp87_);
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp92_->fstype);
#line 450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp92_->fstype = _tmp93_;
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp94_ = pi;
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp95_ = match;
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp96_ = pos;
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp96_ + 1;
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp97_ = pos;
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp98_ = g_match_info_fetch (_tmp95_, _tmp97_);
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp99_ = _tmp98_;
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp100_ = string_strip (_tmp99_);
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp101_ = _tmp100_;
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp94_->size_bytes = (guint64) int64_parse (_tmp101_);
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp101_);
#line 452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp99_);
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp102_ = match;
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp103_ = pos;
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp103_ + 1;
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp104_ = pos;
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp105_ = g_match_info_fetch (_tmp102_, _tmp104_);
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp106_ = _tmp105_;
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp107_ = string_strip (_tmp106_);
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp108_ = _tmp107_;
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp106_);
#line 454 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						mp = _tmp108_;
#line 455 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp109_ = mp;
#line 455 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp110_ = strlen (_tmp109_);
#line 455 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp111_ = _tmp110_;
#line 455 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (_tmp111_ > 0) {
#line 2987 "Device.c"
							Device* _tmp112_;
							GeeArrayList* _tmp113_;
							Device* _tmp114_;
							const gchar* _tmp115_;
							MountEntry* _tmp116_;
							MountEntry* _tmp117_;
#line 456 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp112_ = pi;
#line 456 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp113_ = _tmp112_->mount_points;
#line 456 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp114_ = pi;
#line 456 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp115_ = mp;
#line 456 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp116_ = mount_entry_new (_tmp114_, _tmp115_, "");
#line 456 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp117_ = _tmp116_;
#line 456 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							gee_abstract_collection_add ((GeeAbstractCollection*) _tmp113_, _tmp117_);
#line 456 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_object_unref0 (_tmp117_);
#line 3010 "Device.c"
						}
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp118_ = pi;
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp119_ = match;
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp120_ = pos;
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp120_ + 1;
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp121_ = pos;
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp122_ = g_match_info_fetch (_tmp119_, _tmp121_);
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp123_ = _tmp122_;
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp124_ = string_strip (_tmp123_);
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp118_->model);
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp118_->model = _tmp124_;
#line 459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp123_);
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp125_ = pi;
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp126_ = match;
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp127_ = pos;
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp127_ + 1;
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp128_ = pos;
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp129_ = g_match_info_fetch (_tmp126_, _tmp128_);
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp130_ = _tmp129_;
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp131_ = string_strip (_tmp130_);
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp132_ = _tmp131_;
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp125_->read_only = g_strcmp0 (_tmp132_, "1") == 0;
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp132_);
#line 461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp130_);
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp133_ = pi;
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp134_ = match;
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp135_ = pos;
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp135_ + 1;
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp136_ = pos;
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp137_ = g_match_info_fetch (_tmp134_, _tmp136_);
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp138_ = _tmp137_;
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp139_ = string_strip (_tmp138_);
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp140_ = _tmp139_;
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp133_->removable = g_strcmp0 (_tmp140_, "1") == 0;
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp140_);
#line 463 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp138_);
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp141_ = match;
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp142_ = pos;
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						pos = _tmp142_ + 1;
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp143_ = pos;
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp144_ = g_match_info_fetch (_tmp141_, _tmp143_);
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp145_ = _tmp144_;
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp146_ = string_strip (_tmp145_);
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp147_ = _tmp146_;
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp145_);
#line 465 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						txt = _tmp147_;
#line 466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp148_ = txt;
#line 466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (string_contains (_tmp148_, ":")) {
#line 3106 "Device.c"
							Device* _tmp149_;
							const gchar* _tmp150_;
							gchar** _tmp151_;
							gchar** _tmp152_;
							gchar** _tmp153_;
							gint _tmp153__length1;
							const gchar* _tmp154_;
							Device* _tmp155_;
							const gchar* _tmp156_;
							gchar** _tmp157_;
							gchar** _tmp158_;
							gchar** _tmp159_;
							gint _tmp159__length1;
							const gchar* _tmp160_;
#line 467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp149_ = pi;
#line 467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp150_ = txt;
#line 467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp152_ = _tmp151_ = g_strsplit (_tmp150_, ":", 0);
#line 467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp153_ = _tmp152_;
#line 467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp153__length1 = _vala_array_length (_tmp151_);
#line 467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp154_ = _tmp153_[0];
#line 467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp149_->major = atoi (_tmp154_);
#line 467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp153_ = (_vala_array_free (_tmp153_, _tmp153__length1, (GDestroyNotify) g_free), NULL);
#line 468 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp155_ = pi;
#line 468 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp156_ = txt;
#line 468 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp158_ = _tmp157_ = g_strsplit (_tmp156_, ":", 0);
#line 468 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp159_ = _tmp158_;
#line 468 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp159__length1 = _vala_array_length (_tmp157_);
#line 468 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp160_ = _tmp159_[1];
#line 468 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp155_->minor = atoi (_tmp160_);
#line 468 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp159_ = (_vala_array_free (_tmp159_, _tmp159__length1, (GDestroyNotify) g_free), NULL);
#line 3153 "Device.c"
						}
#line 471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp161_ = device_lsblk_is_ancient;
#line 471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (!_tmp161_) {
#line 3159 "Device.c"
							Device* _tmp162_;
							GMatchInfo* _tmp163_;
							gint _tmp164_;
							gint _tmp165_;
							gchar* _tmp166_;
							Device* _tmp167_;
							GMatchInfo* _tmp168_;
							gint _tmp169_;
							gint _tmp170_;
							gchar* _tmp171_;
							gchar* _tmp172_;
							gchar* _tmp173_;
							Device* _tmp174_;
							GMatchInfo* _tmp175_;
							gint _tmp176_;
							gint _tmp177_;
							gchar* _tmp178_;
							gchar* _tmp179_;
							gchar* _tmp180_;
							Device* _tmp181_;
							GMatchInfo* _tmp182_;
							gint _tmp183_;
							gint _tmp184_;
							gchar* _tmp185_;
							gchar* _tmp186_;
							gchar* _tmp187_;
							Device* _tmp188_;
							GMatchInfo* _tmp189_;
							gint _tmp190_;
							gint _tmp191_;
							gchar* _tmp192_;
							gchar* _tmp193_;
							gchar* _tmp194_;
							Device* _tmp195_;
							GMatchInfo* _tmp196_;
							gint _tmp197_;
							gint _tmp198_;
							gchar* _tmp199_;
							gchar* _tmp200_;
							gchar* _tmp201_;
#line 473 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp162_ = pi;
#line 473 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp163_ = match;
#line 473 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp164_ = pos;
#line 473 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							pos = _tmp164_ + 1;
#line 473 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp165_ = pos;
#line 473 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp166_ = g_match_info_fetch (_tmp163_, _tmp165_);
#line 473 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp162_->partlabel);
#line 473 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp162_->partlabel = _tmp166_;
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp167_ = pi;
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp168_ = match;
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp169_ = pos;
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							pos = _tmp169_ + 1;
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp170_ = pos;
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp171_ = g_match_info_fetch (_tmp168_, _tmp170_);
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp172_ = _tmp171_;
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp173_ = string_strip (_tmp172_);
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp167_->partuuid);
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp167_->partuuid = _tmp173_;
#line 474 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp172_);
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp174_ = pi;
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp175_ = match;
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp176_ = pos;
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							pos = _tmp176_ + 1;
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp177_ = pos;
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp178_ = g_match_info_fetch (_tmp175_, _tmp177_);
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp179_ = _tmp178_;
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp180_ = string_strip (_tmp179_);
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp174_->pkname);
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp174_->pkname = _tmp180_;
#line 476 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp179_);
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp181_ = pi;
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp182_ = match;
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp183_ = pos;
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							pos = _tmp183_ + 1;
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp184_ = pos;
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp185_ = g_match_info_fetch (_tmp182_, _tmp184_);
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp186_ = _tmp185_;
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp187_ = string_strip (_tmp186_);
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp181_->vendor);
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp181_->vendor = _tmp187_;
#line 477 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp186_);
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp188_ = pi;
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp189_ = match;
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp190_ = pos;
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							pos = _tmp190_ + 1;
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp191_ = pos;
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp192_ = g_match_info_fetch (_tmp189_, _tmp191_);
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp193_ = _tmp192_;
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp194_ = string_strip (_tmp193_);
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp188_->serial);
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp188_->serial = _tmp194_;
#line 478 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp193_);
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp195_ = pi;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp196_ = match;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp197_ = pos;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							pos = _tmp197_ + 1;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp198_ = pos;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp199_ = g_match_info_fetch (_tmp196_, _tmp198_);
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp200_ = _tmp199_;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp201_ = string_strip (_tmp200_);
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp195_->revision);
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp195_->revision = _tmp201_;
#line 479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp200_);
#line 3326 "Device.c"
						}
#line 482 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp202_ = pi;
#line 482 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp203_ = index;
#line 482 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						index = _tmp203_ + 1;
#line 482 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp204_ = index;
#line 482 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp202_->order = _tmp204_;
#line 483 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp205_ = pi;
#line 483 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp206_ = pi;
#line 483 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp207_ = _tmp206_->kname;
#line 483 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp208_ = g_strdup_printf ("/dev/%s", _tmp207_);
#line 483 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp205_->device);
#line 483 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp205_->device = _tmp208_;
#line 485 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp209_ = pi;
#line 485 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp210_ = _tmp209_->uuid;
#line 485 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp211_ = strlen (_tmp210_);
#line 485 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp212_ = _tmp211_;
#line 485 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (_tmp212_ > 0) {
#line 3360 "Device.c"
							Device* _tmp213_;
							Device* _tmp214_;
							const gchar* _tmp215_;
							gchar* _tmp216_;
#line 486 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp213_ = pi;
#line 486 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp214_ = pi;
#line 486 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp215_ = _tmp214_->uuid;
#line 486 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp216_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp215_);
#line 486 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp213_->device_by_uuid);
#line 486 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp213_->device_by_uuid = _tmp216_;
#line 3377 "Device.c"
						}
#line 489 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp217_ = pi;
#line 489 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp218_ = _tmp217_->label;
#line 489 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp219_ = strlen (_tmp218_);
#line 489 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp220_ = _tmp219_;
#line 489 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (_tmp220_ > 0) {
#line 3389 "Device.c"
							Device* _tmp221_;
							Device* _tmp222_;
							const gchar* _tmp223_;
							gchar* _tmp224_;
#line 490 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp221_ = pi;
#line 490 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp222_ = pi;
#line 490 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp223_ = _tmp222_->label;
#line 490 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp224_ = g_strdup_printf ("/dev/disk/by-label/%s", _tmp223_);
#line 490 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp221_->device_by_label);
#line 490 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp221_->device_by_label = _tmp224_;
#line 3406 "Device.c"
						}
#line 493 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp225_ = pi;
#line 493 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp226_ = _tmp225_->partuuid;
#line 493 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp227_ = strlen (_tmp226_);
#line 493 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp228_ = _tmp227_;
#line 493 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (_tmp228_ > 0) {
#line 3418 "Device.c"
							Device* _tmp229_;
							Device* _tmp230_;
							const gchar* _tmp231_;
							gchar* _tmp232_;
#line 494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp229_ = pi;
#line 494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp230_ = pi;
#line 494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp231_ = _tmp230_->partuuid;
#line 494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp232_ = g_strdup_printf ("/dev/disk/by-partuuid/%s", _tmp231_);
#line 494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp229_->device_by_partuuid);
#line 494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp229_->device_by_partuuid = _tmp232_;
#line 3435 "Device.c"
						}
#line 497 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp233_ = pi;
#line 497 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp234_ = _tmp233_->partlabel;
#line 497 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp235_ = strlen (_tmp234_);
#line 497 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp236_ = _tmp235_;
#line 497 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (_tmp236_ > 0) {
#line 3447 "Device.c"
							Device* _tmp237_;
							Device* _tmp238_;
							const gchar* _tmp239_;
							gchar* _tmp240_;
#line 498 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp237_ = pi;
#line 498 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp238_ = pi;
#line 498 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp239_ = _tmp238_->partlabel;
#line 498 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp240_ = g_strdup_printf ("/dev/disk/by-partlabel/%s", _tmp239_);
#line 498 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp237_->device_by_partlabel);
#line 498 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp237_->device_by_partlabel = _tmp240_;
#line 3464 "Device.c"
						}
#line 506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp241_ = list;
#line 506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp242_ = pi;
#line 506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp241_, _tmp242_);
#line 434 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (txt);
#line 434 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (mp);
#line 434 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (pi);
#line 3478 "Device.c"
					} else {
						const gchar* _tmp243_;
						gchar* _tmp244_;
						gchar* _tmp245_;
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp243_ = line;
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp244_ = g_strdup_printf ("no-match: %s", _tmp243_);
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp245_ = _tmp244_;
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						tee_jee_logging_log_debug (_tmp245_);
#line 510 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp245_);
#line 3493 "Device.c"
					}
				}
				goto __finally43;
				__catch43_g_error:
				{
					GError* e = NULL;
					GError* _tmp246_;
					const gchar* _tmp247_;
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					e = _inner_error_;
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_inner_error_ = NULL;
#line 514 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp246_ = e;
#line 514 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp247_ = _tmp246_->message;
#line 514 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp247_, FALSE, FALSE);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_error_free0 (e);
#line 3514 "Device.c"
				}
				__finally43:
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (cmd);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (list);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					g_clear_error (&_inner_error_);
#line 426 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					return NULL;
#line 3541 "Device.c"
				}
#line 423 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (line);
#line 3545 "Device.c"
			}
		}
#line 423 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 3550 "Device.c"
	}
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp248_;
		GeeArrayList* _tmp249_;
		gint _dev_size = 0;
		GeeArrayList* _tmp250_;
		gint _tmp251_;
		gint _tmp252_;
		gint _dev_index = 0;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp248_ = list;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp249_ = _g_object_ref0 (_tmp248_);
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_list = _tmp249_;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp250_ = _dev_list;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp251_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp250_);
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp252_ = _tmp251_;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_size = _tmp252_;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_index = -1;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 3579 "Device.c"
			gint _tmp253_;
			gint _tmp254_;
			gint _tmp255_;
			Device* dev = NULL;
			GeeArrayList* _tmp256_;
			gint _tmp257_;
			gpointer _tmp258_;
			gchar* dev_by_uuid = NULL;
			Device* _tmp259_;
			const gchar* _tmp260_;
			gchar* _tmp261_;
			const gchar* _tmp262_;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp253_ = _dev_index;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_index = _tmp253_ + 1;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp254_ = _dev_index;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp255_ = _dev_size;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp254_ < _tmp255_)) {
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 3604 "Device.c"
			}
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp256_ = _dev_list;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp257_ = _dev_index;
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp258_ = gee_abstract_list_get ((GeeAbstractList*) _tmp256_, _tmp257_);
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev = (Device*) _tmp258_;
#line 526 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp259_ = dev;
#line 526 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp260_ = _tmp259_->uuid;
#line 526 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp261_ = tee_jee_file_system_path_combine ("/dev/disk/by-uuid/", _tmp260_);
#line 526 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev_by_uuid = _tmp261_;
#line 527 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp262_ = dev_by_uuid;
#line 527 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (tee_jee_file_system_file_exists (_tmp262_)) {
#line 3626 "Device.c"
				Device* _tmp263_;
				GeeArrayList* _tmp264_;
				const gchar* _tmp265_;
#line 528 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp263_ = dev;
#line 528 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp264_ = _tmp263_->symlinks;
#line 528 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp265_ = dev_by_uuid;
#line 528 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp264_, _tmp265_);
#line 3638 "Device.c"
			}
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (dev_by_uuid);
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 3644 "Device.c"
		}
#line 525 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 3648 "Device.c"
	}
	{
		GFile* f_dev_mapper = NULL;
		GFile* _tmp266_;
		GFileEnumerator* enumerator = NULL;
		GFile* _tmp267_;
		gchar* _tmp268_;
		gchar* _tmp269_;
		GFileEnumerator* _tmp270_;
		GFileEnumerator* _tmp271_;
		GFileInfo* info = NULL;
#line 536 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp266_ = g_file_new_for_path ("/dev/mapper");
#line 536 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		f_dev_mapper = _tmp266_;
#line 538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp267_ = f_dev_mapper;
#line 538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp268_ = g_strdup_printf ("%s,%s", G_FILE_ATTRIBUTE_STANDARD_NAME, G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET);
#line 538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp269_ = _tmp268_;
#line 538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp270_ = g_file_enumerate_children (_tmp267_, _tmp269_, G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS, NULL, &_inner_error_);
#line 538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp271_ = _tmp270_;
#line 538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp269_);
#line 538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		enumerator = _tmp271_;
#line 538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (f_dev_mapper);
#line 3682 "Device.c"
			goto __catch44_g_error;
		}
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 3687 "Device.c"
			GFileInfo* _tmp272_ = NULL;
			GFileEnumerator* _tmp273_;
			GFileInfo* _tmp274_;
			GFileInfo* _tmp275_;
			GFileInfo* _tmp276_;
			GFileInfo* _tmp277_;
			const gchar* _tmp278_;
			GFile* f_mapped = NULL;
			GFile* _tmp279_;
			GFileInfo* _tmp280_;
			const gchar* _tmp281_;
			GFile* _tmp282_;
			gchar* mapped_file = NULL;
			GFile* _tmp283_;
			gchar* _tmp284_;
			gchar* mapped_device = NULL;
			GFileInfo* _tmp285_;
			const gchar* _tmp286_;
			gchar* _tmp287_;
			const gchar* _tmp288_;
			gchar* _tmp289_;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp273_ = enumerator;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp274_ = g_file_enumerator_next_file (_tmp273_, NULL, &_inner_error_);
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp272_ = _tmp274_;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (info);
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (enumerator);
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (f_dev_mapper);
#line 3723 "Device.c"
				goto __catch44_g_error;
			}
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp275_ = _tmp272_;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp272_ = NULL;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (info);
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			info = _tmp275_;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp276_ = info;
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp276_ != NULL)) {
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (_tmp272_);
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 3742 "Device.c"
			}
#line 546 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp277_ = info;
#line 546 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp278_ = g_file_info_get_name (_tmp277_);
#line 546 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp278_, "control") == 0) {
#line 546 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (_tmp272_);
#line 546 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				continue;
#line 3754 "Device.c"
			}
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp279_ = f_dev_mapper;
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp280_ = info;
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp281_ = g_file_info_get_name (_tmp280_);
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp282_ = g_file_resolve_relative_path (_tmp279_, _tmp281_);
#line 548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			f_mapped = _tmp282_;
#line 550 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp283_ = f_mapped;
#line 550 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp284_ = g_file_get_path (_tmp283_);
#line 550 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			mapped_file = _tmp284_;
#line 551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp285_ = info;
#line 551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp286_ = g_file_info_get_symlink_target (_tmp285_);
#line 551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp287_ = g_strdup (_tmp286_);
#line 551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			mapped_device = _tmp287_;
#line 552 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp288_ = mapped_device;
#line 552 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp289_ = string_replace (_tmp288_, "..", "/dev");
#line 552 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (mapped_device);
#line 552 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			mapped_device = _tmp289_;
#line 3788 "Device.c"
			{
				GeeArrayList* _dev_list = NULL;
				GeeArrayList* _tmp290_;
				GeeArrayList* _tmp291_;
				gint _dev_size = 0;
				GeeArrayList* _tmp292_;
				gint _tmp293_;
				gint _tmp294_;
				gint _dev_index = 0;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp290_ = list;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp291_ = _g_object_ref0 (_tmp290_);
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_dev_list = _tmp291_;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp292_ = _dev_list;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp293_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp292_);
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp294_ = _tmp293_;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_dev_size = _tmp294_;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_dev_index = -1;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				while (TRUE) {
#line 3816 "Device.c"
					gint _tmp295_;
					gint _tmp296_;
					gint _tmp297_;
					Device* dev = NULL;
					GeeArrayList* _tmp298_;
					gint _tmp299_;
					gpointer _tmp300_;
					Device* _tmp301_;
					const gchar* _tmp302_;
					const gchar* _tmp303_;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp295_ = _dev_index;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_dev_index = _tmp295_ + 1;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp296_ = _dev_index;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp297_ = _dev_size;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (!(_tmp296_ < _tmp297_)) {
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						break;
#line 3839 "Device.c"
					}
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp298_ = _dev_list;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp299_ = _dev_index;
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp300_ = gee_abstract_list_get ((GeeAbstractList*) _tmp298_, _tmp299_);
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					dev = (Device*) _tmp300_;
#line 559 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp301_ = dev;
#line 559 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp302_ = _tmp301_->device;
#line 559 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp303_ = mapped_device;
#line 559 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (g_strcmp0 (_tmp302_, _tmp303_) == 0) {
#line 3857 "Device.c"
						Device* _tmp304_;
						const gchar* _tmp305_;
						gchar* _tmp306_;
						Device* _tmp307_;
						GeeArrayList* _tmp308_;
						const gchar* _tmp309_;
#line 560 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp304_ = dev;
#line 560 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp305_ = mapped_file;
#line 560 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp306_ = string_replace (_tmp305_, "/dev/mapper/", "");
#line 560 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp304_->mapped_name);
#line 560 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp304_->mapped_name = _tmp306_;
#line 561 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp307_ = dev;
#line 561 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp308_ = _tmp307_->symlinks;
#line 561 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp309_ = mapped_file;
#line 561 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp308_, _tmp309_);
#line 563 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (dev);
#line 563 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						break;
#line 3886 "Device.c"
					}
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 3890 "Device.c"
				}
#line 558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (_dev_list);
#line 3894 "Device.c"
			}
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (mapped_device);
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (mapped_file);
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (f_mapped);
#line 544 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (_tmp272_);
#line 3904 "Device.c"
		}
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (info);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (enumerator);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (f_dev_mapper);
#line 3912 "Device.c"
	}
	goto __finally44;
	__catch44_g_error:
	{
		GError* e = NULL;
		GError* _tmp310_;
		const gchar* _tmp311_;
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		e = _inner_error_;
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_inner_error_ = NULL;
#line 569 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp310_ = e;
#line 569 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp311_ = _tmp310_->message;
#line 569 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp311_, FALSE, FALSE);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_error_free0 (e);
#line 3932 "Device.c"
	}
	__finally44:
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_match_info_unref0 (match);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_regex_unref0 (rex);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_clear_error (&_inner_error_);
#line 534 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return NULL;
#line 3955 "Device.c"
	}
#line 572 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp312_ = list;
#line 572 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp313_ = _g_object_ref0 (_tmp312_);
#line 572 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (device_device_list);
#line 572 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_device_list = _tmp313_;
#line 3965 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp314_;
		GeeArrayList* _tmp315_;
		gint _part_size = 0;
		GeeArrayList* _tmp316_;
		gint _tmp317_;
		gint _tmp318_;
		gint _part_index = 0;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp314_ = list;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp315_ = _g_object_ref0 (_tmp314_);
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_list = _tmp315_;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp316_ = _part_list;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp317_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp316_);
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp318_ = _tmp317_;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_size = _tmp318_;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_index = -1;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 3993 "Device.c"
			gint _tmp319_;
			gint _tmp320_;
			gint _tmp321_;
			Device* part = NULL;
			GeeArrayList* _tmp322_;
			gint _tmp323_;
			gpointer _tmp324_;
			GeeArrayList* _tmp325_;
			Device* _tmp326_;
			GeeArrayList* _tmp327_;
			Device* _tmp328_;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp319_ = _part_index;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_part_index = _tmp319_ + 1;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp320_ = _part_index;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp321_ = _part_size;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp320_ < _tmp321_)) {
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 4017 "Device.c"
			}
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp322_ = _part_list;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp323_ = _part_index;
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp324_ = gee_abstract_list_get ((GeeAbstractList*) _tmp322_, _tmp323_);
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			part = (Device*) _tmp324_;
#line 575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp325_ = list;
#line 575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp326_ = part;
#line 575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			device_find_child_devices (_tmp325_, _tmp326_);
#line 576 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp327_ = list;
#line 576 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp328_ = part;
#line 576 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			device_find_toplevel_parent (_tmp327_, _tmp328_);
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 4041 "Device.c"
		}
#line 574 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 4045 "Device.c"
	}
#line 581 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp329_ = device_lsblk_is_ancient;
#line 581 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp329_) {
#line 4051 "Device.c"
		GeeArrayList* _tmp330_;
#line 582 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp330_ = list;
#line 582 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device_find_child_devices_using_dmsetup (_tmp330_);
#line 4057 "Device.c"
	}
#line 589 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = list;
#line 589 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_match_info_unref0 (match);
#line 589 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_regex_unref0 (rex);
#line 589 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 589 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 589 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 589 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 4073 "Device.c"
}


GeeArrayList*
device_get_block_devices_using_blkid (const gchar* dev_name)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* cmd = NULL;
	gint ret_val = 0;
	GRegex* rex = NULL;
	GMatchInfo* match = NULL;
	gchar* _tmp1_ = NULL;
	gint _tmp2_;
	gint _tmp3_;
	gchar* _tmp6_;
	gboolean _tmp7_;
	const gchar* _tmp9_;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gint _tmp12_;
	gint _tmp13_;
	const gchar* _tmp23_;
	gchar** _tmp24_;
	gchar** _tmp25_;
	GeeArrayList* _tmp106_;
	gint _tmp107_;
	gint _tmp108_;
	gchar* _tmp109_;
	gchar* _tmp110_;
	GError * _inner_error_ = NULL;
#line 593 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name != NULL, NULL);
#line 598 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 598 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp0_;
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = strlen (dev_name);
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp3_ > 0) {
#line 4120 "Device.c"
		gchar* _tmp4_;
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = g_strconcat (" ", dev_name, NULL);
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp1_);
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = _tmp4_;
#line 4128 "Device.c"
	} else {
		gchar* _tmp5_;
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = g_strdup ("");
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp1_);
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = _tmp5_;
#line 4137 "Device.c"
	}
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp6_ = g_strconcat ("/sbin/blkid", _tmp1_, NULL);
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 607 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	cmd = _tmp6_;
#line 609 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp7_ = tee_jee_logging_LOG_DEBUG;
#line 609 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp7_) {
#line 4149 "Device.c"
		const gchar* _tmp8_;
#line 610 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = cmd;
#line 610 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_debug (_tmp8_);
#line 4155 "Device.c"
	}
#line 613 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp9_ = cmd;
#line 613 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp12_ = tee_jee_process_helper_exec_script_sync (_tmp9_, &_tmp10_, &_tmp11_, FALSE, FALSE, TRUE, FALSE);
#line 613 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 613 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_out = _tmp10_;
#line 613 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 613 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_err = _tmp11_;
#line 613 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	ret_val = _tmp12_;
#line 614 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp13_ = ret_val;
#line 614 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp13_ != 0) {
#line 4175 "Device.c"
		gchar* msg = NULL;
		gchar* _tmp14_;
		gchar* _tmp15_ = NULL;
		gint _tmp16_;
		gint _tmp17_;
		const gchar* _tmp20_;
		gchar* _tmp21_;
		const gchar* _tmp22_;
#line 615 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = g_strconcat ("blkid: ", _ ("Failed to get partition list"), NULL);
#line 615 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		msg = _tmp14_;
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp16_ = strlen (dev_name);
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = _tmp16_;
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp17_ > 0) {
#line 4194 "Device.c"
			gchar* _tmp18_;
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp18_ = g_strconcat (": ", dev_name, NULL);
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = _tmp18_;
#line 4202 "Device.c"
		} else {
			gchar* _tmp19_;
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp19_ = g_strdup ("");
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = _tmp19_;
#line 4211 "Device.c"
		}
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp20_ = msg;
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp21_ = g_strconcat (_tmp20_, _tmp15_, NULL);
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (msg);
#line 616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		msg = _tmp21_;
#line 617 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp22_ = msg;
#line 617 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp22_, FALSE, FALSE);
#line 618 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = list;
#line 618 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 618 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (msg);
#line 618 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp1_);
#line 618 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_match_info_unref0 (match);
#line 618 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_regex_unref0 (rex);
#line 618 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 618 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 618 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 618 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 4245 "Device.c"
	}
#line 631 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp23_ = std_out;
#line 631 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp25_ = _tmp24_ = g_strsplit (_tmp23_, "\n", 0);
#line 4251 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 631 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection = _tmp25_;
#line 631 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection_length1 = _vala_array_length (_tmp24_);
#line 631 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		for (line_it = 0; line_it < _vala_array_length (_tmp24_); line_it = line_it + 1) {
#line 4263 "Device.c"
			gchar* _tmp26_;
			gchar* line = NULL;
#line 631 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp26_ = g_strdup (line_collection[line_it]);
#line 631 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			line = _tmp26_;
#line 4270 "Device.c"
			{
				const gchar* _tmp27_;
				gchar* _tmp28_;
				gchar* _tmp29_;
				gint _tmp30_;
				gint _tmp31_;
				gboolean _tmp32_;
				Device* pi = NULL;
				Device* _tmp33_;
				Device* _tmp34_;
				const gchar* _tmp35_;
				gchar** _tmp36_;
				gchar** _tmp37_;
				gchar** _tmp38_;
				gint _tmp38__length1;
				const gchar* _tmp39_;
				gchar* _tmp40_;
				Device* _tmp41_;
				const gchar* _tmp42_;
				gint _tmp43_;
				gint _tmp44_;
				Device* _tmp45_;
				const gchar* _tmp46_;
				gboolean _tmp47_ = FALSE;
				gboolean _tmp48_ = FALSE;
				gboolean _tmp49_ = FALSE;
				Device* _tmp50_;
				const gchar* _tmp51_;
				Device* _tmp100_;
				const gchar* _tmp101_;
				gint _tmp102_;
				gint _tmp103_;
#line 632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp27_ = line;
#line 632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp28_ = string_strip (_tmp27_);
#line 632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp29_ = _tmp28_;
#line 632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp30_ = strlen (_tmp29_);
#line 632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp31_ = _tmp30_;
#line 632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp32_ = _tmp31_ == 0;
#line 632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp29_);
#line 632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp32_) {
#line 632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					continue;
#line 4323 "Device.c"
				}
#line 634 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp33_ = device_new ();
#line 634 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				pi = _tmp33_;
#line 636 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp34_ = pi;
#line 636 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp35_ = line;
#line 636 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp37_ = _tmp36_ = g_strsplit (_tmp35_, ":", 0);
#line 636 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38_ = _tmp37_;
#line 636 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38__length1 = _vala_array_length (_tmp36_);
#line 636 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp39_ = _tmp38_[0];
#line 636 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp40_ = string_strip (_tmp39_);
#line 636 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp34_->device);
#line 636 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp34_->device = _tmp40_;
#line 636 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38_ = (_vala_array_free (_tmp38_, _tmp38__length1, (GDestroyNotify) g_free), NULL);
#line 638 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp41_ = pi;
#line 638 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp42_ = _tmp41_->device;
#line 638 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp43_ = strlen (_tmp42_);
#line 638 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp44_ = _tmp43_;
#line 638 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp44_ == 0) {
#line 638 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (pi);
#line 638 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 638 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					continue;
#line 4365 "Device.c"
				}
#line 642 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp45_ = pi;
#line 642 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp46_ = _tmp45_->device;
#line 642 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (!g_str_has_prefix (_tmp46_, "/dev/")) {
#line 643 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (pi);
#line 643 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 643 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					continue;
#line 4379 "Device.c"
				}
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp50_ = pi;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp51_ = _tmp50_->device;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (g_str_has_prefix (_tmp51_, "/dev/sd")) {
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp49_ = TRUE;
#line 4389 "Device.c"
				} else {
					Device* _tmp52_;
					const gchar* _tmp53_;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp52_ = pi;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp53_ = _tmp52_->device;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp49_ = g_str_has_prefix (_tmp53_, "/dev/hd");
#line 4399 "Device.c"
				}
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp49_) {
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp48_ = TRUE;
#line 4405 "Device.c"
				} else {
					Device* _tmp54_;
					const gchar* _tmp55_;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp54_ = pi;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp55_ = _tmp54_->device;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp48_ = g_str_has_prefix (_tmp55_, "/dev/mapper/");
#line 4415 "Device.c"
				}
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp48_) {
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp47_ = TRUE;
#line 4421 "Device.c"
				} else {
					Device* _tmp56_;
					const gchar* _tmp57_;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp56_ = pi;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp57_ = _tmp56_->device;
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp47_ = g_str_has_prefix (_tmp57_, "/dev/dm");
#line 4431 "Device.c"
				}
#line 646 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp47_) {
#line 4435 "Device.c"
				} else {
					Device* _tmp58_;
					const gchar* _tmp59_;
#line 649 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp58_ = pi;
#line 649 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp59_ = _tmp58_->device;
#line 649 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (g_str_has_prefix (_tmp59_, "/dev/disk/by-uuid/")) {
#line 4445 "Device.c"
						Device* _tmp60_;
						Device* _tmp61_;
						const gchar* _tmp62_;
						gchar* _tmp63_;
#line 651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp60_ = pi;
#line 651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp61_ = pi;
#line 651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp62_ = _tmp61_->device;
#line 651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp63_ = string_replace (_tmp62_, "/dev/disk/by-uuid/", "");
#line 651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp60_->uuid);
#line 651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp60_->uuid = _tmp63_;
#line 4462 "Device.c"
					} else {
#line 654 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (pi);
#line 654 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (line);
#line 654 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						continue;
#line 4470 "Device.c"
					}
				}
				{
					GRegex* _tmp64_ = NULL;
					GRegex* _tmp65_;
					GRegex* _tmp66_;
					GRegex* _tmp67_;
					const gchar* _tmp68_;
					GMatchInfo* _tmp69_ = NULL;
					gboolean _tmp70_;
					GRegex* _tmp74_ = NULL;
					GRegex* _tmp75_;
					GRegex* _tmp76_;
					GRegex* _tmp77_;
					const gchar* _tmp78_;
					GMatchInfo* _tmp79_ = NULL;
					gboolean _tmp80_;
					GRegex* _tmp86_ = NULL;
					GRegex* _tmp87_;
					GRegex* _tmp88_;
					GRegex* _tmp89_;
					const gchar* _tmp90_;
					GMatchInfo* _tmp91_ = NULL;
					gboolean _tmp92_;
#line 660 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp65_ = g_regex_new ("LABEL=\\\"([^\\\"]*)\\\"", 0, 0, &_inner_error_);
#line 660 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp64_ = _tmp65_;
#line 660 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 4501 "Device.c"
						goto __catch46_g_error;
					}
#line 660 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp66_ = _tmp64_;
#line 660 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp64_ = NULL;
#line 660 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 660 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					rex = _tmp66_;
#line 661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp67_ = rex;
#line 661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp68_ = line;
#line 661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp70_ = g_regex_match (_tmp67_, _tmp68_, 0, &_tmp69_);
#line 661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					match = _tmp69_;
#line 661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp70_) {
#line 4524 "Device.c"
						Device* _tmp71_;
						GMatchInfo* _tmp72_;
						gchar* _tmp73_;
#line 662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp71_ = pi;
#line 662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp72_ = match;
#line 662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp73_ = g_match_info_fetch (_tmp72_, 1);
#line 662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp71_->label);
#line 662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp71_->label = _tmp73_;
#line 4538 "Device.c"
					}
#line 665 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp75_ = g_regex_new ("UUID=\\\"([^\\\"]*)\\\"", 0, 0, &_inner_error_);
#line 665 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp74_ = _tmp75_;
#line 665 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 665 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp64_);
#line 4548 "Device.c"
						goto __catch46_g_error;
					}
#line 665 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp76_ = _tmp74_;
#line 665 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp74_ = NULL;
#line 665 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 665 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					rex = _tmp76_;
#line 666 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp77_ = rex;
#line 666 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp78_ = line;
#line 666 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp80_ = g_regex_match (_tmp77_, _tmp78_, 0, &_tmp79_);
#line 666 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 666 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					match = _tmp79_;
#line 666 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp80_) {
#line 4571 "Device.c"
						Device* _tmp81_;
						GMatchInfo* _tmp82_;
						gchar* _tmp83_;
						gchar* _tmp84_;
						gchar* _tmp85_;
#line 667 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp81_ = pi;
#line 667 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp82_ = match;
#line 667 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp83_ = g_match_info_fetch (_tmp82_, 1);
#line 667 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp84_ = _tmp83_;
#line 667 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp85_ = string_strip (_tmp84_);
#line 667 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp81_->uuid);
#line 667 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp81_->uuid = _tmp85_;
#line 667 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp84_);
#line 4593 "Device.c"
					}
#line 670 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp87_ = g_regex_new ("TYPE=\\\"([^\\\"]*)\\\"", 0, 0, &_inner_error_);
#line 670 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp86_ = _tmp87_;
#line 670 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 670 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp74_);
#line 670 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp64_);
#line 4605 "Device.c"
						goto __catch46_g_error;
					}
#line 670 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp88_ = _tmp86_;
#line 670 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp86_ = NULL;
#line 670 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 670 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					rex = _tmp88_;
#line 671 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp89_ = rex;
#line 671 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp90_ = line;
#line 671 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp92_ = g_regex_match (_tmp89_, _tmp90_, 0, &_tmp91_);
#line 671 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 671 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					match = _tmp91_;
#line 671 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp92_) {
#line 4628 "Device.c"
						Device* _tmp93_;
						GMatchInfo* _tmp94_;
						gchar* _tmp95_;
						gchar* _tmp96_;
						gchar* _tmp97_;
#line 672 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp93_ = pi;
#line 672 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp94_ = match;
#line 672 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp95_ = g_match_info_fetch (_tmp94_, 1);
#line 672 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp96_ = _tmp95_;
#line 672 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp97_ = string_strip (_tmp96_);
#line 672 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp93_->fstype);
#line 672 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp93_->fstype = _tmp97_;
#line 672 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp96_);
#line 4650 "Device.c"
					}
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp86_);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp74_);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp64_);
#line 4658 "Device.c"
				}
				goto __finally46;
				__catch46_g_error:
				{
					GError* e = NULL;
					GError* _tmp98_;
					const gchar* _tmp99_;
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					e = _inner_error_;
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_inner_error_ = NULL;
#line 676 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp98_ = e;
#line 676 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp99_ = _tmp98_->message;
#line 676 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp99_, FALSE, FALSE);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_error_free0 (e);
#line 4678 "Device.c"
				}
				__finally46:
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (pi);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_tmp1_);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (cmd);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (list);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					g_clear_error (&_inner_error_);
#line 659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					return NULL;
#line 4709 "Device.c"
				}
#line 681 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp100_ = pi;
#line 681 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp101_ = _tmp100_->uuid;
#line 681 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp102_ = strlen (_tmp101_);
#line 681 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp103_ = _tmp102_;
#line 681 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp103_ > 0) {
#line 4721 "Device.c"
					GeeArrayList* _tmp104_;
					Device* _tmp105_;
#line 682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp104_ = list;
#line 682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp105_ = pi;
#line 682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp104_, _tmp105_);
#line 4730 "Device.c"
				}
#line 631 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (pi);
#line 631 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (line);
#line 4736 "Device.c"
			}
		}
#line 631 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 4741 "Device.c"
	}
#line 686 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp106_ = list;
#line 686 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp107_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp106_);
#line 686 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp108_ = _tmp107_;
#line 686 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp109_ = g_strdup_printf ("Device: get_block_devices_using_blkid(): %d", _tmp108_);
#line 686 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp110_ = _tmp109_;
#line 686 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp110_);
#line 686 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp110_);
#line 688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = list;
#line 688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_match_info_unref0 (match);
#line 688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_regex_unref0 (rex);
#line 688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 4773 "Device.c"
}


static guint64
uint64_parse (const gchar* str)
{
	guint64 result = 0ULL;
	guint64 _tmp0_;
#line 747 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 748 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_ascii_strtoull (str, NULL, (guint) 0);
#line 748 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_;
#line 748 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 4790 "Device.c"
}


GeeArrayList*
device_get_disk_space_using_df (const gchar* dev_name_or_mount_point)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* cmd = NULL;
	gint ret_val = 0;
	gchar* _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
	gboolean _tmp10_;
	const gchar* _tmp12_;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gint _tmp15_;
	gchar** lines = NULL;
	const gchar* _tmp16_;
	gchar** _tmp17_;
	gchar** _tmp18_;
	gint lines_length1;
	gint _lines_size_;
	gint line_num = 0;
	gchar** _tmp19_;
	gint _tmp19__length1;
	GeeArrayList* _tmp76_;
	gint _tmp77_;
	gint _tmp78_;
	gchar* _tmp79_;
	gchar* _tmp80_;
#line 691 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_mount_point != NULL, NULL);
#line 698 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 698 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp0_;
#line 705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("df -T -B1");
#line 705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	cmd = _tmp1_;
#line 707 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = strlen (dev_name_or_mount_point);
#line 707 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 707 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp3_ > 0) {
#line 4844 "Device.c"
		const gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 708 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = cmd;
#line 708 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = tee_jee_file_system_escape_single_quote (dev_name_or_mount_point);
#line 708 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = _tmp5_;
#line 708 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" '%s'", _tmp6_);
#line 708 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 708 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp4_, _tmp8_, NULL);
#line 708 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 708 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		cmd = _tmp9_;
#line 708 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 708 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp6_);
#line 4871 "Device.c"
	}
#line 711 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp10_ = tee_jee_logging_LOG_DEBUG;
#line 711 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp10_) {
#line 4877 "Device.c"
		const gchar* _tmp11_;
#line 712 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = cmd;
#line 712 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_debug (_tmp11_);
#line 4883 "Device.c"
	}
#line 715 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp12_ = cmd;
#line 715 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp15_ = tee_jee_process_helper_exec_sync (_tmp12_, &_tmp13_, &_tmp14_);
#line 715 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 715 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_out = _tmp13_;
#line 715 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 715 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_err = _tmp14_;
#line 715 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	ret_val = _tmp15_;
#line 730 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp16_ = std_out;
#line 730 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp18_ = _tmp17_ = g_strsplit (_tmp16_, "\n", 0);
#line 730 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	lines = _tmp18_;
#line 730 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	lines_length1 = _vala_array_length (_tmp17_);
#line 730 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_lines_size_ = lines_length1;
#line 732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	line_num = 0;
#line 733 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp19_ = lines;
#line 733 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp19__length1 = lines_length1;
#line 4915 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 733 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection = _tmp19_;
#line 733 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		line_collection_length1 = _tmp19__length1;
#line 733 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		for (line_it = 0; line_it < _tmp19__length1; line_it = line_it + 1) {
#line 4927 "Device.c"
			gchar* _tmp20_;
			gchar* line = NULL;
#line 733 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp20_ = g_strdup (line_collection[line_it]);
#line 733 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			line = _tmp20_;
#line 4934 "Device.c"
			{
				gint _tmp21_;
				gint _tmp22_;
				const gchar* _tmp23_;
				gchar* _tmp24_;
				gchar* _tmp25_;
				gint _tmp26_;
				gint _tmp27_;
				gboolean _tmp28_;
				Device* pi = NULL;
				Device* _tmp29_;
				gint k = 0;
				const gchar* _tmp30_;
				gchar** _tmp31_;
				gchar** _tmp32_;
				Device* _tmp62_;
				Device* _tmp63_;
				const gchar* _tmp64_;
				gchar* _tmp65_;
				Device* _tmp66_;
				Device* _tmp67_;
				const gchar* _tmp68_;
				gchar* _tmp69_;
				Device* _tmp70_;
				const gchar* _tmp71_;
				gint _tmp72_;
				gint _tmp73_;
#line 735 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp21_ = line_num;
#line 735 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				line_num = _tmp21_ + 1;
#line 735 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp22_ = line_num;
#line 735 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp22_ == 1) {
#line 735 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 735 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					continue;
#line 4974 "Device.c"
				}
#line 736 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp23_ = line;
#line 736 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp24_ = string_strip (_tmp23_);
#line 736 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp25_ = _tmp24_;
#line 736 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp26_ = strlen (_tmp25_);
#line 736 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp27_ = _tmp26_;
#line 736 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp28_ = _tmp27_ == 0;
#line 736 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp25_);
#line 736 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp28_) {
#line 736 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 736 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					continue;
#line 4996 "Device.c"
				}
#line 738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp29_ = device_new ();
#line 738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				pi = _tmp29_;
#line 742 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				k = 1;
#line 743 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp30_ = line;
#line 743 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp32_ = _tmp31_ = g_strsplit (_tmp30_, " ", 0);
#line 5008 "Device.c"
				{
					gchar** val_collection = NULL;
					gint val_collection_length1 = 0;
					gint _val_collection_size_ = 0;
					gint val_it = 0;
#line 743 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					val_collection = _tmp32_;
#line 743 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					val_collection_length1 = _vala_array_length (_tmp31_);
#line 743 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					for (val_it = 0; val_it < _vala_array_length (_tmp31_); val_it = val_it + 1) {
#line 5020 "Device.c"
						gchar* _tmp33_;
						gchar* val = NULL;
#line 743 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp33_ = g_strdup (val_collection[val_it]);
#line 743 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						val = _tmp33_;
#line 5027 "Device.c"
						{
							const gchar* _tmp34_;
							gchar* _tmp35_;
							gchar* _tmp36_;
							gint _tmp37_;
							gint _tmp38_;
							gboolean _tmp39_;
							gint _tmp40_;
#line 745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp34_ = val;
#line 745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp35_ = string_strip (_tmp34_);
#line 745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp36_ = _tmp35_;
#line 745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp37_ = strlen (_tmp36_);
#line 745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp38_ = _tmp37_;
#line 745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp39_ = _tmp38_ == 0;
#line 745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp36_);
#line 745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							if (_tmp39_) {
#line 745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_g_free0 (val);
#line 745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								continue;
#line 5056 "Device.c"
							}
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp40_ = k;
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							k = _tmp40_ + 1;
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							switch (_tmp40_) {
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 1:
#line 5066 "Device.c"
								{
									Device* _tmp41_;
									const gchar* _tmp42_;
									gchar* _tmp43_;
#line 749 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp41_ = pi;
#line 749 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp42_ = val;
#line 749 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp43_ = string_strip (_tmp42_);
#line 749 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp41_->device);
#line 749 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp41_->device = _tmp43_;
#line 750 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5083 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 2:
#line 5087 "Device.c"
								{
									Device* _tmp44_;
									const gchar* _tmp45_;
									gchar* _tmp46_;
#line 752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp44_ = pi;
#line 752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp45_ = val;
#line 752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp46_ = string_strip (_tmp45_);
#line 752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp44_->fstype);
#line 752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp44_->fstype = _tmp46_;
#line 753 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5104 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 3:
#line 5108 "Device.c"
								{
									Device* _tmp47_;
									const gchar* _tmp48_;
									gchar* _tmp49_;
									gchar* _tmp50_;
#line 755 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp47_ = pi;
#line 755 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp48_ = val;
#line 755 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp49_ = string_strip (_tmp48_);
#line 755 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp50_ = _tmp49_;
#line 755 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp47_->size_bytes = uint64_parse (_tmp50_);
#line 755 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp50_);
#line 756 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5128 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 4:
#line 5132 "Device.c"
								{
									Device* _tmp51_;
									const gchar* _tmp52_;
									gchar* _tmp53_;
									gchar* _tmp54_;
#line 758 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp51_ = pi;
#line 758 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp52_ = val;
#line 758 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp53_ = string_strip (_tmp52_);
#line 758 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp54_ = _tmp53_;
#line 758 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp51_->used_bytes = uint64_parse (_tmp54_);
#line 758 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp54_);
#line 759 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5152 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 5:
#line 5156 "Device.c"
								{
									Device* _tmp55_;
									const gchar* _tmp56_;
									gchar* _tmp57_;
									gchar* _tmp58_;
#line 761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp55_ = pi;
#line 761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp56_ = val;
#line 761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp57_ = string_strip (_tmp56_);
#line 761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp58_ = _tmp57_;
#line 761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp55_->available_bytes = uint64_parse (_tmp58_);
#line 761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp58_);
#line 762 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5176 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 6:
#line 5180 "Device.c"
								{
									Device* _tmp59_;
									const gchar* _tmp60_;
									gchar* _tmp61_;
#line 764 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp59_ = pi;
#line 764 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp60_ = val;
#line 764 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp61_ = string_strip (_tmp60_);
#line 764 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp59_->used_percent);
#line 764 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp59_->used_percent = _tmp61_;
#line 765 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5197 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 7:
#line 5201 "Device.c"
								{
#line 771 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5205 "Device.c"
								}
								default:
#line 747 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								break;
#line 5210 "Device.c"
							}
#line 743 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (val);
#line 5214 "Device.c"
						}
					}
#line 743 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					val_collection = (_vala_array_free (val_collection, val_collection_length1, (GDestroyNotify) g_free), NULL);
#line 5219 "Device.c"
				}
#line 784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp62_ = pi;
#line 784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp63_ = pi;
#line 784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp64_ = _tmp63_->device;
#line 784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp65_ = device_resolve_device_name (_tmp64_);
#line 784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp62_->device);
#line 784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp62_->device = _tmp65_;
#line 788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp66_ = pi;
#line 788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp67_ = pi;
#line 788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp68_ = _tmp67_->device;
#line 788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp69_ = device_get_device_uuid (_tmp68_);
#line 788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp66_->uuid);
#line 788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp66_->uuid = _tmp69_;
#line 792 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp70_ = pi;
#line 792 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp71_ = _tmp70_->uuid;
#line 792 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp72_ = strlen (_tmp71_);
#line 792 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp73_ = _tmp72_;
#line 792 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp73_ > 0) {
#line 5255 "Device.c"
					GeeArrayList* _tmp74_;
					Device* _tmp75_;
#line 793 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp74_ = list;
#line 793 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp75_ = pi;
#line 793 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp74_, _tmp75_);
#line 5264 "Device.c"
				}
#line 733 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (pi);
#line 733 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (line);
#line 5270 "Device.c"
			}
		}
	}
#line 797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp76_ = list;
#line 797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp77_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp76_);
#line 797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp78_ = _tmp77_;
#line 797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp79_ = g_strdup_printf ("Device: get_disk_space_using_df(): %d", _tmp78_);
#line 797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp80_ = _tmp79_;
#line 797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp80_);
#line 797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp80_);
#line 799 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = list;
#line 799 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	lines = (_vala_array_free (lines, lines_length1, (GDestroyNotify) g_free), NULL);
#line 799 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 799 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 799 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 799 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 5300 "Device.c"
}


GeeArrayList*
device_get_mounted_filesystems_using_mtab (void)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	gchar* mtab_path = NULL;
	gchar* _tmp1_;
	gchar* mtab_lines = NULL;
	gchar* _tmp2_;
	GFile* f = NULL;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	GFile* _tmp5_;
	GFile* _tmp6_;
	const gchar* _tmp15_;
	gchar* _tmp16_;
	gchar** lines = NULL;
	const gchar* _tmp17_;
	gchar** _tmp18_;
	gchar** _tmp19_;
	gint lines_length1;
	gint _lines_size_;
	GeeArrayList* mount_list = NULL;
	GeeArrayList* _tmp20_;
	GeeArrayList* _tmp103_;
	gint _tmp104_;
	gint _tmp105_;
	gchar* _tmp106_;
	gchar* _tmp107_;
#line 807 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 807 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp0_;
#line 809 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("/etc/mtab");
#line 809 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	mtab_path = _tmp1_;
#line 810 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = g_strdup ("");
#line 810 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	mtab_lines = _tmp2_;
#line 816 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = g_strdup ("/proc/mounts");
#line 816 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (mtab_path);
#line 816 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	mtab_path = _tmp3_;
#line 817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = mtab_path;
#line 817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = g_file_new_for_path (_tmp4_);
#line 817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (f);
#line 817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	f = _tmp5_;
#line 818 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp6_ = f;
#line 818 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (!g_file_query_exists (_tmp6_, NULL)) {
#line 5364 "Device.c"
		gchar* _tmp7_;
		const gchar* _tmp8_;
		GFile* _tmp9_;
		GFile* _tmp10_;
#line 819 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = g_strdup ("/proc/self/mounts");
#line 819 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (mtab_path);
#line 819 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		mtab_path = _tmp7_;
#line 820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = mtab_path;
#line 820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = g_file_new_for_path (_tmp8_);
#line 820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (f);
#line 820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		f = _tmp9_;
#line 821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = f;
#line 821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (!g_file_query_exists (_tmp10_, NULL)) {
#line 5387 "Device.c"
			gchar* _tmp11_;
			const gchar* _tmp12_;
			GFile* _tmp13_;
			GFile* _tmp14_;
#line 822 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = g_strdup ("/etc/mtab");
#line 822 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (mtab_path);
#line 822 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			mtab_path = _tmp11_;
#line 823 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp12_ = mtab_path;
#line 823 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = g_file_new_for_path (_tmp12_);
#line 823 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (f);
#line 823 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			f = _tmp13_;
#line 824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = f;
#line 824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!g_file_query_exists (_tmp14_, NULL)) {
#line 825 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				result = list;
#line 825 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (f);
#line 825 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (mtab_lines);
#line 825 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (mtab_path);
#line 825 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				return result;
#line 5420 "Device.c"
			}
		}
	}
#line 838 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp15_ = mtab_path;
#line 838 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp16_ = tee_jee_file_system_file_read (_tmp15_);
#line 838 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (mtab_lines);
#line 838 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	mtab_lines = _tmp16_;
#line 867 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp17_ = mtab_lines;
#line 867 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp19_ = _tmp18_ = g_strsplit (_tmp17_, "\n", 0);
#line 867 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	lines = _tmp19_;
#line 867 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	lines_length1 = _vala_array_length (_tmp18_);
#line 867 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_lines_size_ = lines_length1;
#line 868 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp20_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 868 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	mount_list = _tmp20_;
#line 5446 "Device.c"
	{
		gint i = 0;
		gchar** _tmp21_;
		gint _tmp21__length1;
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp21_ = lines;
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp21__length1 = lines_length1;
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		i = _tmp21__length1 - 1;
#line 5457 "Device.c"
		{
			gboolean _tmp22_ = FALSE;
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp22_ = TRUE;
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			while (TRUE) {
#line 5464 "Device.c"
				gint _tmp24_;
				gchar* line = NULL;
				gchar** _tmp25_;
				gint _tmp25__length1;
				gint _tmp26_;
				const gchar* _tmp27_;
				gchar* _tmp28_;
				const gchar* _tmp29_;
				gint _tmp30_;
				gint _tmp31_;
				Device* pi = NULL;
				Device* _tmp32_;
				MountEntry* mp = NULL;
				Device* _tmp33_;
				MountEntry* _tmp34_;
				gint k = 0;
				const gchar* _tmp35_;
				gchar** _tmp36_;
				gchar** _tmp37_;
				Device* _tmp69_;
				Device* _tmp70_;
				const gchar* _tmp71_;
				gchar* _tmp72_;
				Device* _tmp73_;
				Device* _tmp74_;
				const gchar* _tmp75_;
				gchar* _tmp76_;
				Device* _tmp77_;
				const gchar* _tmp78_;
				gint _tmp79_;
				gint _tmp80_;
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (!_tmp22_) {
#line 5498 "Device.c"
					gint _tmp23_;
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp23_ = i;
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					i = _tmp23_ - 1;
#line 5504 "Device.c"
				}
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp22_ = FALSE;
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp24_ = i;
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (!(_tmp24_ >= 0)) {
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					break;
#line 5514 "Device.c"
				}
#line 872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp25_ = lines;
#line 872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp25__length1 = lines_length1;
#line 872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp26_ = i;
#line 872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp27_ = _tmp25_[_tmp26_];
#line 872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp28_ = string_strip (_tmp27_);
#line 872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				line = _tmp28_;
#line 873 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp29_ = line;
#line 873 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp30_ = strlen (_tmp29_);
#line 873 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp31_ = _tmp30_;
#line 873 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp31_ == 0) {
#line 873 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (line);
#line 873 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					continue;
#line 5540 "Device.c"
				}
#line 875 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp32_ = device_new ();
#line 875 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				pi = _tmp32_;
#line 877 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp33_ = pi;
#line 877 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp34_ = mount_entry_new (_tmp33_, "", "");
#line 877 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				mp = _tmp34_;
#line 881 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				k = 1;
#line 882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp35_ = line;
#line 882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp37_ = _tmp36_ = g_strsplit (_tmp35_, " ", 0);
#line 5558 "Device.c"
				{
					gchar** val_collection = NULL;
					gint val_collection_length1 = 0;
					gint _val_collection_size_ = 0;
					gint val_it = 0;
#line 882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					val_collection = _tmp37_;
#line 882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					val_collection_length1 = _vala_array_length (_tmp36_);
#line 882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					for (val_it = 0; val_it < _vala_array_length (_tmp36_); val_it = val_it + 1) {
#line 5570 "Device.c"
						gchar* _tmp38_;
						gchar* val = NULL;
#line 882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp38_ = g_strdup (val_collection[val_it]);
#line 882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						val = _tmp38_;
#line 5577 "Device.c"
						{
							const gchar* _tmp39_;
							gchar* _tmp40_;
							gchar* _tmp41_;
							gint _tmp42_;
							gint _tmp43_;
							gboolean _tmp44_;
							gint _tmp45_;
#line 883 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp39_ = val;
#line 883 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp40_ = string_strip (_tmp39_);
#line 883 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp41_ = _tmp40_;
#line 883 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp42_ = strlen (_tmp41_);
#line 883 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp43_ = _tmp42_;
#line 883 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp44_ = _tmp43_ == 0;
#line 883 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (_tmp41_);
#line 883 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							if (_tmp44_) {
#line 883 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_g_free0 (val);
#line 883 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								continue;
#line 5606 "Device.c"
							}
#line 884 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp45_ = k;
#line 884 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							k = _tmp45_ + 1;
#line 884 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							switch (_tmp45_) {
#line 884 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 1:
#line 5616 "Device.c"
								{
									Device* _tmp46_;
									const gchar* _tmp47_;
									gchar* _tmp48_;
#line 886 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp46_ = pi;
#line 886 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp47_ = val;
#line 886 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp48_ = string_strip (_tmp47_);
#line 886 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp46_->device);
#line 886 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp46_->device = _tmp48_;
#line 887 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5633 "Device.c"
								}
#line 884 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 2:
#line 5637 "Device.c"
								{
									MountEntry* _tmp49_;
									const gchar* _tmp50_;
									gchar* _tmp51_;
									gchar* _tmp52_;
									gchar* _tmp53_;
									GeeArrayList* _tmp54_;
									MountEntry* _tmp55_;
									const gchar* _tmp56_;
#line 889 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp49_ = mp;
#line 889 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp50_ = val;
#line 889 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp51_ = string_strip (_tmp50_);
#line 889 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp52_ = _tmp51_;
#line 889 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp53_ = string_replace (_tmp52_, "\\040", " ");
#line 889 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp49_->mount_point);
#line 889 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp49_->mount_point = _tmp53_;
#line 889 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp52_);
#line 890 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp54_ = mount_list;
#line 890 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp55_ = mp;
#line 890 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp56_ = _tmp55_->mount_point;
#line 890 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									if (!gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp54_, _tmp56_)) {
#line 5671 "Device.c"
										GeeArrayList* _tmp57_;
										MountEntry* _tmp58_;
										const gchar* _tmp59_;
										Device* _tmp60_;
										GeeArrayList* _tmp61_;
										MountEntry* _tmp62_;
#line 891 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_tmp57_ = mount_list;
#line 891 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_tmp58_ = mp;
#line 891 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_tmp59_ = _tmp58_->mount_point;
#line 891 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										gee_abstract_collection_add ((GeeAbstractCollection*) _tmp57_, _tmp59_);
#line 892 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_tmp60_ = pi;
#line 892 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_tmp61_ = _tmp60_->mount_points;
#line 892 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_tmp62_ = mp;
#line 892 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										gee_abstract_collection_add ((GeeAbstractCollection*) _tmp61_, _tmp62_);
#line 5694 "Device.c"
									}
#line 894 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5698 "Device.c"
								}
#line 884 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 3:
#line 5702 "Device.c"
								{
									Device* _tmp63_;
									const gchar* _tmp64_;
									gchar* _tmp65_;
#line 896 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp63_ = pi;
#line 896 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp64_ = val;
#line 896 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp65_ = string_strip (_tmp64_);
#line 896 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp63_->fstype);
#line 896 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp63_->fstype = _tmp65_;
#line 897 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5719 "Device.c"
								}
#line 884 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								case 4:
#line 5723 "Device.c"
								{
									MountEntry* _tmp66_;
									const gchar* _tmp67_;
									gchar* _tmp68_;
#line 899 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp66_ = mp;
#line 899 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp67_ = val;
#line 899 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp68_ = string_strip (_tmp67_);
#line 899 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (_tmp66_->mount_options);
#line 899 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp66_->mount_options = _tmp68_;
#line 900 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5740 "Device.c"
								}
								default:
								{
#line 903 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5746 "Device.c"
								}
							}
#line 882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (val);
#line 5751 "Device.c"
						}
					}
#line 882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					val_collection = (_vala_array_free (val_collection, val_collection_length1, (GDestroyNotify) g_free), NULL);
#line 5756 "Device.c"
				}
#line 909 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp69_ = pi;
#line 909 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp70_ = pi;
#line 909 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp71_ = _tmp70_->device;
#line 909 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp72_ = device_resolve_device_name (_tmp71_);
#line 909 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp69_->device);
#line 909 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp69_->device = _tmp72_;
#line 913 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp73_ = pi;
#line 913 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp74_ = pi;
#line 913 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp75_ = _tmp74_->device;
#line 913 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp76_ = device_get_device_uuid (_tmp75_);
#line 913 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp73_->uuid);
#line 913 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp73_->uuid = _tmp76_;
#line 917 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp77_ = pi;
#line 917 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp78_ = _tmp77_->uuid;
#line 917 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp79_ = strlen (_tmp78_);
#line 917 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp80_ = _tmp79_;
#line 917 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp80_ > 0) {
#line 5792 "Device.c"
					Device* dev = NULL;
					GeeArrayList* _tmp81_;
					Device* _tmp82_;
					const gchar* _tmp83_;
					Device* _tmp84_;
					Device* _tmp85_;
#line 918 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp81_ = list;
#line 918 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp82_ = pi;
#line 918 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp83_ = _tmp82_->uuid;
#line 918 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp84_ = device_find_device_in_list (_tmp81_, _tmp83_);
#line 918 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					dev = _tmp84_;
#line 919 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp85_ = dev;
#line 919 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp85_ == NULL) {
#line 5813 "Device.c"
						GeeArrayList* _tmp86_;
						Device* _tmp87_;
#line 920 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp86_ = list;
#line 920 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp87_ = pi;
#line 920 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp86_, _tmp87_);
#line 5822 "Device.c"
					} else {
						{
							GeeArrayList* _item_list = NULL;
							Device* _tmp88_;
							GeeArrayList* _tmp89_;
							GeeArrayList* _tmp90_;
							gint _item_size = 0;
							GeeArrayList* _tmp91_;
							gint _tmp92_;
							gint _tmp93_;
							gint _item_index = 0;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp88_ = pi;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp89_ = _tmp88_->mount_points;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp90_ = _g_object_ref0 (_tmp89_);
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_item_list = _tmp90_;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp91_ = _item_list;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp92_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp91_);
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp93_ = _tmp92_;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_item_size = _tmp93_;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_item_index = -1;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							while (TRUE) {
#line 5854 "Device.c"
								gint _tmp94_;
								gint _tmp95_;
								gint _tmp96_;
								MountEntry* item = NULL;
								GeeArrayList* _tmp97_;
								gint _tmp98_;
								gpointer _tmp99_;
								Device* _tmp100_;
								GeeArrayList* _tmp101_;
								MountEntry* _tmp102_;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp94_ = _item_index;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_item_index = _tmp94_ + 1;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp95_ = _item_index;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp96_ = _item_size;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								if (!(_tmp95_ < _tmp96_)) {
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									break;
#line 5877 "Device.c"
								}
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp97_ = _item_list;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp98_ = _item_index;
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp99_ = gee_abstract_list_get ((GeeAbstractList*) _tmp97_, _tmp98_);
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								item = (MountEntry*) _tmp99_;
#line 925 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp100_ = dev;
#line 925 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp101_ = _tmp100_->mount_points;
#line 925 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp102_ = item;
#line 925 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								gee_abstract_collection_add ((GeeAbstractCollection*) _tmp101_, _tmp102_);
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_g_object_unref0 (item);
#line 5897 "Device.c"
							}
#line 924 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_object_unref0 (_item_list);
#line 5901 "Device.c"
						}
					}
#line 917 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 5906 "Device.c"
				}
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (mp);
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (pi);
#line 870 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (line);
#line 5914 "Device.c"
			}
		}
	}
#line 931 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp103_ = list;
#line 931 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp104_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp103_);
#line 931 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp105_ = _tmp104_;
#line 931 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp106_ = g_strdup_printf ("Device: get_mounted_filesystems_using_mtab(): %d", _tmp105_);
#line 931 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp107_ = _tmp106_;
#line 931 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp107_);
#line 931 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp107_);
#line 933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = list;
#line 933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (mount_list);
#line 933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	lines = (_vala_array_free (lines, lines_length1, (GDestroyNotify) g_free), NULL);
#line 933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (f);
#line 933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (mtab_lines);
#line 933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (mtab_path);
#line 933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 5946 "Device.c"
}


Device*
device_get_device_by_uuid (const gchar* uuid)
{
	Device* result = NULL;
	GeeArrayList* _tmp0_;
	Device* _tmp1_;
#line 938 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (uuid != NULL, NULL);
#line 940 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 940 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = device_find_device_in_list (_tmp0_, uuid);
#line 940 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp1_;
#line 940 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 5966 "Device.c"
}


Device*
device_get_device_by_name (const gchar* file_name)
{
	Device* result = NULL;
	GeeArrayList* _tmp0_;
	Device* _tmp1_;
#line 943 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (file_name != NULL, NULL);
#line 945 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 945 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = device_find_device_in_list (_tmp0_, file_name);
#line 945 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp1_;
#line 945 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 5986 "Device.c"
}


Device*
device_get_device_by_path (const gchar* path_to_check)
{
	Device* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
#line 948 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (path_to_check != NULL, NULL);
#line 950 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_get_disk_space_using_df (path_to_check);
#line 950 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp0_;
#line 952 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = list;
#line 952 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 952 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 952 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp3_ > 0) {
#line 6013 "Device.c"
		GeeArrayList* _tmp4_;
		gpointer _tmp5_;
#line 953 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = list;
#line 953 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = gee_abstract_list_get ((GeeAbstractList*) _tmp4_, 0);
#line 953 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = (Device*) _tmp5_;
#line 953 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 953 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 6026 "Device.c"
	}
#line 956 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = NULL;
#line 956 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 956 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 6034 "Device.c"
}


gchar*
device_get_device_uuid (const gchar* device)
{
	gchar* result = NULL;
	GeeArrayList* _tmp0_;
	gchar* _tmp18_;
#line 959 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (device != NULL, NULL);
#line 961 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 961 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp0_ == NULL) {
#line 6050 "Device.c"
		GeeArrayList* _tmp1_;
#line 962 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = device_get_block_devices_using_lsblk ("");
#line 962 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (device_device_list);
#line 962 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device_device_list = _tmp1_;
#line 6058 "Device.c"
	}
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp2_;
		GeeArrayList* _tmp3_;
		gint _dev_size = 0;
		GeeArrayList* _tmp4_;
		gint _tmp5_;
		gint _tmp6_;
		gint _dev_index = 0;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = device_device_list;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = _g_object_ref0 (_tmp2_);
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_list = _tmp3_;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _dev_list;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = _tmp5_;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_size = _tmp6_;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_index = -1;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 6087 "Device.c"
			gint _tmp7_;
			gint _tmp8_;
			gint _tmp9_;
			Device* dev = NULL;
			GeeArrayList* _tmp10_;
			gint _tmp11_;
			gpointer _tmp12_;
			Device* _tmp13_;
			const gchar* _tmp14_;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp7_ = _dev_index;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_index = _tmp7_ + 1;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = _dev_size;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp8_ < _tmp9_)) {
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 6109 "Device.c"
			}
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp10_ = _dev_list;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = _dev_index;
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev = (Device*) _tmp12_;
#line 965 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = dev;
#line 965 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = _tmp13_->device;
#line 965 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp14_, device) == 0) {
#line 6125 "Device.c"
				Device* _tmp15_;
				const gchar* _tmp16_;
				gchar* _tmp17_;
#line 966 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp15_ = dev;
#line 966 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp16_ = _tmp15_->uuid;
#line 966 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp17_ = g_strdup (_tmp16_);
#line 966 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				result = _tmp17_;
#line 966 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 966 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (_dev_list);
#line 966 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				return result;
#line 6143 "Device.c"
			}
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 6147 "Device.c"
		}
#line 964 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 6151 "Device.c"
	}
#line 970 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp18_ = g_strdup ("");
#line 970 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp18_;
#line 970 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 6159 "Device.c"
}


GeeArrayList*
device_get_device_mount_points (const gchar* dev_name_or_uuid)
{
	GeeArrayList* result = NULL;
	gchar* device = NULL;
	gchar* _tmp0_;
	gchar* uuid = NULL;
	gchar* _tmp1_;
	GeeArrayList* list_mtab = NULL;
	GeeArrayList* _tmp9_;
	Device* dev = NULL;
	GeeArrayList* _tmp10_;
	const gchar* _tmp11_;
	Device* _tmp12_;
	Device* _tmp13_;
#line 973 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, NULL);
#line 974 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 974 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device = _tmp0_;
#line 975 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 975 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	uuid = _tmp1_;
#line 977 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (g_str_has_prefix (dev_name_or_uuid, "/dev")) {
#line 6190 "Device.c"
		gchar* _tmp2_;
		gchar* _tmp3_;
#line 978 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = g_strdup (dev_name_or_uuid);
#line 978 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 978 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device = _tmp2_;
#line 979 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = device_get_device_uuid (dev_name_or_uuid);
#line 979 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 979 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		uuid = _tmp3_;
#line 6205 "Device.c"
	} else {
		gchar* _tmp4_;
		const gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_;
#line 982 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = g_strdup (dev_name_or_uuid);
#line 982 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 982 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		uuid = _tmp4_;
#line 983 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = uuid;
#line 983 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp5_);
#line 983 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 983 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device = _tmp6_;
#line 984 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = device;
#line 984 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = device_resolve_device_name (_tmp7_);
#line 984 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 984 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device = _tmp8_;
#line 6234 "Device.c"
	}
#line 987 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp9_ = device_get_mounted_filesystems_using_mtab ();
#line 987 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list_mtab = _tmp9_;
#line 989 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp10_ = list_mtab;
#line 989 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp11_ = uuid;
#line 989 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp12_ = device_find_device_in_list (_tmp10_, _tmp11_);
#line 989 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	dev = _tmp12_;
#line 991 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp13_ = dev;
#line 991 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp13_ != NULL) {
#line 6252 "Device.c"
		Device* _tmp14_;
		GeeArrayList* _tmp15_;
		GeeArrayList* _tmp16_;
#line 992 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = dev;
#line 992 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp15_ = _tmp14_->mount_points;
#line 992 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp16_ = _g_object_ref0 (_tmp15_);
#line 992 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp16_;
#line 992 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 992 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list_mtab);
#line 992 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 992 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 992 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 6274 "Device.c"
	} else {
		GeeArrayList* _tmp17_;
#line 995 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = gee_array_list_new (TYPE_MOUNT_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 995 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp17_;
#line 995 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 995 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list_mtab);
#line 995 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 995 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 995 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 6291 "Device.c"
	}
#line 973 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (dev);
#line 973 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list_mtab);
#line 973 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (uuid);
#line 973 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (device);
#line 6301 "Device.c"
}


gboolean
device_device_is_mounted (const gchar* dev_name_or_uuid)
{
	gboolean result = FALSE;
	GeeArrayList* mps = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
#line 999 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1001 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_get_device_mount_points (dev_name_or_uuid);
#line 1001 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	mps = _tmp0_;
#line 1002 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = mps;
#line 1002 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 1002 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1002 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp3_ > 0) {
#line 1003 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = TRUE;
#line 1003 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (mps);
#line 1003 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 6334 "Device.c"
	}
#line 1006 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = FALSE;
#line 1006 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (mps);
#line 1006 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 6342 "Device.c"
}


gboolean
device_mount_point_in_use (const gchar* mount_point)
{
	gboolean result = FALSE;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
#line 1009 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (mount_point != NULL, FALSE);
#line 1010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_get_mounted_filesystems_using_mtab ();
#line 1010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp0_;
#line 6358 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp1_;
		GeeArrayList* _tmp2_;
		gint _dev_size = 0;
		GeeArrayList* _tmp3_;
		gint _tmp4_;
		gint _tmp5_;
		gint _dev_index = 0;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = list;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = _g_object_ref0 (_tmp1_);
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_list = _tmp2_;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = _dev_list;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_size = _tmp5_;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_index = -1;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 6386 "Device.c"
			gint _tmp6_;
			gint _tmp7_;
			gint _tmp8_;
			Device* dev = NULL;
			GeeArrayList* _tmp9_;
			gint _tmp10_;
			gpointer _tmp11_;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp6_ = _dev_index;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_index = _tmp6_ + 1;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp7_ = _dev_index;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp8_ = _dev_size;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp7_ < _tmp8_)) {
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 6406 "Device.c"
			}
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = _dev_list;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp10_ = _dev_index;
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev = (Device*) _tmp11_;
#line 6416 "Device.c"
			{
				GeeArrayList* _mp_list = NULL;
				Device* _tmp12_;
				GeeArrayList* _tmp13_;
				GeeArrayList* _tmp14_;
				gint _mp_size = 0;
				GeeArrayList* _tmp15_;
				gint _tmp16_;
				gint _tmp17_;
				gint _mp_index = 0;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp12_ = dev;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp13_ = _tmp12_->mount_points;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp14_ = _g_object_ref0 (_tmp13_);
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_mp_list = _tmp14_;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp15_ = _mp_list;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp16_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp15_);
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp17_ = _tmp16_;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_mp_size = _tmp17_;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_mp_index = -1;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				while (TRUE) {
#line 6447 "Device.c"
					gint _tmp18_;
					gint _tmp19_;
					gint _tmp20_;
					MountEntry* mp = NULL;
					GeeArrayList* _tmp21_;
					gint _tmp22_;
					gpointer _tmp23_;
					MountEntry* _tmp24_;
					const gchar* _tmp25_;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp18_ = _mp_index;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_mp_index = _tmp18_ + 1;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp19_ = _mp_index;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp20_ = _mp_size;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (!(_tmp19_ < _tmp20_)) {
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						break;
#line 6469 "Device.c"
					}
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp21_ = _mp_list;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp22_ = _mp_index;
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp23_ = gee_abstract_list_get ((GeeAbstractList*) _tmp21_, _tmp22_);
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					mp = (MountEntry*) _tmp23_;
#line 1013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp24_ = mp;
#line 1013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp25_ = _tmp24_->mount_point;
#line 1013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (g_str_has_prefix (_tmp25_, mount_point)) {
#line 1015 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						result = TRUE;
#line 1015 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (mp);
#line 1015 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (_mp_list);
#line 1015 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (dev);
#line 1015 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (_dev_list);
#line 1015 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (list);
#line 1015 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						return result;
#line 6499 "Device.c"
					}
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (mp);
#line 6503 "Device.c"
				}
#line 1012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (_mp_list);
#line 6507 "Device.c"
			}
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 6511 "Device.c"
		}
#line 1011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 6515 "Device.c"
	}
#line 1019 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = FALSE;
#line 1019 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1019 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 6523 "Device.c"
}


gchar*
device_resolve_device_name (const gchar* dev_alias)
{
	gchar* result = NULL;
	Device* dev = NULL;
	GeeArrayList* _tmp0_;
	Device* _tmp1_;
	Device* _tmp2_;
#line 1022 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (dev_alias != NULL, NULL);
#line 1024 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 1024 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = device_find_device_in_list (_tmp0_, dev_alias);
#line 1024 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	dev = _tmp1_;
#line 1026 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = dev;
#line 1026 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp2_ != NULL) {
#line 6547 "Device.c"
		Device* _tmp3_;
		const gchar* _tmp4_;
		gchar* _tmp5_;
#line 1027 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = dev;
#line 1027 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp3_->device;
#line 1027 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = g_strdup (_tmp4_);
#line 1027 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp5_;
#line 1027 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1027 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 6563 "Device.c"
	} else {
		gchar* _tmp6_;
#line 1030 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = g_strdup (dev_alias);
#line 1030 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp6_;
#line 1030 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1030 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 6574 "Device.c"
	}
#line 1022 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (dev);
#line 6578 "Device.c"
}


Device*
device_find_device_in_list (GeeArrayList* list,
                            const gchar* _dev_alias)
{
	Device* result = NULL;
	gchar* dev_alias = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gboolean _tmp4_;
#line 1034 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (list != NULL, NULL);
#line 1034 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (_dev_alias != NULL, NULL);
#line 1036 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup (_dev_alias);
#line 1036 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	dev_alias = _tmp0_;
#line 1038 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = dev_alias;
#line 1038 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = g_utf8_strdown (_tmp1_, (gssize) -1);
#line 1038 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1038 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = g_str_has_prefix (_tmp3_, "uuid=");
#line 1038 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 1038 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp4_) {
#line 6613 "Device.c"
		const gchar* _tmp5_;
		gchar** _tmp6_;
		gchar** _tmp7_;
		gchar** _tmp8_;
		gint _tmp8__length1;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = dev_alias;
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "=", 2);
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8__length1 = _vala_array_length (_tmp6_);
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = _tmp8_[1];
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = string_strip (_tmp9_);
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = _tmp10_;
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp12_ = g_utf8_strdown (_tmp11_, (gssize) -1);
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (dev_alias);
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		dev_alias = _tmp12_;
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp11_);
#line 1040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = (_vala_array_free (_tmp8_, _tmp8__length1, (GDestroyNotify) g_free), NULL);
#line 6647 "Device.c"
	} else {
		gboolean _tmp13_ = FALSE;
		const gchar* _tmp14_;
#line 1042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = dev_alias;
#line 1042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (tee_jee_file_system_file_exists (_tmp14_)) {
#line 6655 "Device.c"
			const gchar* _tmp15_;
#line 1042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = dev_alias;
#line 1042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = tee_jee_file_system_file_is_symlink (_tmp15_);
#line 6661 "Device.c"
		} else {
#line 1042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = FALSE;
#line 6665 "Device.c"
		}
#line 1042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp13_) {
#line 6669 "Device.c"
			gchar* link_path = NULL;
			const gchar* _tmp16_;
			gchar* _tmp17_;
			const gchar* _tmp18_;
			gchar* _tmp19_;
			gchar* _tmp20_;
			gchar* _tmp21_;
			gchar* _tmp22_;
			gchar* _tmp23_;
#line 1044 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp16_ = dev_alias;
#line 1044 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp17_ = tee_jee_file_system_file_get_symlink_target (_tmp16_);
#line 1044 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			link_path = _tmp17_;
#line 1046 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp18_ = link_path;
#line 1046 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp19_ = string_replace (_tmp18_, "../../../", "/dev/");
#line 1046 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp20_ = _tmp19_;
#line 1046 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp21_ = string_replace (_tmp20_, "../../", "/dev/");
#line 1046 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp22_ = _tmp21_;
#line 1046 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp23_ = string_replace (_tmp22_, "../", "/dev/");
#line 1046 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (dev_alias);
#line 1046 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev_alias = _tmp23_;
#line 1046 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp22_);
#line 1046 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp20_);
#line 1042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (link_path);
#line 6707 "Device.c"
		}
	}
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp24_;
		gint _dev_size = 0;
		GeeArrayList* _tmp25_;
		gint _tmp26_;
		gint _tmp27_;
		gint _dev_index = 0;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp24_ = _g_object_ref0 (list);
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_list = _tmp24_;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp25_ = _dev_list;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp26_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp25_);
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp27_ = _tmp26_;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_size = _tmp27_;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_index = -1;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 6734 "Device.c"
			gint _tmp28_;
			gint _tmp29_;
			gint _tmp30_;
			Device* dev = NULL;
			GeeArrayList* _tmp31_;
			gint _tmp32_;
			gpointer _tmp33_;
			Device* _tmp34_;
			const gchar* _tmp35_;
			const gchar* _tmp36_;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp28_ = _dev_index;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_index = _tmp28_ + 1;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp29_ = _dev_index;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp30_ = _dev_size;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp29_ < _tmp30_)) {
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 6757 "Device.c"
			}
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp31_ = _dev_list;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp32_ = _dev_index;
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp33_ = gee_abstract_list_get ((GeeAbstractList*) _tmp31_, _tmp32_);
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev = (Device*) _tmp33_;
#line 1051 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp34_ = dev;
#line 1051 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp35_ = _tmp34_->device;
#line 1051 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp36_ = dev_alias;
#line 1051 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp35_, _tmp36_) == 0) {
#line 1052 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				result = dev;
#line 1052 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (_dev_list);
#line 1052 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (dev_alias);
#line 1052 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				return result;
#line 6783 "Device.c"
			} else {
				Device* _tmp37_;
				const gchar* _tmp38_;
				const gchar* _tmp39_;
#line 1054 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp37_ = dev;
#line 1054 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38_ = _tmp37_->uuid;
#line 1054 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp39_ = dev_alias;
#line 1054 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp38_, _tmp39_) == 0) {
#line 1055 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					result = dev;
#line 1055 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (_dev_list);
#line 1055 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (dev_alias);
#line 1055 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					return result;
#line 6804 "Device.c"
				} else {
					Device* _tmp40_;
					const gchar* _tmp41_;
					const gchar* _tmp42_;
#line 1057 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp40_ = dev;
#line 1057 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp41_ = _tmp40_->label;
#line 1057 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp42_ = dev_alias;
#line 1057 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (g_strcmp0 (_tmp41_, _tmp42_) == 0) {
#line 1058 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						result = dev;
#line 1058 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_object_unref0 (_dev_list);
#line 1058 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (dev_alias);
#line 1058 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						return result;
#line 6825 "Device.c"
					} else {
						Device* _tmp43_;
						const gchar* _tmp44_;
						const gchar* _tmp45_;
#line 1060 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp43_ = dev;
#line 1060 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp44_ = _tmp43_->partuuid;
#line 1060 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp45_ = dev_alias;
#line 1060 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						if (g_strcmp0 (_tmp44_, _tmp45_) == 0) {
#line 1061 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							result = dev;
#line 1061 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_object_unref0 (_dev_list);
#line 1061 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_g_free0 (dev_alias);
#line 1061 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							return result;
#line 6846 "Device.c"
						} else {
							Device* _tmp46_;
							const gchar* _tmp47_;
							const gchar* _tmp48_;
#line 1063 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp46_ = dev;
#line 1063 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp47_ = _tmp46_->partlabel;
#line 1063 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							_tmp48_ = dev_alias;
#line 1063 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
							if (g_strcmp0 (_tmp47_, _tmp48_) == 0) {
#line 1064 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								result = dev;
#line 1064 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_g_object_unref0 (_dev_list);
#line 1064 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_g_free0 (dev_alias);
#line 1064 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								return result;
#line 6867 "Device.c"
							} else {
								Device* _tmp49_;
								const gchar* _tmp50_;
								const gchar* _tmp51_;
#line 1066 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp49_ = dev;
#line 1066 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp50_ = _tmp49_->device_by_uuid;
#line 1066 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								_tmp51_ = dev_alias;
#line 1066 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
								if (g_strcmp0 (_tmp50_, _tmp51_) == 0) {
#line 1067 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									result = dev;
#line 1067 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_object_unref0 (_dev_list);
#line 1067 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_g_free0 (dev_alias);
#line 1067 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									return result;
#line 6888 "Device.c"
								} else {
									Device* _tmp52_;
									const gchar* _tmp53_;
									const gchar* _tmp54_;
#line 1069 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp52_ = dev;
#line 1069 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp53_ = _tmp52_->device_by_label;
#line 1069 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									_tmp54_ = dev_alias;
#line 1069 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
									if (g_strcmp0 (_tmp53_, _tmp54_) == 0) {
#line 1070 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										result = dev;
#line 1070 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_g_object_unref0 (_dev_list);
#line 1070 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_g_free0 (dev_alias);
#line 1070 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										return result;
#line 6909 "Device.c"
									} else {
										Device* _tmp55_;
										const gchar* _tmp56_;
										const gchar* _tmp57_;
#line 1072 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_tmp55_ = dev;
#line 1072 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_tmp56_ = _tmp55_->device_by_partuuid;
#line 1072 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										_tmp57_ = dev_alias;
#line 1072 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
										if (g_strcmp0 (_tmp56_, _tmp57_) == 0) {
#line 1073 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
											result = dev;
#line 1073 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
											_g_object_unref0 (_dev_list);
#line 1073 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
											_g_free0 (dev_alias);
#line 1073 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
											return result;
#line 6930 "Device.c"
										} else {
											Device* _tmp58_;
											const gchar* _tmp59_;
											const gchar* _tmp60_;
#line 1075 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
											_tmp58_ = dev;
#line 1075 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
											_tmp59_ = _tmp58_->device_by_partlabel;
#line 1075 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
											_tmp60_ = dev_alias;
#line 1075 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
											if (g_strcmp0 (_tmp59_, _tmp60_) == 0) {
#line 1076 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
												result = dev;
#line 1076 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
												_g_object_unref0 (_dev_list);
#line 1076 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
												_g_free0 (dev_alias);
#line 1076 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
												return result;
#line 6951 "Device.c"
											} else {
												Device* _tmp61_;
												const gchar* _tmp62_;
												const gchar* _tmp63_;
#line 1078 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
												_tmp61_ = dev;
#line 1078 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
												_tmp62_ = _tmp61_->device_mapper;
#line 1078 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
												_tmp63_ = dev_alias;
#line 1078 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
												if (g_strcmp0 (_tmp62_, _tmp63_) == 0) {
#line 1079 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
													result = dev;
#line 1079 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
													_g_object_unref0 (_dev_list);
#line 1079 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
													_g_free0 (dev_alias);
#line 1079 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
													return result;
#line 6972 "Device.c"
												} else {
													Device* _tmp64_;
													const gchar* _tmp65_;
													const gchar* _tmp66_;
#line 1081 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
													_tmp64_ = dev;
#line 1081 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
													_tmp65_ = _tmp64_->mapped_name;
#line 1081 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
													_tmp66_ = dev_alias;
#line 1081 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
													if (g_strcmp0 (_tmp65_, _tmp66_) == 0) {
#line 1082 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
														result = dev;
#line 1082 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
														_g_object_unref0 (_dev_list);
#line 1082 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
														_g_free0 (dev_alias);
#line 1082 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
														return result;
#line 6993 "Device.c"
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 7007 "Device.c"
		}
#line 1049 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 7011 "Device.c"
	}
#line 1086 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = NULL;
#line 1086 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (dev_alias);
#line 1086 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 7019 "Device.c"
}


void
device_copy_fields_from (Device* self,
                         Device* dev2)
{
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	const gchar* _tmp8_;
	gchar* _tmp9_;
	const gchar* _tmp10_;
	gchar* _tmp11_;
	const gchar* _tmp12_;
	gchar* _tmp13_;
	const gchar* _tmp14_;
	gchar* _tmp15_;
	const gchar* _tmp16_;
	gchar* _tmp17_;
	guint64 _tmp18_;
	guint64 _tmp19_;
	guint64 _tmp20_;
	GeeArrayList* _tmp21_;
	GeeArrayList* _tmp22_;
	GeeArrayList* _tmp23_;
	GeeArrayList* _tmp24_;
	Device* _tmp25_;
	Device* _tmp26_;
	GeeArrayList* _tmp27_;
	GeeArrayList* _tmp28_;
	const gchar* _tmp29_;
	gchar* _tmp30_;
	const gchar* _tmp31_;
	gchar* _tmp32_;
	const gchar* _tmp33_;
	gchar* _tmp34_;
	const gchar* _tmp35_;
	gchar* _tmp36_;
	gboolean _tmp37_;
	gboolean _tmp38_;
#line 1089 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (self != NULL);
#line 1089 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (dev2 != NULL);
#line 1091 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = dev2->device;
#line 1091 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1091 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->device);
#line 1091 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->device = _tmp1_;
#line 1092 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = dev2->name;
#line 1092 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 1092 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->name);
#line 1092 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->name = _tmp3_;
#line 1093 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = dev2->kname;
#line 1093 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = g_strdup (_tmp4_);
#line 1093 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->kname);
#line 1093 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->kname = _tmp5_;
#line 1094 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp6_ = dev2->pkname;
#line 1094 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp7_ = g_strdup (_tmp6_);
#line 1094 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->pkname);
#line 1094 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->pkname = _tmp7_;
#line 1095 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp8_ = dev2->label;
#line 1095 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp9_ = g_strdup (_tmp8_);
#line 1095 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->label);
#line 1095 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->label = _tmp9_;
#line 1096 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp10_ = dev2->uuid;
#line 1096 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp11_ = g_strdup (_tmp10_);
#line 1096 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->uuid);
#line 1096 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->uuid = _tmp11_;
#line 1097 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp12_ = dev2->mapped_name;
#line 1097 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp13_ = g_strdup (_tmp12_);
#line 1097 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->mapped_name);
#line 1097 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->mapped_name = _tmp13_;
#line 1099 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp14_ = dev2->type;
#line 1099 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp15_ = g_strdup (_tmp14_);
#line 1099 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->type);
#line 1099 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->type = _tmp15_;
#line 1100 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp16_ = dev2->fstype;
#line 1100 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp17_ = g_strdup (_tmp16_);
#line 1100 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->fstype);
#line 1100 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->fstype = _tmp17_;
#line 1102 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp18_ = dev2->size_bytes;
#line 1102 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->size_bytes = _tmp18_;
#line 1103 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp19_ = dev2->used_bytes;
#line 1103 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->used_bytes = _tmp19_;
#line 1104 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp20_ = dev2->available_bytes;
#line 1104 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->available_bytes = _tmp20_;
#line 1106 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp21_ = dev2->mount_points;
#line 1106 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp22_ = _g_object_ref0 (_tmp21_);
#line 1106 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->mount_points);
#line 1106 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->mount_points = _tmp22_;
#line 1107 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp23_ = dev2->symlinks;
#line 1107 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp24_ = _g_object_ref0 (_tmp23_);
#line 1107 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->symlinks);
#line 1107 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->symlinks = _tmp24_;
#line 1108 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp25_ = dev2->parent;
#line 1108 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp26_ = _g_object_ref0 (_tmp25_);
#line 1108 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->parent);
#line 1108 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->parent = _tmp26_;
#line 1109 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp27_ = dev2->children;
#line 1109 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp28_ = _g_object_ref0 (_tmp27_);
#line 1109 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->children);
#line 1109 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->children = _tmp28_;
#line 1111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp29_ = dev2->vendor;
#line 1111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp30_ = g_strdup (_tmp29_);
#line 1111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->vendor);
#line 1111 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->vendor = _tmp30_;
#line 1112 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp31_ = dev2->model;
#line 1112 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp32_ = g_strdup (_tmp31_);
#line 1112 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->model);
#line 1112 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->model = _tmp32_;
#line 1113 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp33_ = dev2->serial;
#line 1113 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp34_ = g_strdup (_tmp33_);
#line 1113 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->serial);
#line 1113 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->serial = _tmp34_;
#line 1114 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp35_ = dev2->revision;
#line 1114 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp36_ = g_strdup (_tmp35_);
#line 1114 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->revision);
#line 1114 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->revision = _tmp36_;
#line 1116 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp37_ = dev2->removable;
#line 1116 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->removable = _tmp37_;
#line 1117 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp38_ = dev2->read_only;
#line 1117 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->read_only = _tmp38_;
#line 7226 "Device.c"
}


Device*
device_query_changes (Device* self)
{
	Device* result = NULL;
	Device* dev_new = NULL;
#line 1120 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	dev_new = NULL;
#line 7239 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp0_;
		gint _dev_size = 0;
		GeeArrayList* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
		gint _dev_index = 0;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = device_get_block_devices_using_lsblk ("");
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_list = _tmp0_;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = _dev_list;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = _tmp2_;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_size = _tmp3_;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_index = -1;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 7264 "Device.c"
			gint _tmp4_;
			gint _tmp5_;
			gint _tmp6_;
			Device* dev = NULL;
			GeeArrayList* _tmp7_;
			gint _tmp8_;
			gpointer _tmp9_;
			const gchar* _tmp10_;
			gint _tmp11_;
			gint _tmp12_;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp4_ = _dev_index;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_index = _tmp4_ + 1;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp5_ = _dev_index;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp6_ = _dev_size;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp5_ < _tmp6_)) {
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 7287 "Device.c"
			}
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp7_ = _dev_list;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = gee_abstract_list_get ((GeeAbstractList*) _tmp7_, _tmp8_);
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev = (Device*) _tmp9_;
#line 1125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp10_ = self->uuid;
#line 1125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = strlen (_tmp10_);
#line 1125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp12_ = _tmp11_;
#line 1125 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (_tmp12_ > 0) {
#line 7305 "Device.c"
				Device* _tmp13_;
				const gchar* _tmp14_;
				const gchar* _tmp15_;
#line 1126 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp13_ = dev;
#line 1126 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp14_ = _tmp13_->uuid;
#line 1126 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp15_ = self->uuid;
#line 1126 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp14_, _tmp15_) == 0) {
#line 7317 "Device.c"
					Device* _tmp16_;
					Device* _tmp17_;
#line 1127 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp16_ = dev;
#line 1127 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp17_ = _g_object_ref0 (_tmp16_);
#line 1127 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (dev_new);
#line 1127 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					dev_new = _tmp17_;
#line 1128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 1128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					break;
#line 7332 "Device.c"
				}
			} else {
				Device* _tmp18_;
				const gchar* _tmp19_;
				const gchar* _tmp20_;
#line 1132 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp18_ = dev;
#line 1132 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp19_ = _tmp18_->device;
#line 1132 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp20_ = self->device;
#line 1132 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp19_, _tmp20_) == 0) {
#line 7346 "Device.c"
					Device* _tmp21_;
					Device* _tmp22_;
#line 1133 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp21_ = dev;
#line 1133 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp22_ = _g_object_ref0 (_tmp21_);
#line 1133 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (dev_new);
#line 1133 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					dev_new = _tmp22_;
#line 1134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 1134 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					break;
#line 7361 "Device.c"
				}
			}
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 7366 "Device.c"
		}
#line 1124 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 7370 "Device.c"
	}
#line 1139 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = dev_new;
#line 1139 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 7376 "Device.c"
}


void
device_query_disk_space (Device* self)
{
	GeeArrayList* list_df = NULL;
	const gchar* _tmp0_;
	GeeArrayList* _tmp1_;
	Device* dev_df = NULL;
	GeeArrayList* _tmp2_;
	const gchar* _tmp3_;
	Device* _tmp4_;
	Device* _tmp5_;
#line 1142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (self != NULL);
#line 1146 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->device;
#line 1146 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = device_get_disk_space_using_df (_tmp0_);
#line 1146 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list_df = _tmp1_;
#line 1148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = list_df;
#line 1148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = self->uuid;
#line 1148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = device_find_device_in_list (_tmp2_, _tmp3_);
#line 1148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	dev_df = _tmp4_;
#line 1150 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = dev_df;
#line 1150 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp5_ != NULL) {
#line 7411 "Device.c"
		Device* _tmp6_;
		guint64 _tmp7_;
		Device* _tmp8_;
		guint64 _tmp9_;
		Device* _tmp10_;
		guint64 _tmp11_;
		Device* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
#line 1152 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = dev_df;
#line 1152 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = _tmp6_->size_bytes;
#line 1152 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		self->size_bytes = _tmp7_;
#line 1153 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = dev_df;
#line 1153 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = _tmp8_->used_bytes;
#line 1153 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		self->used_bytes = _tmp9_;
#line 1154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = dev_df;
#line 1154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = _tmp10_->available_bytes;
#line 1154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		self->available_bytes = _tmp11_;
#line 1155 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp12_ = dev_df;
#line 1155 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp13_ = _tmp12_->used_percent;
#line 1155 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = g_strdup (_tmp13_);
#line 1155 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (self->used_percent);
#line 1155 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		self->used_percent = _tmp14_;
#line 7449 "Device.c"
	}
#line 1142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (dev_df);
#line 1142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list_df);
#line 7455 "Device.c"
}


gboolean
device_automount_udisks (const gchar* dev_name_or_uuid,
                         GtkWindow* parent_window)
{
	gboolean result = FALSE;
	gint _tmp0_;
	gint _tmp1_;
	gchar* cmd = NULL;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gint status = 0;
	const gchar* _tmp4_;
	gint _tmp5_;
	gint _tmp8_;
#line 1161 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1163 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = strlen (dev_name_or_uuid);
#line 1163 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1163 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp1_ == 0) {
#line 1164 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_error (_ ("Device name is empty!"), FALSE, FALSE);
#line 1165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = FALSE;
#line 1165 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 7487 "Device.c"
	}
#line 1168 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = g_strdup_printf ("udisksctl mount -b '%s'", dev_name_or_uuid);
#line 1168 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	cmd = _tmp2_;
#line 1169 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = cmd;
#line 1169 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 1170 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = cmd;
#line 1170 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	status = system (_tmp4_);
#line 1172 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = status;
#line 1172 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp5_ != 0) {
#line 1173 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (parent_window != NULL) {
#line 7507 "Device.c"
			gchar* msg = NULL;
			gchar* _tmp6_;
			const gchar* _tmp7_;
#line 1174 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp6_ = g_strdup_printf ("Failed to mount: %s", dev_name_or_uuid);
#line 1174 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			msg = _tmp6_;
#line 1175 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp7_ = msg;
#line 1175 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_gtk_helper_gtk_messagebox ("Error", _tmp7_, parent_window, TRUE);
#line 1173 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (msg);
#line 7521 "Device.c"
		}
	}
#line 1179 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp8_ = status;
#line 1179 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp8_ == 0;
#line 1179 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1179 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 7532 "Device.c"
}


gboolean
device_automount_udisks_iso (const gchar* iso_file_path,
                             gchar* * loop_device,
                             GtkWindow* parent_window)
{
	gchar* _vala_loop_device = NULL;
	gboolean result = FALSE;
	gchar* _tmp0_;
	gchar* cmd = NULL;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	const gchar* _tmp7_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint exit_code = 0;
	const gchar* _tmp8_;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gint _tmp11_;
	gint _tmp12_;
#line 1182 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (iso_file_path != NULL, FALSE);
#line 1184 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1184 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_vala_loop_device);
#line 1184 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_vala_loop_device = _tmp0_;
#line 1186 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (!tee_jee_file_system_file_exists (iso_file_path)) {
#line 7568 "Device.c"
		gchar* msg = NULL;
		gchar* _tmp1_;
		const gchar* _tmp2_;
#line 1187 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = g_strdup_printf ("%s: %s", _ ("Could not find file"), iso_file_path);
#line 1187 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		msg = _tmp1_;
#line 1188 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = msg;
#line 1188 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp2_, FALSE, FALSE);
#line 1189 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = FALSE;
#line 1189 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (msg);
#line 1189 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (loop_device) {
#line 1189 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			*loop_device = _vala_loop_device;
#line 7588 "Device.c"
		} else {
#line 1189 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_vala_loop_device);
#line 7592 "Device.c"
		}
#line 1189 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 7596 "Device.c"
	}
#line 1192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = tee_jee_file_system_escape_single_quote (iso_file_path);
#line 1192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = g_strdup_printf ("udisksctl loop-setup -r -f '%s'", _tmp4_);
#line 1192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp6_ = _tmp5_;
#line 1192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp4_);
#line 1192 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	cmd = _tmp6_;
#line 1195 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp7_ = cmd;
#line 1195 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp7_);
#line 1197 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp8_ = cmd;
#line 1197 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp11_ = tee_jee_process_helper_exec_sync (_tmp8_, &_tmp9_, &_tmp10_);
#line 1197 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1197 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_out = _tmp9_;
#line 1197 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1197 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_err = _tmp10_;
#line 1197 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	exit_code = _tmp11_;
#line 1199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp12_ = exit_code;
#line 1199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp12_ == 0) {
#line 7632 "Device.c"
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		const gchar* _tmp16_;
		const gchar* _tmp17_;
		gchar** _tmp18_;
		gchar** _tmp19_;
		gchar** _tmp20_;
		gint _tmp20__length1;
		const gchar* _tmp21_;
		gchar* _tmp22_;
		gchar* _tmp23_;
		gchar* _tmp24_;
		const gchar* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_;
		GeeArrayList* list = NULL;
		GeeArrayList* _tmp28_;
#line 1200 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp13_ = std_out;
#line 1200 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = g_strdup_printf ("%s", _tmp13_);
#line 1200 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp15_ = _tmp14_;
#line 1200 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_msg (_tmp15_, FALSE);
#line 1200 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1203 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp16_ = std_out;
#line 1203 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (!string_contains (_tmp16_, " as ")) {
#line 1204 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_error ("Could not determine loop device", FALSE, FALSE);
#line 1205 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			result = FALSE;
#line 1205 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (std_err);
#line 1205 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (std_out);
#line 1205 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 1205 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (loop_device) {
#line 1205 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				*loop_device = _vala_loop_device;
#line 7679 "Device.c"
			} else {
#line 1205 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_vala_loop_device);
#line 7683 "Device.c"
			}
#line 1205 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			return result;
#line 7687 "Device.c"
		}
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = std_out;
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp19_ = _tmp18_ = g_strsplit (_tmp17_, " as ", 0);
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp20_ = _tmp19_;
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp20__length1 = _vala_array_length (_tmp18_);
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp21_ = _tmp20_[1];
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp22_ = string_replace (_tmp21_, ".", "");
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp23_ = _tmp22_;
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp24_ = string_strip (_tmp23_);
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_vala_loop_device);
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_vala_loop_device = _tmp24_;
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp23_);
#line 1208 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp20_ = (_vala_array_free (_tmp20_, _tmp20__length1, (GDestroyNotify) g_free), NULL);
#line 1209 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp25_ = _vala_loop_device;
#line 1209 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp26_ = g_strdup_printf ("loop_device: %s", _tmp25_);
#line 1209 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp27_ = _tmp26_;
#line 1209 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_msg (_tmp27_, FALSE);
#line 1209 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp27_);
#line 1211 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp28_ = device_get_block_devices_using_lsblk ("");
#line 1211 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		list = _tmp28_;
#line 7727 "Device.c"
		{
			GeeArrayList* _dev_list = NULL;
			GeeArrayList* _tmp29_;
			GeeArrayList* _tmp30_;
			gint _dev_size = 0;
			GeeArrayList* _tmp31_;
			gint _tmp32_;
			gint _tmp33_;
			gint _dev_index = 0;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp29_ = list;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp30_ = _g_object_ref0 (_tmp29_);
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_list = _tmp30_;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp31_ = _dev_list;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp32_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp31_);
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp33_ = _tmp32_;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_size = _tmp33_;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_index = -1;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			while (TRUE) {
#line 7755 "Device.c"
				gint _tmp34_;
				gint _tmp35_;
				gint _tmp36_;
				Device* dev = NULL;
				GeeArrayList* _tmp37_;
				gint _tmp38_;
				gpointer _tmp39_;
				gboolean _tmp40_ = FALSE;
				Device* _tmp41_;
				const gchar* _tmp42_;
				const gchar* _tmp43_;
				gchar* _tmp44_;
				gchar* _tmp45_;
				gboolean _tmp46_;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp34_ = _dev_index;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_dev_index = _tmp34_ + 1;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp35_ = _dev_index;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp36_ = _dev_size;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (!(_tmp35_ < _tmp36_)) {
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					break;
#line 7782 "Device.c"
				}
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp37_ = _dev_list;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38_ = _dev_index;
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp39_ = gee_abstract_list_get ((GeeAbstractList*) _tmp37_, _tmp38_);
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				dev = (Device*) _tmp39_;
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp41_ = dev;
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp42_ = _tmp41_->pkname;
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp43_ = _vala_loop_device;
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp44_ = string_replace (_tmp43_, "/dev/", "");
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp45_ = _tmp44_;
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp46_ = g_strcmp0 (_tmp42_, _tmp45_) == 0;
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp45_);
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp46_) {
#line 7808 "Device.c"
					Device* _tmp47_;
					const gchar* _tmp48_;
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp47_ = dev;
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp48_ = _tmp47_->fstype;
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp40_ = g_strcmp0 (_tmp48_, "iso9660") == 0;
#line 7817 "Device.c"
				} else {
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp40_ = FALSE;
#line 7821 "Device.c"
				}
#line 1213 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (_tmp40_) {
#line 7825 "Device.c"
					Device* _tmp49_;
					const gchar* _tmp50_;
					gchar* _tmp51_;
					Device* _tmp52_;
					const gchar* _tmp53_;
#line 1214 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp49_ = dev;
#line 1214 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp50_ = _tmp49_->device;
#line 1214 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp51_ = g_strdup (_tmp50_);
#line 1214 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_vala_loop_device);
#line 1214 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_vala_loop_device = _tmp51_;
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp52_ = dev;
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp53_ = _tmp52_->device;
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					result = device_automount_udisks (_tmp53_, parent_window);
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (_dev_list);
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (list);
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (cmd);
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (loop_device) {
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						*loop_device = _vala_loop_device;
#line 7863 "Device.c"
					} else {
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_vala_loop_device);
#line 7867 "Device.c"
					}
#line 1215 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					return result;
#line 7871 "Device.c"
				}
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 7875 "Device.c"
			}
#line 1212 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (_dev_list);
#line 7879 "Device.c"
		}
#line 1199 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 7883 "Device.c"
	}
#line 1220 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = FALSE;
#line 1220 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1220 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1220 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1220 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (loop_device) {
#line 1220 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		*loop_device = _vala_loop_device;
#line 7897 "Device.c"
	} else {
#line 1220 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_vala_loop_device);
#line 7901 "Device.c"
	}
#line 1220 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 7905 "Device.c"
}


gboolean
device_unmount_udisks (const gchar* dev_name_or_uuid,
                       GtkWindow* parent_window)
{
	gboolean result = FALSE;
	gint _tmp0_;
	gint _tmp1_;
	gchar* cmd = NULL;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gint status = 0;
	const gchar* _tmp4_;
	gint _tmp5_;
	gint _tmp8_;
#line 1223 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1225 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = strlen (dev_name_or_uuid);
#line 1225 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1225 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp1_ == 0) {
#line 1226 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_error (_ ("Device name is empty!"), FALSE, FALSE);
#line 1227 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = FALSE;
#line 1227 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 7937 "Device.c"
	}
#line 1230 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = g_strdup_printf ("udisksctl unmount -b '%s'", dev_name_or_uuid);
#line 1230 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	cmd = _tmp2_;
#line 1231 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = cmd;
#line 1231 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 1232 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = cmd;
#line 1232 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	status = system (_tmp4_);
#line 1234 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = status;
#line 1234 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp5_ != 0) {
#line 1235 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (parent_window != NULL) {
#line 7957 "Device.c"
			gchar* msg = NULL;
			gchar* _tmp6_;
			const gchar* _tmp7_;
#line 1236 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp6_ = g_strdup_printf ("Failed to unmount: %s", dev_name_or_uuid);
#line 1236 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			msg = _tmp6_;
#line 1237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp7_ = msg;
#line 1237 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_gtk_helper_gtk_messagebox ("Error", _tmp7_, parent_window, TRUE);
#line 1235 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (msg);
#line 7971 "Device.c"
		}
	}
#line 1241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp8_ = status;
#line 1241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp8_ == 0;
#line 1241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1241 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 7982 "Device.c"
}


Device*
device_luks_unlock (Device* luks_device,
                    const gchar* mapped_name,
                    const gchar* passphrase,
                    GtkWindow* parent_window,
                    gchar* * message,
                    gchar* * details)
{
	gchar* _vala_message = NULL;
	gchar* _vala_details = NULL;
	Device* result = NULL;
	Device* unlocked_device = NULL;
	gchar* std_out = NULL;
	gchar* _tmp0_;
	gchar* std_err = NULL;
	gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
	const gchar* _tmp3_;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp7_;
	gchar* luks_pass = NULL;
	gchar* _tmp28_;
	gchar* luks_name = NULL;
	gchar* _tmp29_;
	gboolean _tmp30_ = FALSE;
	const gchar* _tmp31_;
	GeeArrayList* _tmp101_;
	gboolean is_error = FALSE;
	Device* _tmp118_;
#line 1244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (luks_device != NULL, NULL);
#line 1244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (mapped_name != NULL, NULL);
#line 1244 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (passphrase != NULL, NULL);
#line 1254 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	unlocked_device = NULL;
#line 1255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_out = _tmp0_;
#line 1255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 1255 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_err = _tmp1_;
#line 1258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = luks_device->fstype;
#line 1258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (!string_contains (_tmp3_, "luks")) {
#line 8035 "Device.c"
		const gchar* _tmp4_;
#line 1258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = luks_device->fstype;
#line 1258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = !string_contains (_tmp4_, "crypt");
#line 8041 "Device.c"
	} else {
#line 1258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = FALSE;
#line 8045 "Device.c"
	}
#line 1258 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp2_) {
#line 8049 "Device.c"
		gchar* _tmp5_;
		gchar* _tmp6_;
#line 1259 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = g_strdup (_ ("This device is not encrypted"));
#line 1259 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 1259 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_vala_message = _tmp5_;
#line 1260 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = g_strdup (_ ("Failed to unlock device"));
#line 1260 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 1260 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_vala_details = _tmp6_;
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = NULL;
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (unlocked_device);
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (message) {
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			*message = _vala_message;
#line 8076 "Device.c"
		} else {
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_vala_message);
#line 8080 "Device.c"
		}
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (details) {
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			*details = _vala_details;
#line 8086 "Device.c"
		} else {
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_vala_details);
#line 8090 "Device.c"
		}
#line 1261 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 8094 "Device.c"
	}
#line 1265 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp7_ = device_get_block_devices_using_lsblk ("");
#line 1265 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp7_;
#line 8100 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp8_;
		GeeArrayList* _tmp9_;
		gint _part_size = 0;
		GeeArrayList* _tmp10_;
		gint _tmp11_;
		gint _tmp12_;
		gint _part_index = 0;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = list;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = _g_object_ref0 (_tmp8_);
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_list = _tmp9_;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = _part_list;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp10_);
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_size = _tmp12_;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_index = -1;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 8128 "Device.c"
			gint _tmp13_;
			gint _tmp14_;
			gint _tmp15_;
			Device* part = NULL;
			GeeArrayList* _tmp16_;
			gint _tmp17_;
			gpointer _tmp18_;
			Device* _tmp19_;
			const gchar* _tmp20_;
			const gchar* _tmp21_;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = _part_index;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_part_index = _tmp13_ + 1;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = _part_index;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = _part_size;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp14_ < _tmp15_)) {
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 8151 "Device.c"
			}
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp16_ = _part_list;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp17_ = _part_index;
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp18_ = gee_abstract_list_get ((GeeAbstractList*) _tmp16_, _tmp17_);
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			part = (Device*) _tmp18_;
#line 1267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp19_ = part;
#line 1267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp20_ = _tmp19_->pkname;
#line 1267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp21_ = luks_device->kname;
#line 1267 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp20_, _tmp21_) == 0) {
#line 8169 "Device.c"
				Device* _tmp22_;
				Device* _tmp23_;
				gchar* _tmp24_;
				Device* _tmp25_;
				const gchar* _tmp26_;
				gchar* _tmp27_;
#line 1268 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp22_ = part;
#line 1268 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp23_ = _g_object_ref0 (_tmp22_);
#line 1268 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1268 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				unlocked_device = _tmp23_;
#line 1269 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp24_ = g_strdup (_ ("Device is unlocked"));
#line 1269 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_vala_message);
#line 1269 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_vala_message = _tmp24_;
#line 1270 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp25_ = part;
#line 1270 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp26_ = _tmp25_->mapped_name;
#line 1270 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp27_ = g_strdup_printf (_ ("Unlocked device is mapped to '%s'"), _tmp26_);
#line 1270 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_vala_details);
#line 1270 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_vala_details = _tmp27_;
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				result = part;
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (_part_list);
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (list);
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (std_err);
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (std_out);
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (message) {
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					*message = _vala_message;
#line 8216 "Device.c"
				} else {
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 8220 "Device.c"
				}
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (details) {
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					*details = _vala_details;
#line 8226 "Device.c"
				} else {
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 8230 "Device.c"
				}
#line 1271 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				return result;
#line 8234 "Device.c"
			}
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 8238 "Device.c"
		}
#line 1266 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 8242 "Device.c"
	}
#line 1275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp28_ = g_strdup (passphrase);
#line 1275 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	luks_pass = _tmp28_;
#line 1276 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp29_ = g_strdup (mapped_name);
#line 1276 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	luks_name = _tmp29_;
#line 1278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp31_ = luks_name;
#line 1278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp31_ == NULL) {
#line 1278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp30_ = TRUE;
#line 8258 "Device.c"
	} else {
		const gchar* _tmp32_;
		gint _tmp33_;
		gint _tmp34_;
#line 1278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp32_ = luks_name;
#line 1278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp33_ = strlen (_tmp32_);
#line 1278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp34_ = _tmp33_;
#line 1278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp30_ = _tmp34_ == 0;
#line 8271 "Device.c"
	}
#line 1278 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp30_) {
#line 8275 "Device.c"
		const gchar* _tmp35_;
		gchar* _tmp36_;
#line 1279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp35_ = luks_device->kname;
#line 1279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp36_ = g_strdup_printf ("%s_crypt", _tmp35_);
#line 1279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (luks_name);
#line 1279 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		luks_name = _tmp36_;
#line 8286 "Device.c"
	}
#line 1282 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (parent_window == NULL) {
#line 8290 "Device.c"
		gboolean _tmp37_ = FALSE;
		const gchar* _tmp38_;
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp38_ = luks_pass;
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp38_ == NULL) {
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp37_ = TRUE;
#line 8299 "Device.c"
		} else {
			const gchar* _tmp39_;
			gint _tmp40_;
			gint _tmp41_;
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp39_ = luks_pass;
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp40_ = strlen (_tmp39_);
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp41_ = _tmp40_;
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp37_ = _tmp41_ == 0;
#line 8312 "Device.c"
		}
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp37_) {
#line 8316 "Device.c"
			TimeoutCounter* counter = NULL;
			TimeoutCounter* _tmp42_;
			TimeoutCounter* _tmp43_;
			gchar* cmd = NULL;
			const gchar* _tmp44_;
			const gchar* _tmp45_;
			gchar* _tmp46_;
			const gchar* _tmp47_;
			const gchar* _tmp48_;
			TimeoutCounter* _tmp49_;
#line 1290 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp42_ = timeout_counter_new ();
#line 1290 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			counter = _tmp42_;
#line 1291 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp43_ = counter;
#line 1291 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			timeout_counter_kill_process_on_timeout (_tmp43_, "cryptsetup", 20, TRUE);
#line 1292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp44_ = luks_device->device;
#line 1292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp45_ = luks_name;
#line 1292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp46_ = g_strdup_printf ("cryptsetup luksOpen '%s' '%s'", _tmp44_, _tmp45_);
#line 1292 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			cmd = _tmp46_;
#line 1294 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp47_ = cmd;
#line 1294 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp47_);
#line 1295 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp48_ = cmd;
#line 1295 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			system (_tmp48_);
#line 1296 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp49_ = counter;
#line 1296 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			timeout_counter_stop (_tmp49_);
#line 1297 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_msg ("", FALSE);
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (counter);
#line 8361 "Device.c"
		} else {
			gchar* cmd = NULL;
			const gchar* _tmp50_;
			const gchar* _tmp51_;
			const gchar* _tmp52_;
			gchar* _tmp53_;
			const gchar* _tmp54_;
			const gchar* _tmp55_;
			gchar* _tmp56_;
			gchar* _tmp57_;
			gint status = 0;
			const gchar* _tmp58_;
			gchar* _tmp59_ = NULL;
			gchar* _tmp60_ = NULL;
			gint _tmp61_;
			gint _tmp62_;
#line 1304 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp50_ = luks_pass;
#line 1304 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp51_ = luks_device->device;
#line 1304 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp52_ = luks_name;
#line 1304 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp53_ = g_strdup_printf ("echo -n -e '%s' | cryptsetup luksOpen --key-file - '%s' '%s'\n", _tmp50_, _tmp51_, _tmp52_);
#line 1304 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			cmd = _tmp53_;
#line 1307 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp54_ = cmd;
#line 1307 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp55_ = luks_pass;
#line 1307 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp56_ = string_replace (_tmp54_, _tmp55_, "**PASSWORD**");
#line 1307 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp57_ = _tmp56_;
#line 1307 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp57_);
#line 1307 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp57_);
#line 1309 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp58_ = cmd;
#line 1309 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp61_ = tee_jee_process_helper_exec_script_sync (_tmp58_, &_tmp59_, &_tmp60_, FALSE, TRUE, TRUE, FALSE);
#line 1309 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (std_out);
#line 1309 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			std_out = _tmp59_;
#line 1309 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (std_err);
#line 1309 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			std_err = _tmp60_;
#line 1309 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			status = _tmp61_;
#line 1311 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp62_ = status;
#line 1311 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			switch (_tmp62_) {
#line 1311 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				case 512:
#line 8420 "Device.c"
				{
					gchar* _tmp63_;
					gchar* _tmp64_;
					const gchar* _tmp65_;
					const gchar* _tmp66_;
#line 1313 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp63_ = g_strdup (_ ("Wrong password"));
#line 1313 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 1313 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_vala_message = _tmp63_;
#line 1314 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp64_ = g_strdup (_ ("Failed to unlock device"));
#line 1314 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 1314 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_vala_details = _tmp64_;
#line 1315 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp65_ = _vala_message;
#line 1315 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp65_, FALSE, FALSE);
#line 1316 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp66_ = _vala_details;
#line 1316 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp66_, FALSE, FALSE);
#line 1317 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					break;
#line 8448 "Device.c"
				}
				default:
#line 1311 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 8453 "Device.c"
			}
#line 1286 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 8457 "Device.c"
		}
	} else {
		gboolean _tmp67_ = FALSE;
		const gchar* _tmp68_;
		gboolean _tmp79_ = FALSE;
		const gchar* _tmp80_;
#line 1326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp68_ = luks_pass;
#line 1326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp68_ == NULL) {
#line 1326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp67_ = TRUE;
#line 8470 "Device.c"
		} else {
			const gchar* _tmp69_;
			gint _tmp70_;
			gint _tmp71_;
#line 1326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp69_ = luks_pass;
#line 1326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp70_ = strlen (_tmp69_);
#line 1326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp71_ = _tmp70_;
#line 1326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp67_ = _tmp71_ == 0;
#line 8483 "Device.c"
		}
#line 1326 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp67_) {
#line 8487 "Device.c"
			const gchar* _tmp72_;
			gchar* _tmp73_;
			gchar* _tmp74_;
			gchar* _tmp75_;
			const gchar* _tmp76_;
#line 1330 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_debug ("Prompting user for passphrase..");
#line 1332 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp72_ = luks_device->name;
#line 1332 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp73_ = g_strdup_printf (_ ("Enter passphrase to unlock '%s'"), _tmp72_);
#line 1332 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp74_ = _tmp73_;
#line 1332 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp75_ = tee_jee_gtk_helper_gtk_inputbox (_ ("Encrypted Device"), _tmp74_, parent_window, TRUE);
#line 1332 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (luks_pass);
#line 1332 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			luks_pass = _tmp75_;
#line 1332 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp74_);
#line 1337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp76_ = luks_pass;
#line 1337 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (_tmp76_ == NULL) {
#line 8513 "Device.c"
				gchar* _tmp77_;
				gchar* _tmp78_;
#line 1339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp77_ = g_strdup (_ ("Failed to unlock device"));
#line 1339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_vala_message);
#line 1339 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_vala_message = _tmp77_;
#line 1340 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp78_ = g_strdup (_ ("User cancelled the password prompt"));
#line 1340 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_vala_details);
#line 1340 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_vala_details = _tmp78_;
#line 1341 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				tee_jee_logging_log_debug ("User cancelled the password prompt");
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				result = NULL;
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (luks_name);
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (luks_pass);
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (list);
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (std_err);
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (std_out);
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (message) {
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					*message = _vala_message;
#line 8548 "Device.c"
				} else {
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 8552 "Device.c"
				}
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (details) {
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					*details = _vala_details;
#line 8558 "Device.c"
				} else {
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 8562 "Device.c"
				}
#line 1342 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				return result;
#line 8566 "Device.c"
			}
		}
#line 1346 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp80_ = luks_pass;
#line 1346 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp80_ != NULL) {
#line 8573 "Device.c"
			const gchar* _tmp81_;
			gint _tmp82_;
			gint _tmp83_;
#line 1346 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp81_ = luks_pass;
#line 1346 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp82_ = strlen (_tmp81_);
#line 1346 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp83_ = _tmp82_;
#line 1346 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp79_ = _tmp83_ > 0;
#line 8585 "Device.c"
		} else {
#line 1346 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp79_ = FALSE;
#line 8589 "Device.c"
		}
#line 1346 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp79_) {
#line 8593 "Device.c"
			gchar* cmd = NULL;
			const gchar* _tmp84_;
			const gchar* _tmp85_;
			const gchar* _tmp86_;
			gchar* _tmp87_;
			const gchar* _tmp88_;
			const gchar* _tmp89_;
			gchar* _tmp90_;
			gchar* _tmp91_;
			gint status = 0;
			const gchar* _tmp92_;
			gchar* _tmp93_ = NULL;
			gchar* _tmp94_ = NULL;
			gint _tmp95_;
			gint _tmp96_;
#line 1350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp84_ = luks_pass;
#line 1350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp85_ = luks_device->device;
#line 1350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp86_ = luks_name;
#line 1350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp87_ = g_strdup_printf ("echo -n -e '%s' | cryptsetup luksOpen --key-file - '%s' '%s'\n", _tmp84_, _tmp85_, _tmp86_);
#line 1350 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			cmd = _tmp87_;
#line 1353 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp88_ = cmd;
#line 1353 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp89_ = luks_pass;
#line 1353 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp90_ = string_replace (_tmp88_, _tmp89_, "**PASSWORD**");
#line 1353 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp91_ = _tmp90_;
#line 1353 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp91_);
#line 1353 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp91_);
#line 1355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp92_ = cmd;
#line 1355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp95_ = tee_jee_process_helper_exec_script_sync (_tmp92_, &_tmp93_, &_tmp94_, FALSE, TRUE, TRUE, FALSE);
#line 1355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (std_out);
#line 1355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			std_out = _tmp93_;
#line 1355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (std_err);
#line 1355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			std_err = _tmp94_;
#line 1355 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			status = _tmp95_;
#line 1357 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp96_ = status;
#line 1357 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			switch (_tmp96_) {
#line 1357 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				case 512:
#line 8651 "Device.c"
				{
					gchar* _tmp97_;
					gchar* _tmp98_;
					const gchar* _tmp99_;
					const gchar* _tmp100_;
#line 1359 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp97_ = g_strdup (_ ("Wrong password"));
#line 1359 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 1359 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_vala_message = _tmp97_;
#line 1360 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp98_ = g_strdup (_ ("Failed to unlock device"));
#line 1360 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 1360 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_vala_details = _tmp98_;
#line 1361 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp99_ = _vala_message;
#line 1361 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp99_, FALSE, FALSE);
#line 1362 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp100_ = _vala_details;
#line 1362 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp100_, FALSE, FALSE);
#line 1363 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					break;
#line 8679 "Device.c"
				}
				default:
#line 1357 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 8684 "Device.c"
			}
#line 1346 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 8688 "Device.c"
		}
	}
#line 1370 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp101_ = device_get_block_devices_using_lsblk ("");
#line 1370 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1370 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp101_;
#line 8697 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp102_;
		GeeArrayList* _tmp103_;
		gint _part_size = 0;
		GeeArrayList* _tmp104_;
		gint _tmp105_;
		gint _tmp106_;
		gint _part_index = 0;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp102_ = list;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp103_ = _g_object_ref0 (_tmp102_);
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_list = _tmp103_;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp104_ = _part_list;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp105_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp104_);
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp106_ = _tmp105_;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_size = _tmp106_;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_part_index = -1;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 8725 "Device.c"
			gint _tmp107_;
			gint _tmp108_;
			gint _tmp109_;
			Device* part = NULL;
			GeeArrayList* _tmp110_;
			gint _tmp111_;
			gpointer _tmp112_;
			Device* _tmp113_;
			const gchar* _tmp114_;
			const gchar* _tmp115_;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp107_ = _part_index;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_part_index = _tmp107_ + 1;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp108_ = _part_index;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp109_ = _part_size;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp108_ < _tmp109_)) {
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 8748 "Device.c"
			}
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp110_ = _part_list;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp111_ = _part_index;
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp112_ = gee_abstract_list_get ((GeeAbstractList*) _tmp110_, _tmp111_);
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			part = (Device*) _tmp112_;
#line 1372 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp113_ = part;
#line 1372 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp114_ = _tmp113_->pkname;
#line 1372 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp115_ = luks_device->kname;
#line 1372 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp114_, _tmp115_) == 0) {
#line 8766 "Device.c"
				Device* _tmp116_;
				Device* _tmp117_;
#line 1373 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp116_ = part;
#line 1373 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp117_ = _g_object_ref0 (_tmp116_);
#line 1373 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1373 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				unlocked_device = _tmp117_;
#line 1374 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (part);
#line 1374 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 8781 "Device.c"
			}
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 8785 "Device.c"
		}
#line 1371 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 8789 "Device.c"
	}
#line 1378 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	is_error = FALSE;
#line 1379 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp118_ = unlocked_device;
#line 1379 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp118_ == NULL) {
#line 8797 "Device.c"
		const gchar* _tmp119_;
		gchar* _tmp120_;
		gchar* _tmp121_;
		gchar* _tmp122_;
		const gchar* _tmp123_;
		gchar* _tmp124_;
#line 1380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp119_ = luks_device->device;
#line 1380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp120_ = g_strdup_printf (" '%s'", _tmp119_);
#line 1380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp121_ = _tmp120_;
#line 1380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp122_ = g_strconcat (_ ("Failed to unlock device"), _tmp121_, NULL);
#line 1380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 1380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_vala_message = _tmp122_;
#line 1380 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp121_);
#line 1381 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp123_ = std_err;
#line 1381 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp124_ = g_strdup (_tmp123_);
#line 1381 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 1381 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_vala_details = _tmp124_;
#line 1382 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		is_error = TRUE;
#line 8828 "Device.c"
	} else {
		gchar* _tmp125_;
		Device* _tmp126_;
		const gchar* _tmp127_;
		gchar* _tmp128_;
#line 1385 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp125_ = g_strdup (_ ("Unlocked successfully"));
#line 1385 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 1385 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_vala_message = _tmp125_;
#line 1386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp126_ = unlocked_device;
#line 1386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp127_ = _tmp126_->mapped_name;
#line 1386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp128_ = g_strdup_printf (_ ("Unlocked device is mapped to '%s'"), _tmp127_);
#line 1386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 1386 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_vala_details = _tmp128_;
#line 8850 "Device.c"
	}
#line 1389 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (parent_window != NULL) {
#line 8854 "Device.c"
		const gchar* _tmp129_;
		const gchar* _tmp130_;
		gboolean _tmp131_;
#line 1390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp129_ = _vala_message;
#line 1390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp130_ = _vala_details;
#line 1390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp131_ = is_error;
#line 1390 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_gtk_helper_gtk_messagebox (_tmp129_, _tmp130_, parent_window, _tmp131_);
#line 8866 "Device.c"
	}
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = unlocked_device;
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (luks_name);
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (luks_pass);
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (message) {
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		*message = _vala_message;
#line 8884 "Device.c"
	} else {
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 8888 "Device.c"
	}
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (details) {
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		*details = _vala_details;
#line 8894 "Device.c"
	} else {
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 8898 "Device.c"
	}
#line 1393 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 8902 "Device.c"
}


gboolean
device_luks_lock (const gchar* kname,
                  GtkWindow* parent_window)
{
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint status = 0;
	const gchar* _tmp2_;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gint _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gint _tmp8_;
	gint _tmp11_;
#line 1396 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (kname != NULL, FALSE);
#line 1397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("cryptsetup luksClose %s", kname);
#line 1397 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	cmd = _tmp0_;
#line 1399 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = cmd;
#line 1399 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 1402 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = cmd;
#line 1402 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = tee_jee_process_helper_exec_script_sync (_tmp2_, &_tmp3_, &_tmp4_, FALSE, TRUE, TRUE, FALSE);
#line 1402 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1402 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_out = _tmp3_;
#line 1402 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1402 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_err = _tmp4_;
#line 1402 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	status = _tmp5_;
#line 1403 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp6_ = std_out;
#line 1403 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_msg (_tmp6_, FALSE);
#line 1404 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp7_ = std_err;
#line 1404 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_msg (_tmp7_, FALSE);
#line 1406 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp8_ = status;
#line 1406 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp8_ != 0) {
#line 1407 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (parent_window != NULL) {
#line 8963 "Device.c"
			gchar* msg = NULL;
			gchar* _tmp9_;
			const gchar* _tmp10_;
#line 1408 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = g_strdup_printf ("Failed to lock device: %s", kname);
#line 1408 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			msg = _tmp9_;
#line 1409 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp10_ = msg;
#line 1409 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_gtk_helper_gtk_messagebox ("Error", _tmp10_, parent_window, TRUE);
#line 1407 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (msg);
#line 8977 "Device.c"
		}
	}
#line 1413 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp11_ = status;
#line 1413 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp11_ == 0;
#line 1413 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1413 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1413 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1413 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 8992 "Device.c"
}


gboolean
device_mount (const gchar* dev_name_or_uuid,
              const gchar* mount_point,
              const gchar* mount_options,
              gboolean silent)
{
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint ret_val = 0;
	gchar* device = NULL;
	gchar* _tmp1_;
	gchar* uuid = NULL;
	gchar* _tmp2_;
	GeeArrayList* mps = NULL;
	GeeArrayList* _tmp10_;
	const gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gint _tmp56_;
	gint _tmp57_;
	const gchar* _tmp62_;
	gchar* _tmp63_ = NULL;
	gchar* _tmp64_ = NULL;
	gint _tmp65_;
	gint _tmp66_;
#line 1427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (mount_point != NULL, FALSE);
#line 1427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (mount_options != NULL, FALSE);
#line 1435 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1435 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	cmd = _tmp0_;
#line 1440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 1440 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device = _tmp1_;
#line 1441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = g_strdup ("");
#line 1441 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	uuid = _tmp2_;
#line 1445 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (g_str_has_prefix (dev_name_or_uuid, "/dev")) {
#line 9044 "Device.c"
		gchar* _tmp3_;
		gchar* _tmp4_;
#line 1446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = g_strdup (dev_name_or_uuid);
#line 1446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1446 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device = _tmp3_;
#line 1447 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = device_get_device_uuid (dev_name_or_uuid);
#line 1447 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1447 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		uuid = _tmp4_;
#line 9059 "Device.c"
	} else {
		gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		const gchar* _tmp8_;
		gchar* _tmp9_;
#line 1450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = g_strdup (dev_name_or_uuid);
#line 1450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1450 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		uuid = _tmp5_;
#line 1451 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = uuid;
#line 1451 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp6_);
#line 1451 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1451 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device = _tmp7_;
#line 1452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = device;
#line 1452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = device_resolve_device_name (_tmp8_);
#line 1452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1452 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device = _tmp9_;
#line 9088 "Device.c"
	}
#line 1457 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp10_ = device_get_device_mount_points (dev_name_or_uuid);
#line 1457 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	mps = _tmp10_;
#line 1459 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("------------------");
#line 1460 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp11_ = device;
#line 1460 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp12_ = g_strdup_printf ("arg=%s, device=%s", dev_name_or_uuid, _tmp11_);
#line 1460 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp13_ = _tmp12_;
#line 1460 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp13_);
#line 1460 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp13_);
#line 9106 "Device.c"
	{
		GeeArrayList* _mp_list = NULL;
		GeeArrayList* _tmp14_;
		GeeArrayList* _tmp15_;
		gint _mp_size = 0;
		GeeArrayList* _tmp16_;
		gint _tmp17_;
		gint _tmp18_;
		gint _mp_index = 0;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = mps;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp15_ = _g_object_ref0 (_tmp14_);
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_mp_list = _tmp15_;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp16_ = _mp_list;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp16_);
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp18_ = _tmp17_;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_mp_size = _tmp18_;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_mp_index = -1;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 9134 "Device.c"
			gint _tmp19_;
			gint _tmp20_;
			gint _tmp21_;
			MountEntry* mp = NULL;
			GeeArrayList* _tmp22_;
			gint _tmp23_;
			gpointer _tmp24_;
			MountEntry* _tmp25_;
			const gchar* _tmp26_;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp19_ = _mp_index;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_mp_index = _tmp19_ + 1;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp20_ = _mp_index;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp21_ = _mp_size;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp20_ < _tmp21_)) {
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 9156 "Device.c"
			}
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp22_ = _mp_list;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp23_ = _mp_index;
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp24_ = gee_abstract_list_get ((GeeAbstractList*) _tmp22_, _tmp23_);
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			mp = (MountEntry*) _tmp24_;
#line 1462 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp25_ = mp;
#line 1462 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp26_ = _tmp25_->mount_point;
#line 1462 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp26_);
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (mp);
#line 9174 "Device.c"
		}
#line 1461 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_mp_list);
#line 9178 "Device.c"
	}
#line 1464 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("------------------");
#line 9182 "Device.c"
	{
		GeeArrayList* _mp_list = NULL;
		GeeArrayList* _tmp27_;
		GeeArrayList* _tmp28_;
		gint _mp_size = 0;
		GeeArrayList* _tmp29_;
		gint _tmp30_;
		gint _tmp31_;
		gint _mp_index = 0;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp27_ = mps;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp28_ = _g_object_ref0 (_tmp27_);
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_mp_list = _tmp28_;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp29_ = _mp_list;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp30_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp29_);
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp31_ = _tmp30_;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_mp_size = _tmp31_;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_mp_index = -1;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 9210 "Device.c"
			gint _tmp32_;
			gint _tmp33_;
			gint _tmp34_;
			MountEntry* mp = NULL;
			GeeArrayList* _tmp35_;
			gint _tmp36_;
			gpointer _tmp37_;
			gboolean _tmp38_ = FALSE;
			MountEntry* _tmp39_;
			const gchar* _tmp40_;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp32_ = _mp_index;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_mp_index = _tmp32_ + 1;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp33_ = _mp_index;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp34_ = _mp_size;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp33_ < _tmp34_)) {
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 9233 "Device.c"
			}
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp35_ = _mp_list;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp36_ = _mp_index;
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp37_ = gee_abstract_list_get ((GeeAbstractList*) _tmp35_, _tmp36_);
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			mp = (MountEntry*) _tmp37_;
#line 1467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp39_ = mp;
#line 1467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp40_ = _tmp39_->mount_point;
#line 1467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp40_, mount_point) == 0) {
#line 9249 "Device.c"
				MountEntry* _tmp41_;
				const gchar* _tmp42_;
#line 1467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp41_ = mp;
#line 1467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp42_ = _tmp41_->mount_options;
#line 1467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38_ = string_contains (_tmp42_, mount_options);
#line 9258 "Device.c"
			} else {
#line 1467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38_ = FALSE;
#line 9262 "Device.c"
			}
#line 1467 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (_tmp38_) {
#line 1468 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				if (!silent) {
#line 9268 "Device.c"
					gchar* msg = NULL;
					const gchar* _tmp43_;
					gchar* _tmp44_;
					MountEntry* _tmp45_;
					const gchar* _tmp46_;
					gint _tmp47_;
					gint _tmp48_;
					const gchar* _tmp55_;
#line 1469 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp43_ = device;
#line 1469 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp44_ = g_strdup_printf ("%s is mounted at: %s", _tmp43_, mount_point);
#line 1469 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					msg = _tmp44_;
#line 1470 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp45_ = mp;
#line 1470 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp46_ = _tmp45_->mount_options;
#line 1470 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp47_ = strlen (_tmp46_);
#line 1470 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp48_ = _tmp47_;
#line 1470 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp48_ > 0) {
#line 9293 "Device.c"
						const gchar* _tmp49_;
						MountEntry* _tmp50_;
						const gchar* _tmp51_;
						gchar* _tmp52_;
						gchar* _tmp53_;
						gchar* _tmp54_;
#line 1471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp49_ = msg;
#line 1471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp50_ = mp;
#line 1471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp51_ = _tmp50_->mount_options;
#line 1471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp52_ = g_strdup_printf (", options: %s", _tmp51_);
#line 1471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp53_ = _tmp52_;
#line 1471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp54_ = g_strconcat (_tmp49_, _tmp53_, NULL);
#line 1471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (msg);
#line 1471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						msg = _tmp54_;
#line 1471 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp53_);
#line 9318 "Device.c"
					}
#line 1473 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp55_ = msg;
#line 1473 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					tee_jee_logging_log_msg (_tmp55_, FALSE);
#line 1468 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (msg);
#line 9326 "Device.c"
				}
#line 1475 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				result = TRUE;
#line 1475 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (mp);
#line 1475 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (_mp_list);
#line 1475 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (mps);
#line 1475 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (uuid);
#line 1475 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (device);
#line 1475 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (std_err);
#line 1475 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (std_out);
#line 1475 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (cmd);
#line 1475 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				return result;
#line 9348 "Device.c"
			}
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (mp);
#line 9352 "Device.c"
		}
#line 1466 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_mp_list);
#line 9356 "Device.c"
	}
#line 1479 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_file_system_dir_create (mount_point, FALSE);
#line 1483 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_unmount (mount_point);
#line 1487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp56_ = strlen (mount_options);
#line 1487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp57_ = _tmp56_;
#line 1487 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp57_ > 0) {
#line 9368 "Device.c"
		const gchar* _tmp58_;
		gchar* _tmp59_;
#line 1488 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp58_ = device;
#line 1488 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp59_ = g_strdup_printf ("mount -o %s \"%s\" \"%s\"", mount_options, _tmp58_, mount_point);
#line 1488 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1488 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		cmd = _tmp59_;
#line 9379 "Device.c"
	} else {
		const gchar* _tmp60_;
		gchar* _tmp61_;
#line 1491 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp60_ = device;
#line 1491 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp61_ = g_strdup_printf ("mount \"%s\" \"%s\"", _tmp60_, mount_point);
#line 1491 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1491 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		cmd = _tmp61_;
#line 9391 "Device.c"
	}
#line 1494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp62_ = cmd;
#line 1494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp65_ = tee_jee_process_helper_exec_sync (_tmp62_, &_tmp63_, &_tmp64_);
#line 1494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_out = _tmp63_;
#line 1494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	std_err = _tmp64_;
#line 1494 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	ret_val = _tmp65_;
#line 1496 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp66_ = ret_val;
#line 1496 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp66_ != 0) {
#line 9411 "Device.c"
		const gchar* _tmp67_;
		gchar* _tmp68_;
		gchar* _tmp69_;
		const gchar* _tmp70_;
#line 1497 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp67_ = device;
#line 1497 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp68_ = g_strdup_printf ("Failed to mount device '%s' at mount point '%s'", _tmp67_, mount_point);
#line 1497 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp69_ = _tmp68_;
#line 1497 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp69_, FALSE, FALSE);
#line 1497 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp69_);
#line 1498 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp70_ = std_err;
#line 1498 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp70_, FALSE, FALSE);
#line 1499 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = FALSE;
#line 1499 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (mps);
#line 1499 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1499 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1499 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1499 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1499 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1499 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 9446 "Device.c"
	} else {
#line 1502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (!silent) {
#line 9450 "Device.c"
			Device* dev = NULL;
			const gchar* _tmp71_;
			Device* _tmp72_;
			gchar* _tmp73_ = NULL;
			Device* _tmp74_;
			gchar* _tmp80_ = NULL;
			gint _tmp81_;
			gint _tmp82_;
			gchar* _tmp85_;
			gchar* _tmp86_;
#line 1503 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp71_ = device;
#line 1503 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp72_ = device_get_device_by_name (_tmp71_);
#line 1503 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev = _tmp72_;
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp74_ = dev;
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (_tmp74_ == NULL) {
#line 9471 "Device.c"
				const gchar* _tmp75_;
				gchar* _tmp76_;
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp75_ = device;
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp76_ = g_strdup (_tmp75_);
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp73_);
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp73_ = _tmp76_;
#line 9482 "Device.c"
			} else {
				Device* _tmp77_;
				gchar* _tmp78_;
				gchar* _tmp79_;
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp77_ = dev;
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp78_ = device_get_device_name_with_parent (_tmp77_);
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp79_ = _tmp78_;
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp73_);
#line 1505 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp73_ = _tmp79_;
#line 9497 "Device.c"
			}
#line 1506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp81_ = strlen (mount_options);
#line 1506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp82_ = _tmp81_;
#line 1506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (_tmp82_ > 0) {
#line 9505 "Device.c"
				gchar* _tmp83_;
#line 1506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp83_ = g_strdup_printf (" (%s)", mount_options);
#line 1506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp80_);
#line 1506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp80_ = _tmp83_;
#line 9513 "Device.c"
			} else {
				gchar* _tmp84_;
#line 1506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp84_ = g_strdup ("");
#line 1506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp80_);
#line 1506 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp80_ = _tmp84_;
#line 9522 "Device.c"
			}
#line 1504 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp85_ = g_strdup_printf ("Mounted '%s'%s at '%s'", _tmp73_, _tmp80_, mount_point);
#line 1504 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp86_ = _tmp85_;
#line 1504 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_msg (_tmp86_, FALSE);
#line 1504 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp86_);
#line 1502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp80_);
#line 1502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp73_);
#line 1502 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 9538 "Device.c"
		}
#line 1509 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = TRUE;
#line 1509 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (mps);
#line 1509 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1509 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1509 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1509 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1509 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1509 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 9556 "Device.c"
	}
#line 1427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (mps);
#line 1427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (uuid);
#line 1427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (device);
#line 1427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1427 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 9570 "Device.c"
}


gchar*
device_automount (const gchar* dev_name_or_uuid,
                  const gchar* mount_options,
                  const gchar* mount_prefix)
{
	gchar* result = NULL;
	gchar* device = NULL;
	gchar* _tmp0_;
	gchar* uuid = NULL;
	gchar* _tmp1_;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp9_;
	Device* dev = NULL;
	GeeArrayList* _tmp10_;
	const gchar* _tmp11_;
	Device* _tmp12_;
	Device* _tmp13_;
	gchar* mount_point = NULL;
	const gchar* _tmp21_;
	gchar* _tmp22_;
	const gchar* _tmp30_;
	const gchar* _tmp31_;
	GError * _inner_error_ = NULL;
#line 1524 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, NULL);
#line 1524 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (mount_options != NULL, NULL);
#line 1524 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (mount_prefix != NULL, NULL);
#line 1531 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1531 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device = _tmp0_;
#line 1532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 1532 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	uuid = _tmp1_;
#line 1536 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (g_str_has_prefix (dev_name_or_uuid, "/dev")) {
#line 9613 "Device.c"
		gchar* _tmp2_;
		gchar* _tmp3_;
#line 1537 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = g_strdup (dev_name_or_uuid);
#line 1537 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1537 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device = _tmp2_;
#line 1538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = device_get_device_uuid (dev_name_or_uuid);
#line 1538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1538 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		uuid = _tmp3_;
#line 9628 "Device.c"
	} else {
		gchar* _tmp4_;
		const gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_;
#line 1541 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = g_strdup (dev_name_or_uuid);
#line 1541 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1541 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		uuid = _tmp4_;
#line 1542 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = uuid;
#line 1542 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp5_);
#line 1542 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1542 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device = _tmp6_;
#line 1543 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = device;
#line 1543 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = device_resolve_device_name (_tmp7_);
#line 1543 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1543 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		device = _tmp8_;
#line 9657 "Device.c"
	}
#line 1548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp9_ = device_get_block_devices_using_lsblk ("");
#line 1548 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp9_;
#line 1549 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp10_ = list;
#line 1549 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp11_ = uuid;
#line 1549 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp12_ = device_find_device_in_list (_tmp10_, _tmp11_);
#line 1549 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	dev = _tmp12_;
#line 1550 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp13_ = dev;
#line 1550 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp13_ != NULL) {
#line 9675 "Device.c"
		Device* _tmp14_;
		GeeArrayList* _tmp15_;
		gpointer _tmp16_;
		MountEntry* _tmp17_;
		const gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = dev;
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp15_ = _tmp14_->mount_points;
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp16_ = gee_abstract_list_get ((GeeAbstractList*) _tmp15_, 0);
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = (MountEntry*) _tmp16_;
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp18_ = _tmp17_->mount_point;
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp19_ = g_strdup (_tmp18_);
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp20_ = _tmp19_;
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_tmp17_);
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp20_;
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1551 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 9711 "Device.c"
	}
#line 1556 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp21_ = uuid;
#line 1556 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp22_ = g_strdup_printf ("%s/%s", mount_prefix, _tmp21_);
#line 1556 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	mount_point = _tmp22_;
#line 9719 "Device.c"
	{
		GFile* file = NULL;
		const gchar* _tmp23_;
		GFile* _tmp24_;
		GFile* _tmp25_;
#line 1559 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp23_ = mount_point;
#line 1559 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp24_ = g_file_new_for_path (_tmp23_);
#line 1559 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		file = _tmp24_;
#line 1560 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp25_ = file;
#line 1560 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (!g_file_query_exists (_tmp25_, NULL)) {
#line 9735 "Device.c"
			GFile* _tmp26_;
#line 1561 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp26_ = file;
#line 1561 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			g_file_make_directory_with_parents (_tmp26_, NULL, &_inner_error_);
#line 1561 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1561 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (file);
#line 9745 "Device.c"
				goto __catch47_g_error;
			}
		}
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (file);
#line 9751 "Device.c"
	}
	goto __finally47;
	__catch47_g_error:
	{
		GError* e = NULL;
		GError* _tmp27_;
		const gchar* _tmp28_;
		gchar* _tmp29_;
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		e = _inner_error_;
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_inner_error_ = NULL;
#line 1565 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp27_ = e;
#line 1565 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp28_ = _tmp27_->message;
#line 1565 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp28_, FALSE, FALSE);
#line 1566 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp29_ = g_strdup ("");
#line 1566 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp29_;
#line 1566 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_error_free0 (e);
#line 1566 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (mount_point);
#line 1566 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1566 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1566 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1566 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1566 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 9788 "Device.c"
	}
	__finally47:
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (mount_point);
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_clear_error (&_inner_error_);
#line 1558 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return NULL;
#line 9809 "Device.c"
	}
#line 1571 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp30_ = uuid;
#line 1571 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp31_ = mount_point;
#line 1571 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (device_mount (_tmp30_, _tmp31_, mount_options, FALSE)) {
#line 1572 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = mount_point;
#line 1572 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1572 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1572 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1572 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1572 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 9829 "Device.c"
	} else {
		gchar* _tmp32_;
#line 1575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp32_ = g_strdup ("");
#line 1575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp32_;
#line 1575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (mount_point);
#line 1575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (device);
#line 1575 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 9848 "Device.c"
	}
#line 1524 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (mount_point);
#line 1524 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (dev);
#line 1524 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1524 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (uuid);
#line 1524 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (device);
#line 9860 "Device.c"
}


gboolean
device_unmount (const gchar* mount_point)
{
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint ret_val = 0;
	GError * _inner_error_ = NULL;
#line 1579 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (mount_point != NULL, FALSE);
#line 1584 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1584 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	cmd = _tmp0_;
#line 1590 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (!device_mount_point_in_use (mount_point)) {
#line 1591 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = TRUE;
#line 1591 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1591 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1591 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1591 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 9892 "Device.c"
	}
	{
		gchar* cmd_unmount = NULL;
		gchar* _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gint _tmp10_ = 0;
		const gchar* _tmp11_;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gint _tmp14_;
		gint _tmp15_;
#line 1598 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = g_strdup_printf ("cat /proc/mounts | awk '{print $2}' | grep '%s' | sort -r | xargs umou" \
"nt", mount_point);
#line 1598 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		cmd_unmount = _tmp1_;
#line 1600 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = g_strdup_printf (": '%s'", mount_point);
#line 1600 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = _tmp2_;
#line 1600 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = g_strconcat (_ ("Unmounting from"), _tmp3_, NULL);
#line 1600 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 1600 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_debug (_tmp5_);
#line 1600 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp5_);
#line 1600 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp3_);
#line 1603 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = g_strdup ("sync");
#line 1603 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1603 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		cmd = _tmp6_;
#line 1604 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = cmd;
#line 1604 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_spawn_command_line_sync (_tmp7_, &_tmp8_, &_tmp9_, &_tmp10_, &_inner_error_);
#line 1604 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1604 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		std_out = _tmp8_;
#line 1604 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1604 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		std_err = _tmp9_;
#line 1604 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		ret_val = _tmp10_;
#line 1604 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1604 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (cmd_unmount);
#line 9953 "Device.c"
			goto __catch48_g_error;
		}
#line 1608 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = cmd_unmount;
#line 1608 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = tee_jee_process_helper_exec_script_sync (_tmp11_, &_tmp12_, &_tmp13_, FALSE, FALSE, TRUE, FALSE);
#line 1608 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1608 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		std_out = _tmp12_;
#line 1608 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1608 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		std_err = _tmp13_;
#line 1608 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		ret_val = _tmp14_;
#line 1610 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp15_ = ret_val;
#line 1610 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp15_ != 0) {
#line 9974 "Device.c"
			const gchar* _tmp16_;
#line 1611 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_error (_ ("Failed to unmount"), FALSE, FALSE);
#line 1612 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp16_ = std_err;
#line 1612 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_error (_tmp16_, FALSE, FALSE);
#line 9982 "Device.c"
		}
#line 1596 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd_unmount);
#line 9986 "Device.c"
	}
	goto __finally48;
	__catch48_g_error:
	{
		GError* e = NULL;
		GError* _tmp17_;
		const gchar* _tmp18_;
#line 1596 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		e = _inner_error_;
#line 1596 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_inner_error_ = NULL;
#line 1616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = e;
#line 1616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp18_ = _tmp17_->message;
#line 1616 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp18_, FALSE, FALSE);
#line 1617 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = FALSE;
#line 1617 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_error_free0 (e);
#line 1617 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1617 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1617 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1617 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 10016 "Device.c"
	}
	__finally48:
#line 1596 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 10021 "Device.c"
		gboolean _tmp19_ = FALSE;
#line 1596 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1596 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1596 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1596 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1596 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_clear_error (&_inner_error_);
#line 1596 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return _tmp19_;
#line 10035 "Device.c"
	}
#line 1621 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (!device_mount_point_in_use (mount_point)) {
#line 1622 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = TRUE;
#line 1622 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1622 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1622 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1622 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 10049 "Device.c"
	} else {
#line 1625 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = FALSE;
#line 1625 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1625 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1625 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1625 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 10061 "Device.c"
	}
#line 1579 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1579 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1579 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 10069 "Device.c"
}


gchar*
device_description (Device* self)
{
	gchar* result = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
#line 1681 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_description_formatted (self);
#line 1682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = string_replace (_tmp1_, "<b>", "");
#line 1682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = string_replace (_tmp3_, "</b>", "");
#line 1682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = _tmp4_;
#line 1682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 1682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 1682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp5_;
#line 1682 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 10105 "Device.c"
}


gchar*
device_description_formatted (Device* self)
{
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp70_;
	gchar* _tmp71_;
#line 1685 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1686 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1686 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	s = _tmp0_;
#line 1688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 10128 "Device.c"
		const gchar* _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		const gchar* _tmp9_;
		gint _tmp10_;
		gint _tmp11_;
		const gchar* _tmp17_;
		gint _tmp18_;
		gint _tmp19_;
		guint64 _tmp25_;
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = s;
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = self->kname;
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = g_strconcat ("<b>", _tmp3_, NULL);
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = g_strconcat (_tmp5_, "</b> ~", NULL);
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = g_strconcat (_tmp2_, _tmp7_, NULL);
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (s);
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		s = _tmp8_;
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp7_);
#line 1689 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp5_);
#line 1690 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = self->vendor;
#line 1690 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = strlen (_tmp9_);
#line 1690 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = _tmp10_;
#line 1690 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp11_ > 0) {
#line 10173 "Device.c"
			const gchar* _tmp12_;
			const gchar* _tmp13_;
			gchar* _tmp14_;
			gchar* _tmp15_;
			gchar* _tmp16_;
#line 1691 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp12_ = s;
#line 1691 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = self->vendor;
#line 1691 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = g_strconcat (" ", _tmp13_, NULL);
#line 1691 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = _tmp14_;
#line 1691 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp16_ = g_strconcat (_tmp12_, _tmp15_, NULL);
#line 1691 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1691 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp16_;
#line 1691 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 10195 "Device.c"
		}
#line 1693 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = self->model;
#line 1693 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp18_ = strlen (_tmp17_);
#line 1693 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp19_ = _tmp18_;
#line 1693 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp19_ > 0) {
#line 10205 "Device.c"
			const gchar* _tmp20_;
			const gchar* _tmp21_;
			gchar* _tmp22_;
			gchar* _tmp23_;
			gchar* _tmp24_;
#line 1694 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp20_ = s;
#line 1694 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp21_ = self->model;
#line 1694 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp22_ = g_strconcat (" ", _tmp21_, NULL);
#line 1694 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp23_ = _tmp22_;
#line 1694 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp24_ = g_strconcat (_tmp20_, _tmp23_, NULL);
#line 1694 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1694 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp24_;
#line 1694 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp23_);
#line 10227 "Device.c"
		}
#line 1696 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp25_ = self->size_bytes;
#line 1696 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp25_ > ((guint64) 0)) {
#line 10233 "Device.c"
			const gchar* _tmp26_;
			guint64 _tmp27_;
			gchar* _tmp28_;
			gchar* _tmp29_;
			gchar* _tmp30_;
			gchar* _tmp31_;
			gchar* _tmp32_;
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp26_ = s;
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp27_ = self->size_bytes;
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp28_ = tee_jee_file_system_format_file_size (_tmp27_, FALSE, "", TRUE, 0);
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp29_ = _tmp28_;
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp30_ = g_strdup_printf (" (%s)", _tmp29_);
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp31_ = _tmp30_;
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp32_ = g_strconcat (_tmp26_, _tmp31_, NULL);
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp32_;
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp31_);
#line 1697 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp29_);
#line 10263 "Device.c"
		}
	} else {
		const gchar* _tmp33_;
		gchar* _tmp34_;
		gchar* _tmp35_;
		gchar* _tmp36_;
		gchar* _tmp37_;
		gchar* _tmp38_;
		gchar* _tmp39_;
		gchar* _tmp40_;
		gchar* _tmp41_;
		gchar* _tmp42_ = NULL;
		const gchar* _tmp43_;
		gint _tmp44_;
		gint _tmp45_;
		const gchar* _tmp51_;
		gchar* _tmp52_;
		gchar* _tmp53_ = NULL;
		const gchar* _tmp54_;
		gint _tmp55_;
		gint _tmp56_;
		const gchar* _tmp60_;
		gchar* _tmp61_;
		guint64 _tmp62_;
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp33_ = s;
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp34_ = device_get_short_name_with_parent (self);
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp35_ = _tmp34_;
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp36_ = _tmp35_;
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp37_ = g_strconcat ("<b>", _tmp36_, NULL);
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp38_ = _tmp37_;
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp39_ = g_strconcat (_tmp38_, "</b>", NULL);
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp40_ = _tmp39_;
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp41_ = g_strconcat (_tmp33_, _tmp40_, NULL);
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (s);
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		s = _tmp41_;
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp40_);
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp38_);
#line 1701 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp36_);
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp43_ = self->label;
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp44_ = strlen (_tmp43_);
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp45_ = _tmp44_;
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp45_ > 0) {
#line 10324 "Device.c"
			const gchar* _tmp46_;
			gchar* _tmp47_;
			gchar* _tmp48_;
			gchar* _tmp49_;
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp46_ = self->label;
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp47_ = g_strconcat (" (", _tmp46_, NULL);
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp48_ = _tmp47_;
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp49_ = g_strconcat (_tmp48_, ")", NULL);
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp42_);
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp42_ = _tmp49_;
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp48_);
#line 10343 "Device.c"
		} else {
			gchar* _tmp50_;
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp50_ = g_strdup ("");
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp42_);
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp42_ = _tmp50_;
#line 10352 "Device.c"
		}
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp51_ = s;
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp52_ = g_strconcat (_tmp51_, _tmp42_, NULL);
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (s);
#line 1702 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		s = _tmp52_;
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp54_ = self->fstype;
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp55_ = strlen (_tmp54_);
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp56_ = _tmp55_;
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp56_ > 0) {
#line 10370 "Device.c"
			const gchar* _tmp57_;
			gchar* _tmp58_;
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp57_ = self->fstype;
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp58_ = g_strconcat (" ~ ", _tmp57_, NULL);
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp53_);
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp53_ = _tmp58_;
#line 10381 "Device.c"
		} else {
			gchar* _tmp59_;
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp59_ = g_strdup ("");
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp53_);
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp53_ = _tmp59_;
#line 10390 "Device.c"
		}
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp60_ = s;
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp61_ = g_strconcat (_tmp60_, _tmp53_, NULL);
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (s);
#line 1703 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		s = _tmp61_;
#line 1704 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp62_ = self->size_bytes;
#line 1704 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp62_ > ((guint64) 0)) {
#line 10404 "Device.c"
			const gchar* _tmp63_;
			guint64 _tmp64_;
			gchar* _tmp65_;
			gchar* _tmp66_;
			gchar* _tmp67_;
			gchar* _tmp68_;
			gchar* _tmp69_;
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp63_ = s;
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp64_ = self->size_bytes;
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp65_ = tee_jee_file_system_format_file_size (_tmp64_, FALSE, "", TRUE, 0);
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp66_ = _tmp65_;
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp67_ = g_strdup_printf (" (%s)", _tmp66_);
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp68_ = _tmp67_;
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp69_ = g_strconcat (_tmp63_, _tmp68_, NULL);
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp69_;
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp68_);
#line 1705 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp66_);
#line 10434 "Device.c"
		}
#line 1688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp53_);
#line 1688 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp42_);
#line 10440 "Device.c"
	}
#line 1709 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp70_ = s;
#line 1709 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp71_ = string_strip (_tmp70_);
#line 1709 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp71_;
#line 1709 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (s);
#line 1709 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 10452 "Device.c"
}


gchar*
device_description_simple (Device* self)
{
	gchar* result = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
#line 1712 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1713 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_description_simple_formatted (self);
#line 1713 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1713 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = string_replace (_tmp1_, "<b>", "");
#line 1713 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1713 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = string_replace (_tmp3_, "</b>", "");
#line 1713 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = _tmp4_;
#line 1713 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 1713 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 1713 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp5_;
#line 1713 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 10488 "Device.c"
}


gchar*
device_description_simple_formatted (Device* self)
{
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp76_;
	gchar* _tmp77_;
#line 1716 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1718 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1718 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	s = _tmp0_;
#line 1720 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1720 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 10511 "Device.c"
		const gchar* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		const gchar* _tmp10_;
		gint _tmp11_;
		gint _tmp12_;
		guint64 _tmp18_;
#line 1721 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = self->vendor;
#line 1721 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = strlen (_tmp2_);
#line 1721 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 1721 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp4_ > 0) {
#line 10527 "Device.c"
			const gchar* _tmp5_;
			const gchar* _tmp6_;
			gchar* _tmp7_;
			gchar* _tmp8_;
			gchar* _tmp9_;
#line 1722 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp5_ = s;
#line 1722 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp6_ = self->vendor;
#line 1722 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp7_ = g_strconcat (" ", _tmp6_, NULL);
#line 1722 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp8_ = _tmp7_;
#line 1722 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1722 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1722 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp9_;
#line 1722 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp8_);
#line 10549 "Device.c"
		}
#line 1724 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = self->model;
#line 1724 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = strlen (_tmp10_);
#line 1724 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1724 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp12_ > 0) {
#line 10559 "Device.c"
			const gchar* _tmp13_;
			const gchar* _tmp14_;
			gchar* _tmp15_;
			gchar* _tmp16_;
			gchar* _tmp17_;
#line 1725 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = s;
#line 1725 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = self->model;
#line 1725 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = g_strconcat (" ", _tmp14_, NULL);
#line 1725 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp16_ = _tmp15_;
#line 1725 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp17_ = g_strconcat (_tmp13_, _tmp16_, NULL);
#line 1725 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1725 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp17_;
#line 1725 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp16_);
#line 10581 "Device.c"
		}
#line 1727 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp18_ = self->size_bytes;
#line 1727 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp18_ > ((guint64) 0)) {
#line 10587 "Device.c"
			const gchar* _tmp19_;
			gchar* _tmp20_;
			gchar* _tmp21_;
			gint _tmp22_;
			gint _tmp23_;
			gboolean _tmp24_;
#line 1728 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp19_ = s;
#line 1728 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp20_ = string_strip (_tmp19_);
#line 1728 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp21_ = _tmp20_;
#line 1728 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp22_ = strlen (_tmp21_);
#line 1728 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp23_ = _tmp22_;
#line 1728 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp24_ = _tmp23_ == 0;
#line 1728 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp21_);
#line 1728 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (_tmp24_) {
#line 10610 "Device.c"
				const gchar* _tmp25_;
				guint64 _tmp26_;
				gchar* _tmp27_;
				gchar* _tmp28_;
				gchar* _tmp29_;
				gchar* _tmp30_;
				gchar* _tmp31_;
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp25_ = s;
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp26_ = self->size_bytes;
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp27_ = tee_jee_file_system_format_file_size (_tmp26_, FALSE, "", TRUE, 0);
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp28_ = _tmp27_;
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp29_ = g_strdup_printf ("%s Device", _tmp28_);
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp30_ = _tmp29_;
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp31_ = g_strconcat (_tmp25_, _tmp30_, NULL);
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (s);
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				s = _tmp31_;
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp30_);
#line 1729 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp28_);
#line 10640 "Device.c"
			} else {
				const gchar* _tmp32_;
				guint64 _tmp33_;
				gchar* _tmp34_;
				gchar* _tmp35_;
				gchar* _tmp36_;
				gchar* _tmp37_;
				gchar* _tmp38_;
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp32_ = s;
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp33_ = self->size_bytes;
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp34_ = tee_jee_file_system_format_file_size (_tmp33_, FALSE, "", TRUE, 0);
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp35_ = _tmp34_;
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp36_ = g_strdup_printf (" (%s)", _tmp35_);
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp37_ = _tmp36_;
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38_ = g_strconcat (_tmp32_, _tmp37_, NULL);
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (s);
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				s = _tmp38_;
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp37_);
#line 1732 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp35_);
#line 10671 "Device.c"
			}
		}
	} else {
		const gchar* _tmp39_;
		gchar* _tmp40_;
		gchar* _tmp41_;
		gchar* _tmp42_;
		gchar* _tmp43_;
		gchar* _tmp44_;
		gchar* _tmp45_;
		gchar* _tmp46_;
		gchar* _tmp47_;
		gchar* _tmp48_ = NULL;
		const gchar* _tmp49_;
		gint _tmp50_;
		gint _tmp51_;
		const gchar* _tmp57_;
		gchar* _tmp58_;
		gchar* _tmp59_ = NULL;
		const gchar* _tmp60_;
		gint _tmp61_;
		gint _tmp62_;
		const gchar* _tmp66_;
		gchar* _tmp67_;
		guint64 _tmp68_;
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp39_ = s;
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp40_ = device_get_short_name_with_parent (self);
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp41_ = _tmp40_;
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp42_ = _tmp41_;
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp43_ = g_strconcat ("<b>", _tmp42_, NULL);
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp44_ = _tmp43_;
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp45_ = g_strconcat (_tmp44_, "</b>", NULL);
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp46_ = _tmp45_;
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp47_ = g_strconcat (_tmp39_, _tmp46_, NULL);
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (s);
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		s = _tmp47_;
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp46_);
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp44_);
#line 1737 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp42_);
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp49_ = self->label;
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp50_ = strlen (_tmp49_);
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp51_ = _tmp50_;
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp51_ > 0) {
#line 10733 "Device.c"
			const gchar* _tmp52_;
			gchar* _tmp53_;
			gchar* _tmp54_;
			gchar* _tmp55_;
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp52_ = self->label;
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp53_ = g_strconcat (" (", _tmp52_, NULL);
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp54_ = _tmp53_;
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp55_ = g_strconcat (_tmp54_, ")", NULL);
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp48_);
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp48_ = _tmp55_;
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp54_);
#line 10752 "Device.c"
		} else {
			gchar* _tmp56_;
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp56_ = g_strdup ("");
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp48_);
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp48_ = _tmp56_;
#line 10761 "Device.c"
		}
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp57_ = s;
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp58_ = g_strconcat (_tmp57_, _tmp48_, NULL);
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (s);
#line 1738 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		s = _tmp58_;
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp60_ = self->fstype;
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp61_ = strlen (_tmp60_);
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp62_ = _tmp61_;
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp62_ > 0) {
#line 10779 "Device.c"
			const gchar* _tmp63_;
			gchar* _tmp64_;
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp63_ = self->fstype;
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp64_ = g_strconcat (" ~ ", _tmp63_, NULL);
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp59_);
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp59_ = _tmp64_;
#line 10790 "Device.c"
		} else {
			gchar* _tmp65_;
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp65_ = g_strdup ("");
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp59_);
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp59_ = _tmp65_;
#line 10799 "Device.c"
		}
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp66_ = s;
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp67_ = g_strconcat (_tmp66_, _tmp59_, NULL);
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (s);
#line 1739 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		s = _tmp67_;
#line 1740 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp68_ = self->size_bytes;
#line 1740 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp68_ > ((guint64) 0)) {
#line 10813 "Device.c"
			const gchar* _tmp69_;
			guint64 _tmp70_;
			gchar* _tmp71_;
			gchar* _tmp72_;
			gchar* _tmp73_;
			gchar* _tmp74_;
			gchar* _tmp75_;
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp69_ = s;
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp70_ = self->size_bytes;
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp71_ = tee_jee_file_system_format_file_size (_tmp70_, FALSE, "", TRUE, 0);
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp72_ = _tmp71_;
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp73_ = g_strdup_printf (" (%s)", _tmp72_);
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp74_ = _tmp73_;
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp75_ = g_strconcat (_tmp69_, _tmp74_, NULL);
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp75_;
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp74_);
#line 1741 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp72_);
#line 10843 "Device.c"
		}
#line 1720 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp59_);
#line 1720 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp48_);
#line 10849 "Device.c"
	}
#line 1745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp76_ = s;
#line 1745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp77_ = string_strip (_tmp76_);
#line 1745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp77_;
#line 1745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (s);
#line 1745 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 10861 "Device.c"
}


gchar*
device_description_full_free (Device* self)
{
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1748 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1749 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1749 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	s = _tmp0_;
#line 1751 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1751 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 10882 "Device.c"
		const gchar* _tmp2_;
		const gchar* _tmp3_;
		const gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		const gchar* _tmp10_;
		gint _tmp11_;
		gint _tmp12_;
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = s;
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = self->model;
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = self->vendor;
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = g_strdup_printf ("%s %s", _tmp3_, _tmp4_);
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = _tmp5_;
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = string_strip (_tmp6_);
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp2_, _tmp8_, NULL);
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (s);
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		s = _tmp9_;
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 1752 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp6_);
#line 1753 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = s;
#line 1753 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = strlen (_tmp10_);
#line 1753 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1753 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp12_ == 0) {
#line 10926 "Device.c"
			guint64 _tmp13_;
			gchar* _tmp14_;
			gchar* _tmp15_;
			gchar* _tmp16_;
#line 1754 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = self->size_bytes;
#line 1754 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = tee_jee_file_system_format_file_size (_tmp13_, FALSE, "", TRUE, 1);
#line 1754 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = _tmp14_;
#line 1754 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp16_ = g_strdup_printf ("%s Disk", _tmp15_);
#line 1754 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1754 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp16_;
#line 1754 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 10945 "Device.c"
		} else {
			const gchar* _tmp17_;
			guint64 _tmp18_;
			gchar* _tmp19_;
			gchar* _tmp20_;
			gchar* _tmp21_;
			gchar* _tmp22_;
			gchar* _tmp23_;
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp17_ = s;
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp18_ = self->size_bytes;
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp19_ = tee_jee_file_system_format_file_size (_tmp18_, FALSE, "", TRUE, 1);
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp20_ = _tmp19_;
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp21_ = g_strdup_printf (" (%s Disk)", _tmp20_);
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp22_ = _tmp21_;
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp23_ = g_strconcat (_tmp17_, _tmp22_, NULL);
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp23_;
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp22_);
#line 1757 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp20_);
#line 10976 "Device.c"
		}
	} else {
		const gchar* _tmp24_;
		const gchar* _tmp25_;
		gchar* _tmp26_;
		const gchar* _tmp27_;
		gint _tmp28_;
		gint _tmp29_;
		const gchar* _tmp35_;
		gint _tmp36_;
		gint _tmp37_;
		guint64 _tmp43_;
		guint64 _tmp44_;
#line 1761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp24_ = s;
#line 1761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp25_ = self->kname;
#line 1761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp26_ = g_strconcat (_tmp24_, _tmp25_, NULL);
#line 1761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (s);
#line 1761 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		s = _tmp26_;
#line 1762 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp27_ = self->label;
#line 1762 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp28_ = strlen (_tmp27_);
#line 1762 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp29_ = _tmp28_;
#line 1762 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp29_ > 0) {
#line 11008 "Device.c"
			const gchar* _tmp30_;
			const gchar* _tmp31_;
			gchar* _tmp32_;
			gchar* _tmp33_;
			gchar* _tmp34_;
#line 1763 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp30_ = s;
#line 1763 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp31_ = self->label;
#line 1763 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp32_ = g_strdup_printf (" (%s)", _tmp31_);
#line 1763 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp33_ = _tmp32_;
#line 1763 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp34_ = g_strconcat (_tmp30_, _tmp33_, NULL);
#line 1763 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1763 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp34_;
#line 1763 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp33_);
#line 11030 "Device.c"
		}
#line 1765 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp35_ = self->fstype;
#line 1765 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp36_ = strlen (_tmp35_);
#line 1765 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp37_ = _tmp36_;
#line 1765 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp37_ > 0) {
#line 11040 "Device.c"
			const gchar* _tmp38_;
			const gchar* _tmp39_;
			gchar* _tmp40_;
			gchar* _tmp41_;
			gchar* _tmp42_;
#line 1766 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp38_ = s;
#line 1766 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp39_ = self->fstype;
#line 1766 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp40_ = g_strdup_printf (" ~ %s", _tmp39_);
#line 1766 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp41_ = _tmp40_;
#line 1766 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp42_ = g_strconcat (_tmp38_, _tmp41_, NULL);
#line 1766 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1766 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp42_;
#line 1766 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp41_);
#line 11062 "Device.c"
		}
#line 1768 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp43_ = device_get_free_bytes (self);
#line 1768 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp44_ = _tmp43_;
#line 1768 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp44_ > ((guint64) 0)) {
#line 11070 "Device.c"
			const gchar* _tmp45_;
			gchar* _tmp46_;
			gchar* _tmp47_;
			gchar* _tmp48_;
			gchar* _tmp49_;
			gchar* _tmp50_;
#line 1769 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp45_ = s;
#line 1769 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp46_ = device_description_free (self);
#line 1769 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp47_ = _tmp46_;
#line 1769 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp48_ = g_strdup_printf (" ~ %s", _tmp47_);
#line 1769 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp49_ = _tmp48_;
#line 1769 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp50_ = g_strconcat (_tmp45_, _tmp49_, NULL);
#line 1769 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (s);
#line 1769 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			s = _tmp50_;
#line 1769 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp49_);
#line 1769 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp47_);
#line 11097 "Device.c"
		}
	}
#line 1773 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = s;
#line 1773 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 11104 "Device.c"
}


gchar*
device_description_full (Device* self)
{
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
	const gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_ = NULL;
	const gchar* _tmp16_;
	gint _tmp17_;
	gint _tmp18_;
	const gchar* _tmp22_;
	gchar* _tmp23_;
	gchar* _tmp24_ = NULL;
	const gchar* _tmp25_;
	gint _tmp26_;
	gint _tmp27_;
	const gchar* _tmp31_;
	gchar* _tmp32_;
	gchar* _tmp33_ = NULL;
	gchar* _tmp34_;
	gchar* _tmp35_;
	gchar* _tmp36_;
	gint _tmp37_;
	gint _tmp38_;
	gboolean _tmp39_;
	const gchar* _tmp59_;
	gchar* _tmp60_;
#line 1776 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1777 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1777 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	s = _tmp0_;
#line 1778 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = s;
#line 1778 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = self->device;
#line 1778 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = g_strconcat (_tmp1_, _tmp2_, NULL);
#line 1778 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (s);
#line 1778 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	s = _tmp3_;
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = self->label;
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp6_ = strlen (_tmp5_);
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp7_ = _tmp6_;
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp7_ > 0) {
#line 11168 "Device.c"
		const gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = self->label;
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (" (", _tmp8_, NULL);
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = g_strconcat (_tmp10_, ")", NULL);
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp11_;
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 11187 "Device.c"
	} else {
		gchar* _tmp12_;
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp12_ = g_strdup ("");
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp12_;
#line 11196 "Device.c"
	}
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp13_ = s;
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp14_ = g_strconcat (_tmp13_, _tmp4_, NULL);
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (s);
#line 1779 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	s = _tmp14_;
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp16_ = self->uuid;
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp17_ = strlen (_tmp16_);
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp18_ = _tmp17_;
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp18_ > 0) {
#line 11214 "Device.c"
		const gchar* _tmp19_;
		gchar* _tmp20_;
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp19_ = self->uuid;
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp20_ = g_strconcat (" ~ ", _tmp19_, NULL);
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp15_ = _tmp20_;
#line 11225 "Device.c"
	} else {
		gchar* _tmp21_;
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp21_ = g_strdup ("");
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp15_ = _tmp21_;
#line 11234 "Device.c"
	}
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp22_ = s;
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp23_ = g_strconcat (_tmp22_, _tmp15_, NULL);
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (s);
#line 1780 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	s = _tmp23_;
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp25_ = self->fstype;
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp26_ = strlen (_tmp25_);
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp27_ = _tmp26_;
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp27_ > 0) {
#line 11252 "Device.c"
		const gchar* _tmp28_;
		gchar* _tmp29_;
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp28_ = self->fstype;
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp29_ = g_strconcat (" ~ ", _tmp28_, NULL);
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp24_);
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp24_ = _tmp29_;
#line 11263 "Device.c"
	} else {
		gchar* _tmp30_;
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp30_ = g_strdup ("");
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp24_);
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp24_ = _tmp30_;
#line 11272 "Device.c"
	}
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp31_ = s;
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp32_ = g_strconcat (_tmp31_, _tmp24_, NULL);
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (s);
#line 1781 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	s = _tmp32_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp34_ = device_get_used (self);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp35_ = _tmp34_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp36_ = _tmp35_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp37_ = strlen (_tmp36_);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp38_ = _tmp37_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp39_ = _tmp38_ > 0;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp36_);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp39_) {
#line 11298 "Device.c"
		gchar* _tmp40_;
		gchar* _tmp41_;
		gchar* _tmp42_;
		gchar* _tmp43_;
		gchar* _tmp44_;
		gchar* _tmp45_;
		gchar* _tmp46_;
		gchar* _tmp47_;
		gchar* _tmp48_;
		gchar* _tmp49_;
		gchar* _tmp50_;
		gchar* _tmp51_;
		gchar* _tmp52_;
		gchar* _tmp53_;
		const gchar* _tmp54_;
		gchar* _tmp55_;
		gchar* _tmp56_;
		gchar* _tmp57_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp40_ = device_get_used (self);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp41_ = _tmp40_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp42_ = _tmp41_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp43_ = g_strconcat (" ~ ", _tmp42_, NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp44_ = _tmp43_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp45_ = g_strconcat (_tmp44_, " / ", NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp46_ = _tmp45_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp47_ = device_get_size (self);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp48_ = _tmp47_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp49_ = _tmp48_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp50_ = g_strconcat (_tmp46_, _tmp49_, NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp51_ = _tmp50_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp52_ = g_strconcat (_tmp51_, " GB used (", NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp53_ = _tmp52_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp54_ = self->used_percent;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp55_ = g_strconcat (_tmp53_, _tmp54_, NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp56_ = _tmp55_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp57_ = g_strconcat (_tmp56_, ")", NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp33_);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp33_ = _tmp57_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp56_);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp53_);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp51_);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp49_);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp46_);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp44_);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp42_);
#line 11371 "Device.c"
	} else {
		gchar* _tmp58_;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp58_ = g_strdup ("");
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp33_);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp33_ = _tmp58_;
#line 11380 "Device.c"
	}
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp59_ = s;
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp60_ = g_strconcat (_tmp59_, _tmp33_, NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (s);
#line 1782 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	s = _tmp60_;
#line 1784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = s;
#line 1784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp33_);
#line 1784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp24_);
#line 1784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp15_);
#line 1784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp4_);
#line 1784 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 11402 "Device.c"
}


gchar*
device_description_usage (Device* self)
{
	gchar* result = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	gboolean _tmp5_;
#line 1787 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_get_used (self);
#line 1788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 1788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = _tmp4_ > 0;
#line 1788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp2_);
#line 1788 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp5_) {
#line 11434 "Device.c"
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
		const gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
		gchar* _tmp21_;
		gchar* _tmp22_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = device_get_used (self);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp8_, " / ", NULL);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = device_get_size (self);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp13_ = _tmp12_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = g_strconcat (_tmp10_, _tmp13_, NULL);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp15_ = _tmp14_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp16_ = g_strconcat (_tmp15_, " used (", NULL);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = _tmp16_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp18_ = self->used_percent;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp19_ = g_strconcat (_tmp17_, _tmp18_, NULL);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp20_ = _tmp19_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp21_ = g_strconcat (_tmp20_, ")", NULL);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp22_ = _tmp21_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp20_);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp17_);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp13_);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp22_;
#line 1789 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 11502 "Device.c"
	} else {
		gchar* _tmp23_;
#line 1792 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp23_ = g_strdup ("");
#line 1792 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp23_;
#line 1792 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 11511 "Device.c"
	}
}


gchar*
device_description_free (Device* self)
{
	gchar* result = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	gboolean _tmp5_;
#line 1796 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_get_used (self);
#line 1797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 1797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = _tmp4_ > 0;
#line 1797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp2_);
#line 1797 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp5_) {
#line 11544 "Device.c"
		guint64 _tmp6_;
		guint64 _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		guint64 _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
		gchar* _tmp18_;
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = device_get_free_bytes (self);
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = tee_jee_file_system_format_file_size (_tmp7_, FALSE, "g", FALSE, 1);
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = _tmp8_;
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = g_strconcat (_tmp9_, " / ", NULL);
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = _tmp10_;
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp12_ = self->size_bytes;
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp13_ = tee_jee_file_system_format_file_size (_tmp12_, FALSE, "g", TRUE, 1);
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = _tmp13_;
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp15_ = g_strconcat (_tmp11_, _tmp14_, NULL);
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp16_ = _tmp15_;
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = g_strconcat (_tmp16_, " free", NULL);
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp18_ = _tmp17_;
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp16_);
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp14_);
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp11_);
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp9_);
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp18_;
#line 1798 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 11596 "Device.c"
	} else {
		gchar* _tmp19_;
#line 1802 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp19_ = g_strdup ("");
#line 1802 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp19_;
#line 1802 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 11605 "Device.c"
	}
}


gchar*
device_tooltip_text (Device* self)
{
	gchar* result = NULL;
	gchar* tt = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp98_;
	gchar* _tmp99_;
#line 1806 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1807 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1807 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tt = _tmp0_;
#line 1809 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1809 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 11629 "Device.c"
		const gchar* _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
		const gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		const gchar* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		const gchar* _tmp17_;
		const gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
		gchar* _tmp21_;
		const gchar* _tmp22_;
		const gchar* _tmp23_;
		gchar* _tmp24_;
		gchar* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_ = NULL;
		guint64 _tmp28_;
		const gchar* _tmp32_;
		gchar* _tmp33_;
		gchar* _tmp34_;
		gchar* _tmp35_;
#line 1810 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = tt;
#line 1810 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = self->device;
#line 1810 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = g_strdup_printf ("%-15s: %s\n", _ ("Device"), _tmp3_);
#line 1810 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 1810 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = g_strconcat (_tmp2_, _tmp5_, NULL);
#line 1810 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1810 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp6_;
#line 1810 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp5_);
#line 1811 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = tt;
#line 1811 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = self->vendor;
#line 1811 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = g_strdup_printf ("%-15s: %s\n", _ ("Vendor"), _tmp8_);
#line 1811 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1811 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp11_ = g_strconcat (_tmp7_, _tmp10_, NULL);
#line 1811 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1811 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp11_;
#line 1811 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 1812 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp12_ = tt;
#line 1812 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp13_ = self->model;
#line 1812 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp14_ = g_strdup_printf ("%-15s: %s\n", _ ("Model"), _tmp13_);
#line 1812 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp15_ = _tmp14_;
#line 1812 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp16_ = g_strconcat (_tmp12_, _tmp15_, NULL);
#line 1812 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1812 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp16_;
#line 1812 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1813 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = tt;
#line 1813 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp18_ = self->serial;
#line 1813 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp19_ = g_strdup_printf ("%-15s: %s\n", _ ("Serial"), _tmp18_);
#line 1813 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp20_ = _tmp19_;
#line 1813 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp21_ = g_strconcat (_tmp17_, _tmp20_, NULL);
#line 1813 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1813 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp21_;
#line 1813 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp20_);
#line 1814 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp22_ = tt;
#line 1814 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp23_ = self->revision;
#line 1814 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp24_ = g_strdup_printf ("%-15s: %s\n", _ ("Revision"), _tmp23_);
#line 1814 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp25_ = _tmp24_;
#line 1814 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp26_ = g_strconcat (_tmp22_, _tmp25_, NULL);
#line 1814 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1814 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp26_;
#line 1814 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp25_);
#line 1817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp28_ = self->size_bytes;
#line 1817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp28_ > ((guint64) 0)) {
#line 11745 "Device.c"
			guint64 _tmp29_;
			gchar* _tmp30_;
#line 1817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp29_ = self->size_bytes;
#line 1817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp30_ = tee_jee_file_system_format_file_size (_tmp29_, FALSE, "", TRUE, 1);
#line 1817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp27_);
#line 1817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp27_ = _tmp30_;
#line 11756 "Device.c"
		} else {
			gchar* _tmp31_;
#line 1817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp31_ = g_strdup ("N/A");
#line 1817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp27_);
#line 1817 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp27_ = _tmp31_;
#line 11765 "Device.c"
		}
#line 1816 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp32_ = tt;
#line 1816 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp33_ = g_strdup_printf ("%-15s: %s\n", _ ("Size"), _tmp27_);
#line 1816 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp34_ = _tmp33_;
#line 1816 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp35_ = g_strconcat (_tmp32_, _tmp34_, NULL);
#line 1816 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1816 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp35_;
#line 1816 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp34_);
#line 1809 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp27_);
#line 11783 "Device.c"
	} else {
		gchar* _tmp36_ = NULL;
		const gchar* _tmp37_;
		gint _tmp38_;
		gint _tmp39_;
		const gchar* _tmp45_;
		gchar* _tmp46_;
		gchar* _tmp47_;
		gchar* _tmp48_;
		const gchar* _tmp55_;
		const gchar* _tmp56_;
		gchar* _tmp57_;
		gchar* _tmp58_;
		gchar* _tmp59_;
		const gchar* _tmp60_;
		const gchar* _tmp61_;
		gchar* _tmp62_;
		gchar* _tmp63_;
		gchar* _tmp64_;
		const gchar* _tmp65_;
		const gchar* _tmp66_;
		gchar* _tmp67_;
		gchar* _tmp68_;
		gchar* _tmp69_;
		const gchar* _tmp70_;
		const gchar* _tmp71_;
		gchar* _tmp72_;
		gchar* _tmp73_;
		gchar* _tmp74_;
		gchar* _tmp75_ = NULL;
		guint64 _tmp76_;
		const gchar* _tmp80_;
		gchar* _tmp81_;
		gchar* _tmp82_;
		gchar* _tmp83_;
		gchar* _tmp84_ = NULL;
		guint64 _tmp85_;
		const gchar* _tmp89_;
		gchar* _tmp90_;
		gchar* _tmp91_;
		gchar* _tmp92_;
		const gchar* _tmp93_;
		const gchar* _tmp94_;
		gchar* _tmp95_;
		gchar* _tmp96_;
		gchar* _tmp97_;
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp37_ = self->mapped_name;
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp38_ = strlen (_tmp37_);
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp39_ = _tmp38_;
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp39_ > 0) {
#line 11838 "Device.c"
			const gchar* _tmp40_;
			const gchar* _tmp41_;
			gchar* _tmp42_;
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp40_ = self->device;
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp41_ = self->mapped_name;
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp42_ = g_strdup_printf ("%s → %s", _tmp40_, _tmp41_);
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp36_);
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp36_ = _tmp42_;
#line 11852 "Device.c"
		} else {
			const gchar* _tmp43_;
			gchar* _tmp44_;
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp43_ = self->device;
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp44_ = g_strdup (_tmp43_);
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp36_);
#line 1821 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp36_ = _tmp44_;
#line 11864 "Device.c"
		}
#line 1820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp45_ = tt;
#line 1820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp46_ = g_strdup_printf ("%-15s: %s\n", _ ("Device"), _tmp36_);
#line 1820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp47_ = _tmp46_;
#line 1820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp48_ = g_strconcat (_tmp45_, _tmp47_, NULL);
#line 1820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp48_;
#line 1820 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp47_);
#line 1823 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (device_has_parent (self)) {
#line 11882 "Device.c"
			const gchar* _tmp49_;
			Device* _tmp50_;
			const gchar* _tmp51_;
			gchar* _tmp52_;
			gchar* _tmp53_;
			gchar* _tmp54_;
#line 1824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp49_ = tt;
#line 1824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp50_ = self->parent;
#line 1824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp51_ = _tmp50_->device;
#line 1824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp52_ = g_strdup_printf ("%-15s: %s\n", _ ("Parent Device"), _tmp51_);
#line 1824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp53_ = _tmp52_;
#line 1824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp54_ = g_strconcat (_tmp49_, _tmp53_, NULL);
#line 1824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (tt);
#line 1824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tt = _tmp54_;
#line 1824 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp53_);
#line 11907 "Device.c"
		}
#line 1826 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp55_ = tt;
#line 1826 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp56_ = self->uuid;
#line 1826 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp57_ = g_strdup_printf ("%-15s: %s\n", _ ("UUID"), _tmp56_);
#line 1826 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp58_ = _tmp57_;
#line 1826 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp59_ = g_strconcat (_tmp55_, _tmp58_, NULL);
#line 1826 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1826 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp59_;
#line 1826 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp58_);
#line 1827 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp60_ = tt;
#line 1827 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp61_ = self->type;
#line 1827 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp62_ = g_strdup_printf ("%-15s: %s\n", _ ("Type"), _tmp61_);
#line 1827 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp63_ = _tmp62_;
#line 1827 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp64_ = g_strconcat (_tmp60_, _tmp63_, NULL);
#line 1827 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1827 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp64_;
#line 1827 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp63_);
#line 1828 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp65_ = tt;
#line 1828 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp66_ = self->fstype;
#line 1828 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp67_ = g_strdup_printf ("%-15s: %s\n", _ ("Filesystem"), _tmp66_);
#line 1828 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp68_ = _tmp67_;
#line 1828 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp69_ = g_strconcat (_tmp65_, _tmp68_, NULL);
#line 1828 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1828 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp69_;
#line 1828 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp68_);
#line 1829 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp70_ = tt;
#line 1829 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp71_ = self->label;
#line 1829 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp72_ = g_strdup_printf ("%-15s: %s\n", _ ("Label"), _tmp71_);
#line 1829 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp73_ = _tmp72_;
#line 1829 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp74_ = g_strconcat (_tmp70_, _tmp73_, NULL);
#line 1829 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1829 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp74_;
#line 1829 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp73_);
#line 1832 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp76_ = self->size_bytes;
#line 1832 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp76_ > ((guint64) 0)) {
#line 11977 "Device.c"
			guint64 _tmp77_;
			gchar* _tmp78_;
#line 1832 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp77_ = self->size_bytes;
#line 1832 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp78_ = tee_jee_file_system_format_file_size (_tmp77_, FALSE, "", TRUE, 1);
#line 1832 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp75_);
#line 1832 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp75_ = _tmp78_;
#line 11988 "Device.c"
		} else {
			gchar* _tmp79_;
#line 1832 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp79_ = g_strdup ("N/A");
#line 1832 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp75_);
#line 1832 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp75_ = _tmp79_;
#line 11997 "Device.c"
		}
#line 1831 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp80_ = tt;
#line 1831 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp81_ = g_strdup_printf ("%-15s: %s\n", _ ("Size"), _tmp75_);
#line 1831 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp82_ = _tmp81_;
#line 1831 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp83_ = g_strconcat (_tmp80_, _tmp82_, NULL);
#line 1831 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1831 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp83_;
#line 1831 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp82_);
#line 1835 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp85_ = self->used_bytes;
#line 1835 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp85_ > ((guint64) 0)) {
#line 12017 "Device.c"
			guint64 _tmp86_;
			gchar* _tmp87_;
#line 1835 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp86_ = self->used_bytes;
#line 1835 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp87_ = tee_jee_file_system_format_file_size (_tmp86_, FALSE, "", TRUE, 1);
#line 1835 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp84_);
#line 1835 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp84_ = _tmp87_;
#line 12028 "Device.c"
		} else {
			gchar* _tmp88_;
#line 1835 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp88_ = g_strdup ("N/A");
#line 1835 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp84_);
#line 1835 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp84_ = _tmp88_;
#line 12037 "Device.c"
		}
#line 1834 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp89_ = tt;
#line 1834 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp90_ = g_strdup_printf ("%-15s: %s\n", _ ("Used"), _tmp84_);
#line 1834 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp91_ = _tmp90_;
#line 1834 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp92_ = g_strconcat (_tmp89_, _tmp91_, NULL);
#line 1834 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1834 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp92_;
#line 1834 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp91_);
#line 1837 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp93_ = tt;
#line 1837 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp94_ = self->dist_info;
#line 1837 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp95_ = g_strdup_printf ("%-15s: %s\n", _ ("System"), _tmp94_);
#line 1837 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp96_ = _tmp95_;
#line 1837 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp97_ = g_strconcat (_tmp93_, _tmp96_, NULL);
#line 1837 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1837 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		tt = _tmp97_;
#line 1837 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp96_);
#line 1809 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp84_);
#line 1809 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp75_);
#line 1809 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp36_);
#line 12075 "Device.c"
	}
#line 1840 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp98_ = tt;
#line 1840 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp99_ = g_strdup_printf ("<tt>%s</tt>", _tmp98_);
#line 1840 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp99_;
#line 1840 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (tt);
#line 1840 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 12087 "Device.c"
}


static gchar*
device_display_name (Device* self,
                     gboolean short_name,
                     gboolean show_label,
                     gboolean show_parent,
                     gboolean show_alias)
{
	gchar* result = NULL;
	gchar* txt = NULL;
	gchar* _tmp0_;
	const gchar* _tmp7_;
#line 1843 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1845 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1845 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	txt = _tmp0_;
#line 1847 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (short_name) {
#line 12110 "Device.c"
		const gchar* _tmp1_;
		const gchar* _tmp2_;
		gchar* _tmp3_;
#line 1848 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp1_ = txt;
#line 1848 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = self->kname;
#line 1848 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = g_strconcat (_tmp1_, _tmp2_, NULL);
#line 1848 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (txt);
#line 1848 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		txt = _tmp3_;
#line 12124 "Device.c"
	} else {
		const gchar* _tmp4_;
		const gchar* _tmp5_;
		gchar* _tmp6_;
#line 1851 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = txt;
#line 1851 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = self->device;
#line 1851 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = g_strconcat (_tmp4_, _tmp5_, NULL);
#line 1851 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (txt);
#line 1851 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		txt = _tmp6_;
#line 12139 "Device.c"
	}
#line 1854 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp7_ = self->type;
#line 1854 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp7_, "disk") == 0) {
#line 12145 "Device.c"
		const gchar* _tmp8_;
		gint _tmp9_;
		gint _tmp10_;
		const gchar* _tmp16_;
		gint _tmp17_;
		gint _tmp18_;
		guint64 _tmp24_;
#line 1855 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = self->vendor;
#line 1855 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = strlen (_tmp8_);
#line 1855 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1855 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp10_ > 0) {
#line 12161 "Device.c"
			const gchar* _tmp11_;
			const gchar* _tmp12_;
			gchar* _tmp13_;
			gchar* _tmp14_;
			gchar* _tmp15_;
#line 1856 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = txt;
#line 1856 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp12_ = self->vendor;
#line 1856 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = g_strconcat (" ", _tmp12_, NULL);
#line 1856 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = _tmp13_;
#line 1856 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = g_strconcat (_tmp11_, _tmp14_, NULL);
#line 1856 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (txt);
#line 1856 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			txt = _tmp15_;
#line 1856 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp14_);
#line 12183 "Device.c"
		}
#line 1858 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp16_ = self->model;
#line 1858 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp17_ = strlen (_tmp16_);
#line 1858 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp18_ = _tmp17_;
#line 1858 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp18_ > 0) {
#line 12193 "Device.c"
			const gchar* _tmp19_;
			const gchar* _tmp20_;
			gchar* _tmp21_;
			gchar* _tmp22_;
			gchar* _tmp23_;
#line 1859 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp19_ = txt;
#line 1859 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp20_ = self->model;
#line 1859 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp21_ = g_strconcat (" ", _tmp20_, NULL);
#line 1859 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp22_ = _tmp21_;
#line 1859 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp23_ = g_strconcat (_tmp19_, _tmp22_, NULL);
#line 1859 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (txt);
#line 1859 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			txt = _tmp23_;
#line 1859 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp22_);
#line 12215 "Device.c"
		}
#line 1861 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp24_ = self->size_bytes;
#line 1861 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp24_ > ((guint64) 0)) {
#line 12221 "Device.c"
			const gchar* _tmp25_;
			gchar* _tmp26_;
			gchar* _tmp27_;
			gint _tmp28_;
			gint _tmp29_;
			gboolean _tmp30_;
#line 1862 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp25_ = txt;
#line 1862 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp26_ = string_strip (_tmp25_);
#line 1862 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp27_ = _tmp26_;
#line 1862 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp28_ = strlen (_tmp27_);
#line 1862 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp29_ = _tmp28_;
#line 1862 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp30_ = _tmp29_ == 0;
#line 1862 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp27_);
#line 1862 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (_tmp30_) {
#line 12244 "Device.c"
				const gchar* _tmp31_;
				guint64 _tmp32_;
				gchar* _tmp33_;
				gchar* _tmp34_;
				gchar* _tmp35_;
				gchar* _tmp36_;
				gchar* _tmp37_;
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp31_ = txt;
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp32_ = self->size_bytes;
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp33_ = tee_jee_file_system_format_file_size (_tmp32_, FALSE, "", TRUE, 0);
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp34_ = _tmp33_;
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp35_ = g_strdup_printf ("%s Device", _tmp34_);
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp36_ = _tmp35_;
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp37_ = g_strconcat (_tmp31_, _tmp36_, NULL);
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (txt);
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				txt = _tmp37_;
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp36_);
#line 1863 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp34_);
#line 12274 "Device.c"
			} else {
				const gchar* _tmp38_;
				guint64 _tmp39_;
				gchar* _tmp40_;
				gchar* _tmp41_;
				gchar* _tmp42_;
				gchar* _tmp43_;
				gchar* _tmp44_;
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp38_ = txt;
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp39_ = self->size_bytes;
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp40_ = tee_jee_file_system_format_file_size (_tmp39_, FALSE, "", TRUE, 0);
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp41_ = _tmp40_;
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp42_ = g_strdup_printf (" (%s)", _tmp41_);
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp43_ = _tmp42_;
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp44_ = g_strconcat (_tmp38_, _tmp43_, NULL);
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (txt);
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				txt = _tmp44_;
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp43_);
#line 1866 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_free0 (_tmp41_);
#line 12305 "Device.c"
			}
		}
	} else {
		gboolean _tmp45_ = FALSE;
		gboolean _tmp54_ = FALSE;
		gboolean _tmp55_ = FALSE;
		gboolean _tmp63_ = FALSE;
#line 1871 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (show_label) {
#line 12315 "Device.c"
			const gchar* _tmp46_;
			gint _tmp47_;
			gint _tmp48_;
#line 1871 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp46_ = self->label;
#line 1871 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp47_ = strlen (_tmp46_);
#line 1871 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp48_ = _tmp47_;
#line 1871 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp45_ = _tmp48_ > 0;
#line 12327 "Device.c"
		} else {
#line 1871 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp45_ = FALSE;
#line 12331 "Device.c"
		}
#line 1871 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp45_) {
#line 12335 "Device.c"
			const gchar* _tmp49_;
			const gchar* _tmp50_;
			gchar* _tmp51_;
			gchar* _tmp52_;
			gchar* _tmp53_;
#line 1872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp49_ = txt;
#line 1872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp50_ = self->label;
#line 1872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp51_ = g_strdup_printf ("(%s)", _tmp50_);
#line 1872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp52_ = _tmp51_;
#line 1872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp53_ = g_strconcat (_tmp49_, _tmp52_, NULL);
#line 1872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (txt);
#line 1872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			txt = _tmp53_;
#line 1872 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp52_);
#line 12357 "Device.c"
		}
#line 1874 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (show_parent) {
#line 1874 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp55_ = device_has_parent (self);
#line 12363 "Device.c"
		} else {
#line 1874 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp55_ = FALSE;
#line 12367 "Device.c"
		}
#line 1874 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp55_) {
#line 12371 "Device.c"
			Device* _tmp56_;
			const gchar* _tmp57_;
#line 1874 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp56_ = self->parent;
#line 1874 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp57_ = _tmp56_->type;
#line 1874 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp54_ = g_strcmp0 (_tmp57_, "part") == 0;
#line 12380 "Device.c"
		} else {
#line 1874 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp54_ = FALSE;
#line 12384 "Device.c"
		}
#line 1874 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp54_) {
#line 12388 "Device.c"
			const gchar* _tmp58_;
			const gchar* _tmp59_;
			gchar* _tmp60_;
			gchar* _tmp61_;
			gchar* _tmp62_;
#line 1875 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp58_ = txt;
#line 1875 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp59_ = self->pkname;
#line 1875 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp60_ = g_strdup_printf ("(%s)", _tmp59_);
#line 1875 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp61_ = _tmp60_;
#line 1875 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp62_ = g_strconcat (_tmp58_, _tmp61_, NULL);
#line 1875 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (txt);
#line 1875 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			txt = _tmp62_;
#line 1875 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp61_);
#line 12410 "Device.c"
		}
#line 1877 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (show_alias) {
#line 12414 "Device.c"
			const gchar* _tmp64_;
			gint _tmp65_;
			gint _tmp66_;
#line 1877 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp64_ = self->mapped_name;
#line 1877 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp65_ = strlen (_tmp64_);
#line 1877 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp66_ = _tmp65_;
#line 1877 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp63_ = _tmp66_ > 0;
#line 12426 "Device.c"
		} else {
#line 1877 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp63_ = FALSE;
#line 12430 "Device.c"
		}
#line 1877 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp63_) {
#line 12434 "Device.c"
			const gchar* _tmp67_;
			const gchar* _tmp68_;
			gchar* _tmp69_;
			gchar* _tmp70_;
			gchar* _tmp71_;
#line 1878 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp67_ = txt;
#line 1878 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp68_ = self->mapped_name;
#line 1878 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp69_ = g_strdup_printf ("(%s)", _tmp68_);
#line 1878 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp70_ = _tmp69_;
#line 1878 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp71_ = g_strconcat (_tmp67_, _tmp70_, NULL);
#line 1878 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (txt);
#line 1878 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			txt = _tmp71_;
#line 1878 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp70_);
#line 12456 "Device.c"
		}
	}
#line 1882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = txt;
#line 1882 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 12463 "Device.c"
}


void
device_test_all (void)
{
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp1_;
	GeeArrayList* _tmp2_;
	GeeArrayList* _tmp3_;
	GeeArrayList* _tmp4_;
	GeeArrayList* _tmp5_;
	GeeArrayList* _tmp6_;
	GeeArrayList* _tmp7_;
	GeeArrayList* _tmp8_;
	GeeArrayList* _tmp9_;
#line 1888 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_get_block_devices_using_lsblk ("");
#line 1888 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp0_;
#line 1889 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_block_devices_using_lsblk()", FALSE);
#line 1890 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = list;
#line 1890 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_print_device_list (_tmp1_);
#line 1892 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1898 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = device_get_mounted_filesystems_using_mtab ();
#line 1898 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1898 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp2_;
#line 1899 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_mounted_filesystems_using_mtab()", FALSE);
#line 1900 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = list;
#line 1900 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_print_device_mounts (_tmp3_);
#line 1902 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1904 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = device_get_disk_space_using_df ("");
#line 1904 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1904 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp4_;
#line 1905 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_disk_space_using_df()", FALSE);
#line 1906 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = list;
#line 1906 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_print_device_disk_space (_tmp5_);
#line 1908 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1910 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp6_ = device_get_filesystems (TRUE, TRUE);
#line 1910 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1910 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	list = _tmp6_;
#line 1911 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_filesystems()", FALSE);
#line 1912 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp7_ = list;
#line 1912 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_print_device_list (_tmp7_);
#line 1913 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp8_ = list;
#line 1913 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_print_device_mounts (_tmp8_);
#line 1914 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp9_ = list;
#line 1914 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_print_device_disk_space (_tmp9_);
#line 1916 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1887 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 12545 "Device.c"
}


void
device_print_device_list (GeeArrayList* list)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 1919 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 1921 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 1923 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("%-12s ,%-5s ,%-5s ,%-36s ,%s", "device", "pkname", "kname", "uuid", "mapped_name");
#line 1923 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1923 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 1923 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 1930 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = g_strnfill ((gsize) 100, '-');
#line 1930 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1930 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 1930 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 12576 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp4_;
		gint _dev_size = 0;
		GeeArrayList* _tmp5_;
		gint _tmp6_;
		gint _tmp7_;
		gint _dev_index = 0;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _g_object_ref0 (list);
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_list = _tmp4_;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = _dev_list;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp5_);
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_size = _tmp7_;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_index = -1;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 12601 "Device.c"
			gint _tmp8_;
			gint _tmp9_;
			gint _tmp10_;
			Device* dev = NULL;
			GeeArrayList* _tmp11_;
			gint _tmp12_;
			gpointer _tmp13_;
			Device* _tmp14_;
			const gchar* _tmp15_;
			Device* _tmp16_;
			const gchar* _tmp17_;
			Device* _tmp18_;
			const gchar* _tmp19_;
			Device* _tmp20_;
			const gchar* _tmp21_;
			Device* _tmp22_;
			const gchar* _tmp23_;
			gchar* _tmp24_;
			gchar* _tmp25_;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_index = _tmp8_ + 1;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = _dev_index;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp10_ = _dev_size;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp9_ < _tmp10_)) {
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 12633 "Device.c"
			}
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = _dev_list;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp12_ = _dev_index;
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev = (Device*) _tmp13_;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = dev;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = _tmp14_->device;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp16_ = dev;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp17_ = _tmp16_->pkname;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp18_ = dev;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp19_ = _tmp18_->kname;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp20_ = dev;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp21_ = _tmp20_->uuid;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp22_ = dev;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp23_ = _tmp22_->mapped_name;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp24_ = g_strdup_printf ("%-12s ,%-5s ,%-5s ,%-36s ,%s", _tmp15_, _tmp17_, _tmp19_, _tmp21_, _tmp23_);
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp25_ = _tmp24_;
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp25_);
#line 1933 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp25_);
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 12673 "Device.c"
		}
#line 1932 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 12677 "Device.c"
	}
#line 1942 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 12681 "Device.c"
}


void
device_print_device_mounts (GeeArrayList* list)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 1995 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 1997 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 1999 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("%-15s %s", "device", "> mount_points (mount_options)");
#line 1999 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1999 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 1999 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 2005 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = g_strnfill ((gsize) 100, '-');
#line 2005 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 2005 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 2005 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 12712 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp4_;
		gint _dev_size = 0;
		GeeArrayList* _tmp5_;
		gint _tmp6_;
		gint _tmp7_;
		gint _dev_index = 0;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _g_object_ref0 (list);
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_list = _tmp4_;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = _dev_list;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp5_);
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_size = _tmp7_;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_index = -1;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 12737 "Device.c"
			gint _tmp8_;
			gint _tmp9_;
			gint _tmp10_;
			Device* dev = NULL;
			GeeArrayList* _tmp11_;
			gint _tmp12_;
			gpointer _tmp13_;
			gchar* mps = NULL;
			gchar* _tmp14_;
			Device* _tmp43_;
			const gchar* _tmp44_;
			const gchar* _tmp45_;
			gchar* _tmp46_;
			gchar* _tmp47_;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_index = _tmp8_ + 1;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = _dev_index;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp10_ = _dev_size;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp9_ < _tmp10_)) {
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 12764 "Device.c"
			}
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = _dev_list;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp12_ = _dev_index;
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev = (Device*) _tmp13_;
#line 2009 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = g_strdup ("");
#line 2009 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			mps = _tmp14_;
#line 12778 "Device.c"
			{
				GeeArrayList* _mp_list = NULL;
				Device* _tmp15_;
				GeeArrayList* _tmp16_;
				GeeArrayList* _tmp17_;
				gint _mp_size = 0;
				GeeArrayList* _tmp18_;
				gint _tmp19_;
				gint _tmp20_;
				gint _mp_index = 0;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp15_ = dev;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp16_ = _tmp15_->mount_points;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp17_ = _g_object_ref0 (_tmp16_);
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_mp_list = _tmp17_;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp18_ = _mp_list;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp19_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp18_);
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_tmp20_ = _tmp19_;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_mp_size = _tmp20_;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_mp_index = -1;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				while (TRUE) {
#line 12809 "Device.c"
					gint _tmp21_;
					gint _tmp22_;
					gint _tmp23_;
					MountEntry* mp = NULL;
					GeeArrayList* _tmp24_;
					gint _tmp25_;
					gpointer _tmp26_;
					const gchar* _tmp27_;
					MountEntry* _tmp28_;
					const gchar* _tmp29_;
					gchar* _tmp30_;
					gchar* _tmp31_;
					gchar* _tmp32_;
					MountEntry* _tmp33_;
					const gchar* _tmp34_;
					gint _tmp35_;
					gint _tmp36_;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp21_ = _mp_index;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_mp_index = _tmp21_ + 1;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp22_ = _mp_index;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp23_ = _mp_size;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (!(_tmp22_ < _tmp23_)) {
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						break;
#line 12839 "Device.c"
					}
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp24_ = _mp_list;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp25_ = _mp_index;
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp26_ = gee_abstract_list_get ((GeeAbstractList*) _tmp24_, _tmp25_);
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					mp = (MountEntry*) _tmp26_;
#line 2011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp27_ = mps;
#line 2011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp28_ = mp;
#line 2011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp29_ = _tmp28_->mount_point;
#line 2011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp30_ = g_strdup_printf ("\n    %s -> ", _tmp29_);
#line 2011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp31_ = _tmp30_;
#line 2011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp32_ = g_strconcat (_tmp27_, _tmp31_, NULL);
#line 2011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (mps);
#line 2011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					mps = _tmp32_;
#line 2011 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_free0 (_tmp31_);
#line 2012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp33_ = mp;
#line 2012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp34_ = _tmp33_->mount_options;
#line 2012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp35_ = strlen (_tmp34_);
#line 2012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_tmp36_ = _tmp35_;
#line 2012 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					if (_tmp36_ > 0) {
#line 12877 "Device.c"
						const gchar* _tmp37_;
						MountEntry* _tmp38_;
						const gchar* _tmp39_;
						gchar* _tmp40_;
						gchar* _tmp41_;
						gchar* _tmp42_;
#line 2013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp37_ = mps;
#line 2013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp38_ = mp;
#line 2013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp39_ = _tmp38_->mount_options;
#line 2013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp40_ = g_strdup_printf (" %s", _tmp39_);
#line 2013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp41_ = _tmp40_;
#line 2013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_tmp42_ = g_strconcat (_tmp37_, _tmp41_, NULL);
#line 2013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (mps);
#line 2013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						mps = _tmp42_;
#line 2013 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
						_g_free0 (_tmp41_);
#line 12902 "Device.c"
					}
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
					_g_object_unref0 (mp);
#line 12906 "Device.c"
				}
#line 2010 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				_g_object_unref0 (_mp_list);
#line 12910 "Device.c"
			}
#line 2017 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp43_ = dev;
#line 2017 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp44_ = _tmp43_->device;
#line 2017 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp45_ = mps;
#line 2017 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp46_ = g_strdup_printf ("%-15s %s", _tmp44_, _tmp45_);
#line 2017 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp47_ = _tmp46_;
#line 2017 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp47_);
#line 2017 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp47_);
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (mps);
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 12930 "Device.c"
		}
#line 2007 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 12934 "Device.c"
	}
#line 2025 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 12938 "Device.c"
}


void
device_print_device_disk_space (GeeArrayList* list)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 2028 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 2029 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 2031 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("%-15s %-12s %15s %15s %15s %10s", "device", "fstype", "size", "used", "available", "used_percent");
#line 2031 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 2031 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 2031 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 2040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = g_strnfill ((gsize) 100, '-');
#line 2040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 2040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 2040 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 12969 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp4_;
		gint _dev_size = 0;
		GeeArrayList* _tmp5_;
		gint _tmp6_;
		gint _tmp7_;
		gint _dev_index = 0;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _g_object_ref0 (list);
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_list = _tmp4_;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = _dev_list;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp5_);
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_size = _tmp7_;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_dev_index = -1;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		while (TRUE) {
#line 12994 "Device.c"
			gint _tmp8_;
			gint _tmp9_;
			gint _tmp10_;
			Device* dev = NULL;
			GeeArrayList* _tmp11_;
			gint _tmp12_;
			gpointer _tmp13_;
			Device* _tmp14_;
			const gchar* _tmp15_;
			Device* _tmp16_;
			const gchar* _tmp17_;
			Device* _tmp18_;
			guint64 _tmp19_;
			gchar* _tmp20_;
			gchar* _tmp21_;
			Device* _tmp22_;
			guint64 _tmp23_;
			gchar* _tmp24_;
			gchar* _tmp25_;
			Device* _tmp26_;
			guint64 _tmp27_;
			gchar* _tmp28_;
			gchar* _tmp29_;
			Device* _tmp30_;
			const gchar* _tmp31_;
			gchar* _tmp32_;
			gchar* _tmp33_;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_dev_index = _tmp8_ + 1;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = _dev_index;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp10_ = _dev_size;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			if (!(_tmp9_ < _tmp10_)) {
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
				break;
#line 13034 "Device.c"
			}
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp11_ = _dev_list;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp12_ = _dev_index;
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			dev = (Device*) _tmp13_;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp14_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp15_ = _tmp14_->device;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp16_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp17_ = _tmp16_->fstype;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp18_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp19_ = _tmp18_->size_bytes;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp20_ = tee_jee_file_system_format_file_size (_tmp19_, TRUE, "", TRUE, 1);
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp21_ = _tmp20_;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp22_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp23_ = _tmp22_->used_bytes;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp24_ = tee_jee_file_system_format_file_size (_tmp23_, TRUE, "", TRUE, 1);
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp25_ = _tmp24_;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp26_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp27_ = _tmp26_->available_bytes;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp28_ = tee_jee_file_system_format_file_size (_tmp27_, TRUE, "", TRUE, 1);
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp29_ = _tmp28_;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp30_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp31_ = _tmp30_->used_percent;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp32_ = g_strdup_printf ("%-15s %-12s %15s %15s %15s %10s", _tmp15_, _tmp17_, _tmp21_, _tmp25_, _tmp29_, _tmp31_);
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp33_ = _tmp32_;
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp33_);
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp33_);
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp29_);
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp25_);
#line 2043 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_free0 (_tmp21_);
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 13096 "Device.c"
		}
#line 2042 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 13100 "Device.c"
	}
#line 2053 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 13104 "Device.c"
}


guint64
device_get_free_bytes (Device* self)
{
	guint64 result;
	guint64 _tmp0_ = 0ULL;
	guint64 _tmp1_;
#line 121 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, 0ULL);
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = self->used_bytes;
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp1_ == ((guint64) 0)) {
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = (guint64) 0;
#line 13122 "Device.c"
	} else {
		guint64 _tmp2_;
		guint64 _tmp3_;
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = self->size_bytes;
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = self->used_bytes;
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = _tmp2_ - _tmp3_;
#line 13132 "Device.c"
	}
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp0_;
#line 122 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 13138 "Device.c"
}


gchar*
device_get_size (Device* self)
{
	gchar* result;
	guint64 _tmp0_;
	gdouble _tmp1_;
#line 127 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->size_bytes;
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = device_GB;
#line 128 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (((gdouble) _tmp0_) < _tmp1_) {
#line 13156 "Device.c"
		guint64 _tmp2_;
		gdouble _tmp3_;
		gchar* _tmp4_;
#line 129 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = self->size_bytes;
#line 129 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = device_MB;
#line 129 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = g_strdup_printf ("%.1f MB", _tmp2_ / _tmp3_);
#line 129 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		result = _tmp4_;
#line 129 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		return result;
#line 13170 "Device.c"
	} else {
		guint64 _tmp5_;
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = self->size_bytes;
#line 131 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		if (_tmp5_ > ((guint64) 0)) {
#line 13177 "Device.c"
			guint64 _tmp6_;
			gdouble _tmp7_;
			gchar* _tmp8_;
#line 132 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp6_ = self->size_bytes;
#line 132 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp7_ = device_GB;
#line 132 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp8_ = g_strdup_printf ("%.1f GB", _tmp6_ / _tmp7_);
#line 132 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			result = _tmp8_;
#line 132 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			return result;
#line 13191 "Device.c"
		} else {
			gchar* _tmp9_;
#line 135 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			_tmp9_ = g_strdup ("");
#line 135 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			result = _tmp9_;
#line 135 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
			return result;
#line 13200 "Device.c"
		}
	}
}


gchar*
device_get_used (Device* self)
{
	gchar* result;
	gchar* _tmp0_ = NULL;
	guint64 _tmp1_;
#line 141 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = self->used_bytes;
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp1_ == ((guint64) 0)) {
#line 13218 "Device.c"
		gchar* _tmp2_;
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = g_strdup ("");
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = _tmp2_;
#line 13226 "Device.c"
	} else {
		guint64 _tmp3_;
		gdouble _tmp4_;
		gchar* _tmp5_;
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = self->used_bytes;
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = device_GB;
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = g_strdup_printf ("%.1f GB", _tmp3_ / _tmp4_);
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = _tmp5_;
#line 13241 "Device.c"
	}
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp0_;
#line 142 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 13247 "Device.c"
}


gchar*
device_get_free (Device* self)
{
	gchar* result;
	gchar* _tmp0_ = NULL;
	guint64 _tmp1_;
	guint64 _tmp2_;
#line 147 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = device_get_free_bytes (self);
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp2_ == ((guint64) 0)) {
#line 13266 "Device.c"
		gchar* _tmp3_;
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = g_strdup ("");
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = _tmp3_;
#line 13274 "Device.c"
	} else {
		guint64 _tmp4_;
		guint64 _tmp5_;
		gdouble _tmp6_;
		gchar* _tmp7_;
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = device_get_free_bytes (self);
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = device_GB;
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf ("%.1f GB", _tmp5_ / _tmp6_);
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp0_ = _tmp7_;
#line 13292 "Device.c"
	}
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp0_;
#line 148 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 13298 "Device.c"
}


gboolean
device_get_is_mounted (Device* self)
{
	gboolean result;
	GeeArrayList* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 153 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->mount_points;
#line 154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp0_);
#line 154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp2_ > 0;
#line 154 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 13321 "Device.c"
}


gchar*
device_get_full_name_with_alias (Device* self)
{
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
#line 1632 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1633 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->device;
#line 1633 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1633 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	text = _tmp1_;
#line 1634 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = self->mapped_name;
#line 1634 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1634 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1634 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp4_ > 0) {
#line 13351 "Device.c"
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 1635 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = text;
#line 1635 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = self->mapped_name;
#line 1635 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" (%s)", _tmp6_);
#line 1635 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1635 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1635 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (text);
#line 1635 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		text = _tmp9_;
#line 1635 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 13373 "Device.c"
	}
#line 1637 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = text;
#line 1637 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 13379 "Device.c"
}


gchar*
device_get_full_name_with_parent (Device* self)
{
	gchar* result;
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 1642 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1643 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_get_device_name_with_parent (self);
#line 1643 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1643 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = _tmp1_;
#line 1643 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 13399 "Device.c"
}


gchar*
device_get_short_name_with_alias (Device* self)
{
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
#line 1648 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1649 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->kname;
#line 1649 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1649 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	text = _tmp1_;
#line 1650 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = self->mapped_name;
#line 1650 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1650 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1650 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp4_ > 0) {
#line 13429 "Device.c"
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 1651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = text;
#line 1651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = self->mapped_name;
#line 1651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" (%s)", _tmp6_);
#line 1651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (text);
#line 1651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		text = _tmp9_;
#line 1651 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 13451 "Device.c"
	}
#line 1653 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = text;
#line 1653 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 13457 "Device.c"
}


gchar*
device_get_short_name_with_parent (Device* self)
{
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 1658 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->kname;
#line 1659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1659 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	text = _tmp1_;
#line 1661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (device_has_parent (self)) {
#line 13479 "Device.c"
		Device* _tmp3_;
		const gchar* _tmp4_;
#line 1661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = self->parent;
#line 1661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp3_->type;
#line 1661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = g_strcmp0 (_tmp4_, "part") == 0;
#line 13488 "Device.c"
	} else {
#line 1661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = FALSE;
#line 13492 "Device.c"
	}
#line 1661 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp2_) {
#line 13496 "Device.c"
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 1662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = text;
#line 1662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = self->pkname;
#line 1662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" (%s)", _tmp6_);
#line 1662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (text);
#line 1662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		text = _tmp9_;
#line 1662 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 13518 "Device.c"
	}
#line 1665 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = text;
#line 1665 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 13524 "Device.c"
}


gchar*
device_get_device_name_with_parent (Device* self)
{
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 1670 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1671 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = self->device;
#line 1671 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1671 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	text = _tmp1_;
#line 1673 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (device_has_parent (self)) {
#line 13546 "Device.c"
		Device* _tmp3_;
		const gchar* _tmp4_;
#line 1673 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp3_ = self->parent;
#line 1673 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp4_ = _tmp3_->type;
#line 1673 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = g_strcmp0 (_tmp4_, "part") == 0;
#line 13555 "Device.c"
	} else {
#line 1673 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp2_ = FALSE;
#line 13559 "Device.c"
	}
#line 1673 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	if (_tmp2_) {
#line 13563 "Device.c"
		const gchar* _tmp5_;
		Device* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1674 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp5_ = text;
#line 1674 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp6_ = self->parent;
#line 1674 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp7_ = _tmp6_->kname;
#line 1674 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp8_ = g_strdup_printf (" (%s)", _tmp7_);
#line 1674 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp9_ = _tmp8_;
#line 1674 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_tmp10_ = g_strconcat (_tmp5_, _tmp9_, NULL);
#line 1674 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (text);
#line 1674 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		text = _tmp10_;
#line 1674 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		_g_free0 (_tmp9_);
#line 13588 "Device.c"
	}
#line 1677 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	result = text;
#line 1677 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	return result;
#line 13594 "Device.c"
}


static void
device_class_init (DeviceClass * klass)
{
	gdouble _tmp0_;
	gdouble _tmp1_;
	gdouble _tmp2_;
	gdouble _tmp3_;
	gchar* _tmp4_;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_parent_class = g_type_class_peek_parent (klass);
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_device_get_property;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	G_OBJECT_CLASS (klass)->finalize = device_finalize;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FREE_BYTES_PROPERTY, device_properties[DEVICE_FREE_BYTES_PROPERTY] = g_param_spec_uint64 ("free-bytes", "free-bytes", "free-bytes", 0, G_MAXUINT64, 0U, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_SIZE_PROPERTY, device_properties[DEVICE_SIZE_PROPERTY] = g_param_spec_string ("size", "size", "size", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_USED_PROPERTY, device_properties[DEVICE_USED_PROPERTY] = g_param_spec_string ("used", "used", "used", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FREE_PROPERTY, device_properties[DEVICE_FREE_PROPERTY] = g_param_spec_string ("free", "free", "free", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_IS_MOUNTED_PROPERTY, device_properties[DEVICE_IS_MOUNTED_PROPERTY] = g_param_spec_boolean ("is-mounted", "is-mounted", "is-mounted", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FULL_NAME_WITH_ALIAS_PROPERTY, device_properties[DEVICE_FULL_NAME_WITH_ALIAS_PROPERTY] = g_param_spec_string ("full-name-with-alias", "full-name-with-alias", "full-name-with-alias", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FULL_NAME_WITH_PARENT_PROPERTY, device_properties[DEVICE_FULL_NAME_WITH_PARENT_PROPERTY] = g_param_spec_string ("full-name-with-parent", "full-name-with-parent", "full-name-with-parent", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_SHORT_NAME_WITH_ALIAS_PROPERTY, device_properties[DEVICE_SHORT_NAME_WITH_ALIAS_PROPERTY] = g_param_spec_string ("short-name-with-alias", "short-name-with-alias", "short-name-with-alias", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_SHORT_NAME_WITH_PARENT_PROPERTY, device_properties[DEVICE_SHORT_NAME_WITH_PARENT_PROPERTY] = g_param_spec_string ("short-name-with-parent", "short-name-with-parent", "short-name-with-parent", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_DEVICE_NAME_WITH_PARENT_PROPERTY, device_properties[DEVICE_DEVICE_NAME_WITH_PARENT_PROPERTY] = g_param_spec_string ("device-name-with-parent", "device-name-with-parent", "device-name-with-parent", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 37 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = device_KB;
#line 37 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_MB = 1000 * _tmp0_;
#line 38 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = device_MB;
#line 38 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_GB = 1000 * _tmp1_;
#line 41 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = device_KiB;
#line 41 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_MiB = 1024 * _tmp2_;
#line 42 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = device_MiB;
#line 42 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_GiB = 1024 * _tmp3_;
#line 89 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = g_strdup ("");
#line 89 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	device_lsblk_version = _tmp4_;
#line 13652 "Device.c"
}


static void
device_instance_init (Device * self)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	gchar* _tmp16_;
	gchar* _tmp17_;
	gchar* _tmp18_;
	gchar* _tmp19_;
	gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
#line 44 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 44 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->device = _tmp0_;
#line 45 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 45 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->name = _tmp1_;
#line 46 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp2_ = g_strdup ("");
#line 46 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->kname = _tmp2_;
#line 47 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp3_ = g_strdup ("");
#line 47 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->pkname = _tmp3_;
#line 48 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp4_ = g_strdup ("");
#line 48 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->pkname_toplevel = _tmp4_;
#line 49 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp5_ = g_strdup ("");
#line 49 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->mapped_name = _tmp5_;
#line 50 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp6_ = g_strdup ("");
#line 50 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->uuid = _tmp6_;
#line 51 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp7_ = g_strdup ("");
#line 51 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->label = _tmp7_;
#line 52 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp8_ = g_strdup ("");
#line 52 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->partuuid = _tmp8_;
#line 53 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp9_ = g_strdup ("");
#line 53 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->partlabel = _tmp9_;
#line 55 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->major = -1;
#line 56 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->minor = -1;
#line 58 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp10_ = g_strdup ("");
#line 58 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->device_mapper = _tmp10_;
#line 59 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp11_ = g_strdup ("");
#line 59 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->device_by_uuid = _tmp11_;
#line 60 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp12_ = g_strdup ("");
#line 60 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->device_by_label = _tmp12_;
#line 61 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp13_ = g_strdup ("");
#line 61 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->device_by_partuuid = _tmp13_;
#line 62 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp14_ = g_strdup ("");
#line 62 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->device_by_partlabel = _tmp14_;
#line 64 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp15_ = g_strdup ("");
#line 64 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->type = _tmp15_;
#line 65 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp16_ = g_strdup ("");
#line 65 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->fstype = _tmp16_;
#line 67 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->order = -1;
#line 69 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp17_ = g_strdup ("");
#line 69 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->vendor = _tmp17_;
#line 70 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp18_ = g_strdup ("");
#line 70 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->model = _tmp18_;
#line 71 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp19_ = g_strdup ("");
#line 71 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->serial = _tmp19_;
#line 72 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp20_ = g_strdup ("");
#line 72 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->revision = _tmp20_;
#line 74 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->removable = FALSE;
#line 75 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->read_only = FALSE;
#line 77 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->size_bytes = (guint64) 0;
#line 78 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->used_bytes = (guint64) 0;
#line 79 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->available_bytes = (guint64) 0;
#line 81 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp21_ = g_strdup ("");
#line 81 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->used_percent = _tmp21_;
#line 82 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_tmp22_ = g_strdup ("");
#line 82 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->dist_info = _tmp22_;
#line 86 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->parent = NULL;
#line 87 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self->children = NULL;
#line 13794 "Device.c"
}


static void
device_finalize (GObject * obj)
{
	Device * self;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DEVICE, Device);
#line 44 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->device);
#line 45 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->name);
#line 46 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->kname);
#line 47 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->pkname);
#line 48 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->pkname_toplevel);
#line 49 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->mapped_name);
#line 50 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->uuid);
#line 51 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->label);
#line 52 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->partuuid);
#line 53 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->partlabel);
#line 58 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->device_mapper);
#line 59 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->device_by_uuid);
#line 60 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->device_by_label);
#line 61 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->device_by_partuuid);
#line 62 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->device_by_partlabel);
#line 64 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->type);
#line 65 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->fstype);
#line 69 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->vendor);
#line 70 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->model);
#line 71 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->serial);
#line 72 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->revision);
#line 81 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->used_percent);
#line 82 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_free0 (self->dist_info);
#line 83 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->mount_points);
#line 84 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->symlinks);
#line 86 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->parent);
#line 87 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	_g_object_unref0 (self->children);
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	G_OBJECT_CLASS (device_parent_class)->finalize (obj);
#line 13860 "Device.c"
}


GType
device_get_type (void)
{
	static volatile gsize device_type_id__volatile = 0;
	if (g_once_init_enter (&device_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DeviceClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) device_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (Device), 0, (GInstanceInitFunc) device_instance_init, NULL };
		GType device_type_id;
		device_type_id = g_type_register_static (G_TYPE_OBJECT, "Device", &g_define_type_info, 0);
		g_once_init_leave (&device_type_id__volatile, device_type_id);
	}
	return device_type_id__volatile;
}


static void
_vala_device_get_property (GObject * object,
                           guint property_id,
                           GValue * value,
                           GParamSpec * pspec)
{
	Device * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_DEVICE, Device);
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		case DEVICE_FREE_BYTES_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_value_set_uint64 (value, device_get_free_bytes (self));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		case DEVICE_SIZE_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_value_take_string (value, device_get_size (self));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		case DEVICE_USED_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_value_take_string (value, device_get_used (self));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		case DEVICE_FREE_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_value_take_string (value, device_get_free (self));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		case DEVICE_IS_MOUNTED_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_value_set_boolean (value, device_get_is_mounted (self));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		case DEVICE_FULL_NAME_WITH_ALIAS_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_value_take_string (value, device_get_full_name_with_alias (self));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		case DEVICE_FULL_NAME_WITH_PARENT_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_value_take_string (value, device_get_full_name_with_parent (self));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		case DEVICE_SHORT_NAME_WITH_ALIAS_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_value_take_string (value, device_get_short_name_with_alias (self));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		case DEVICE_SHORT_NAME_WITH_PARENT_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_value_take_string (value, device_get_short_name_with_parent (self));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		case DEVICE_DEVICE_NAME_WITH_PARENT_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		g_value_take_string (value, device_get_device_name_with_parent (self));
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 13948 "Device.c"
		default:
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/timeshift-18.6.1/src/Utility/Device.vala"
		break;
#line 13954 "Device.c"
	}
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



